<?php
$currency_symbol = $this->customlib->getSchoolCurrencyFormat();
?>
<style type="text/css">
/*REQUIRED*/
.carousel-row {
    margin-bottom: 10px;
}

.slide-row {
    padding: 0;
    background-color: #ffffff;
    min-height: 150px;
    border: 1px solid #e7e7e7;
    overflow: hidden;
    height: auto;
    position: relative;
}

.slide-carousel {
    width: 20%;
    float: left;
    display: inline-block;
}

.slide-carousel .carousel-indicators {
    margin-bottom: 0;
    bottom: 0;
    background: rgba(0, 0, 0, .5);
}

.slide-carousel .carousel-indicators li {
    border-radius: 0;
    width: 20px;
    height: 6px;
}

.slide-carousel .carousel-indicators .active {
    margin: 1px;
}

.slide-content {
    position: absolute;
    top: 0;
    left: 20%;
    display: block;
    float: left;
    width: 80%;
    max-height: 76%;
    padding: 1.5% 2% 2% 2%;
    overflow-y: auto;
}

.slide-content h4 {
    margin-bottom: 3px;
    margin-top: 0;
}

.slide-footer {
    position: absolute;
    bottom: 0;
    left: 20%;
    width: 78%;
    height: 20%;
    margin: 1%;
}

/* Scrollbars */
.slide-content::-webkit-scrollbar {
    width: 5px;
}

.slide-content::-webkit-scrollbar-thumb:vertical {
    margin: 5px;
    background-color: #999;
    -webkit-border-radius: 5px;
}

.slide-content::-webkit-scrollbar-button:start:decrement,
.slide-content::-webkit-scrollbar-button:end:increment {
    height: 5px;
    display: block;
}
</style>

<div class="content-wrapper" style="min-height: 946px;">

    <section class="content-header">
        <h1>
            <i class="fa fa-user-plus"></i> Learner Information
        </h1>
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title"><i class="fa fa-search"></i>
                            <?php echo $this->lang->line('select_criteria'); ?></h3>
                        <a href="<?php  echo base_url(); ?>student/guardianreport" class="pull-right">Guardian
                            Report</a>
                        <b style="padding-left:5px;padding-right:5px;" class="pull-right"> | </b>
                        <a href="<?php  echo base_url(); ?>student/search" class="pull-right">Details</a>
                        <b style="padding-left:5px;padding-right:5px;" class="pull-right"> | </b>
                        <a href="<?php  echo base_url(); ?>admin/users/admissionreport" class="pull-right">History</a>
                        <b style="padding-left:5px;padding-right:5px;" class="pull-right"> | </b>
                        <a href="<?php  echo base_url(); ?>student/create" class="pull-right">Learner Admission</a>
                    </div>

                    <form role="form" action="<?php echo site_url('student/guardianreport') ?>" method="post" class="">
                        <div class="box-body row">

                            <?php echo $this->customlib->getCSRF(); ?>

                            <div class="col-sm-6 col-md-6">
                                <div class="form-group">
                                    <label>Level</label><small class="req"> *</small>
                                    <select autofocus="" id="class_id" name="class_id" class="form-control">
                                        <option value=""><?php echo $this->lang->line('select'); ?></option>
                                        <?php
                                        foreach ($classlist as $class) {
                                            ?>
                                        <option value="<?php echo $class['id'] ?>"
                                            <?php if (set_value('class_id') == $class['id']) echo "selected=selected" ?>>
                                            <?php echo $class['class'] ?></option>
                                        <?php
                                            $count++;
                                        }
                                        ?>
                                    </select>
                                    <span class="text-danger"><?php echo form_error('class_id'); ?></span>
                                </div>
                            </div>
                            <div class="col-sm-6 col-md-6">
                                <div class="form-group">
                                    <label>Class</label><small class="req"> *</small>
                                    <select id="section_id" name="section_id" class="form-control">
                                        <option value=""><?php echo $this->lang->line('select'); ?></option>
                                    </select>
                                    <span class="text-danger"><?php echo form_error('section_id'); ?></span>
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="col-sm-12">
                                    <button type="submit" name="search" value="search_filter"
                                        class="btn btn-primary btn-sm checkbox-toggle pull-right"><i
                                            class="fa fa-search"></i>
                                        <?php echo $this->lang->line('search'); ?></button>
                                </div>
                            </div>

                    </form>
                </div>
            </div>

            <div class="box box-info" style="padding:5px;">
                <div class="box-header ptbnull">
                    <h3 class="box-title titlefix"><i class="fa fa-users"></i> <?php echo form_error('student'); ?>
                        <?php echo $this->lang->line('guardian_report'); ?></h3>
                </div>
                <div class="box-body table-responsive">
                    <div class="download_label"><?php echo $this->lang->line('guardian_report'); ?></div>
                    <table class="table table-striped table-bordered table-hover example">
                        <thead>
                            <tr>
                                <th>Level(Class)</th>
                                <th><?php echo $this->lang->line('admission_no'); ?></th>
                                <th>Learner Name</th>
                                <th><?php echo $this->lang->line('mobile_no'); ?></th>

                                <th><?php echo $this->lang->line('guardian_name'); ?></th>
                                <th><?php echo $this->lang->line('guardian_relation'); ?></th>
                                <th><?php echo $this->lang->line('guardian_phone'); ?></th>

                                <th><?php echo $this->lang->line('father_name'); ?></th>
                                <th><?php echo $this->lang->line('father_phone'); ?></th>
                                <th><?php echo $this->lang->line('mother_name'); ?></th>
                                <th><?php echo $this->lang->line('mother_phone'); ?></th>


                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                        if (empty($resultlist)) {
                                            ?>

                            <?php
                                        } else {
                                            $count = 1;
                                            foreach ($resultlist as $student) {
                                             
                                                ?>
                            <tr>
                                <td><?php echo $student['class']." (".$student["section"].")"; ?></td>
                                <td><?php echo $student['admission_no']; ?></td>
                                <td>
                                    <a href="<?php echo base_url(); ?>student/view/<?php echo $student['id']; ?>"><?php echo $student['firstname'] . " " . $student['lastname']; ?>
                                    </a>
                                </td>
                                <td><?php echo $student['mobileno']; ?></td>

                                <td><?php echo $student['guardian_name']; ?></td>

                                <td><?php echo $student['guardian_relation']; ?></td>

                                <td><?php echo $student['guardian_phone']; ?></td>
                                <td><?php echo $student['father_name']; ?></td>
                                <td><?php echo $student['father_phone']; ?></td>
                                <td><?php echo $student['mother_name']; ?></td>
                                <td><?php echo $student['mother_phone']; ?></td>


                            </tr>
                            <?php
                                                $count++;
                                            }
                                        }
                                        ?>
                        </tbody>

                    </table>
                </div>
            </div>
        </div>
</div>
</section>
</div>


<script type="text/javascript">
function getSectionByClass(class_id, section_id) {
    if (class_id != "" && section_id != "") {
        $('#section_id').html("");
        var base_url = '<?php echo base_url() ?>';
        var div_data = '<option value=""><?php echo $this->lang->line('select'); ?></option>';
        $.ajax({
            type: "GET",
            url: base_url + "sections/getByClass",
            data: {
                'class_id': class_id
            },
            dataType: "json",
            success: function(data) {
                $.each(data, function(i, obj) {
                    var sel = "";
                    if (section_id == obj.section_id) {
                        sel = "selected";
                    }
                    div_data += "<option value=" + obj.section_id + " " + sel + ">" + obj.section +
                        "</option>";
                });
                $('#section_id').append(div_data);
            }
        });
    }
}

$(document).ready(function() {
    var class_id = $('#class_id').val();
    var section_id = '<?php echo set_value('section_id') ?>';
    getSectionByClass(class_id, section_id);
    $(document).on('change', '#class_id', function(e) {
        $('#section_id').html("");
        var class_id = $(this).val();
        var base_url = '<?php echo base_url() ?>';
        var div_data = '<option value=""><?php echo $this->lang->line('select'); ?></option>';
        $.ajax({
            type: "GET",
            url: base_url + "sections/getByClass",
            data: {
                'class_id': class_id
            },
            dataType: "json",
            success: function(data) {
                $.each(data, function(i, obj) {
                    div_data += "<option value=" + obj.section_id + ">" + obj
                        .section + "</option>";
                });
                $('#section_id').append(div_data);
            }
        });
    });
});
</script>
<script type="text/javascript">
$(document).ready(function() {
    var date_format =
        '<?php echo $result = strtr($this->customlib->getSchoolDateFormat(), ['d' => 'dd', 'm' => 'mm', 'Y' => 'yyyy',]) ?>';
    $(".date").datepicker({
        format: date_format,
        autoclose: true,
        todayHighlight: true
    });
    $('.detail_popover').popover({
        placement: 'right',
        title: '',
        trigger: 'hover',
        container: 'body',
        html: true,
        content: function() {
            return $(this).closest('td').find('.fee_detail_popover').html();
        }
    });
});
</script>

<script type="text/javascript">
$(document).ready(function() {
    $.extend($.fn.dataTable.defaults, {
        ordering: false,
        paging: false,
        bSort: false,
        info: false
    });
})
$(document).ready(function() {
    $('.table-fixed-header').fixedHeader();
});

(function($) {

    $.fn.fixedHeader = function(options) {
        var config = {
            topOffset: 50

        };
        if (options) {
            $.extend(config, options);
        }

        return this.each(function() {
            var o = $(this);

            var $win = $(window);
            var $head = $('thead.header', o);
            var isFixed = 0;
            var headTop = $head.length && $head.offset().top - config.topOffset;

            function processScroll() {
                if (!o.is(':visible')) {
                    return;
                }
                if ($('thead.header-copy').size()) {
                    $('thead.header-copy').width($('thead.header').width());
                }
                var i;
                var scrollTop = $win.scrollTop();
                var t = $head.length && $head.offset().top - config.topOffset;
                if (!isFixed && headTop !== t) {
                    headTop = t;
                }
                if (scrollTop >= headTop && !isFixed) {
                    isFixed = 1;
                } else if (scrollTop <= headTop && isFixed) {
                    isFixed = 0;
                }
                isFixed ? $('thead.header-copy', o).offset({
                    left: $head.offset().left
                }).removeClass('hide') : $('thead.header-copy', o).addClass('hide');
            }
            $win.on('scroll', processScroll);

            // hack sad times - holdover until rewrite for 2.1
            $head.on('click', function() {
                if (!isFixed) {
                    setTimeout(function() {
                        $win.scrollTop($win.scrollTop() - 47);
                    }, 10);
                }
            });

            $head.clone().removeClass('header').addClass('header-copy header-fixed').appendTo(o);
            var header_width = $head.width();
            o.find('thead.header-copy').width(header_width);
            o.find('thead.header > tr:first > th').each(function(i, h) {
                var w = $(h).width();
                o.find('thead.header-copy> tr > th:eq(' + i + ')').width(w);
            });
            $head.css({
                margin: '0 auto',
                width: o.width(),
                'background-color': config.bgColor
            });
            processScroll();
        });
    };

})(jQuery);
</script>

<script type="text/javascript">
$(document).ready(function() {
    $(document).on('click', '.printDoc', function() {
        var main_invoice = $(this).data('main_invoice');
        var sub_invoice = $(this).data('sub_invoice');
        var student_session_id = '<?php echo $student_session_id; ?>';
        $.ajax({
            url: '<?php echo site_url("studentfee/printFeesByName") ?>',
            type: 'post',
            data: {
                'student_session_id': student_session_id,
                'main_invoice': main_invoice,
                'sub_invoice': sub_invoice
            },
            success: function(response) {
                Popup(response);
            }
        });
    });

    $(document).on('click', '.printInv', function() {
        var class_id = $(this).data('class_id');
        var section_id = $(this).data('section_id');

        $.ajax({
            url: '<?php echo site_url("student/printGuardianReport") ?>',
            type: 'post',
            data: {
                'class_id': class_id,
                'section_id': section_id
            },
            success: function(response) {
                Popup(response);
            }
        });
    });
});
</script>

<script>
var base_url = '<?php echo base_url() ?>';

function Popup(data) {

    var frame1 = $('<iframe />');
    frame1[0].name = "frame1";
    frame1.css({
        "position": "absolute",
        "top": "-1000000px"
    });
    $("body").append(frame1);
    var frameDoc = frame1[0].contentWindow ? frame1[0].contentWindow : frame1[0].contentDocument.document ? frame1[0]
        .contentDocument.document : frame1[0].contentDocument;
    frameDoc.document.open();
    //Create a new HTML document.
    frameDoc.document.write('<html>');
    frameDoc.document.write('<head>');
    frameDoc.document.write('<title></title>');
    frameDoc.document.write('<link rel="stylesheet" href="' + base_url + 'backend/bootstrap/css/bootstrap.min.css">');
    frameDoc.document.write('<link rel="stylesheet" href="' + base_url + 'backend/dist/css/font-awesome.min.css">');
    frameDoc.document.write('<link rel="stylesheet" href="' + base_url + 'backend/dist/css/ionicons.min.css">');
    frameDoc.document.write('<link rel="stylesheet" href="' + base_url + 'backend/dist/css/AdminLTE.min.css">');
    frameDoc.document.write('<link rel="stylesheet" href="' + base_url + 'backend/dist/css/skins/_all-skins.min.css">');
    frameDoc.document.write('<link rel="stylesheet" href="' + base_url + 'backend/plugins/iCheck/flat/blue.css">');
    frameDoc.document.write('<link rel="stylesheet" href="' + base_url + 'backend/plugins/morris/morris.css">');
    frameDoc.document.write('<link rel="stylesheet" href="' + base_url +
        'backend/plugins/jvectormap/jquery-jvectormap-1.2.2.css">');
    frameDoc.document.write('<link rel="stylesheet" href="' + base_url +
    'backend/plugins/datepicker/datepicker3.css">');
    frameDoc.document.write('<link rel="stylesheet" href="' + base_url +
        'backend/plugins/daterangepicker/daterangepicker-bs3.css">');
    frameDoc.document.write('</head>');
    frameDoc.document.write('<body>');
    frameDoc.document.write(data);
    frameDoc.document.write('</body>');
    frameDoc.document.write('</html>');
    frameDoc.document.close();
    setTimeout(function() {
        window.frames["frame1"].focus();
        window.frames["frame1"].print();
        frame1.remove();
    }, 500);


    return true;
}
$(document).ready(function() {
    $('.delmodal').modal({
        backdrop: 'static',
        keyboard: false,
        show: false
    })
    $('#confirm-delete').on('show.bs.modal', function(e) {
        $('.invoice_no', this).text("");
        $('#main_invoice', this).val("");
        $('#sub_invoice', this).val("");

        $('.invoice_no', this).text($(e.relatedTarget).data('invoiceno'));
        $('#main_invoice', this).val($(e.relatedTarget).data('main_invoice'));
        $('#sub_invoice', this).val($(e.relatedTarget).data('sub_invoice'));


    });

    $('#confirm-discountdelete').on('show.bs.modal', function(e) {
        $('.discount_title', this).text("");
        $('#discount_id', this).val("");
        $('.discount_title', this).text($(e.relatedTarget).data('discounttitle'));
        $('#discount_id', this).val($(e.relatedTarget).data('discountid'));
    });

    $('#confirm-delete').on('click', '.btn-ok', function(e) {
        var $modalDiv = $(e.delegateTarget);
        var main_invoice = $('#main_invoice').val();
        var sub_invoice = $('#sub_invoice').val();

        $modalDiv.addClass('modalloading');
        $.ajax({
            type: "post",
            url: '<?php echo site_url("studentfee/deleteFee") ?>',
            dataType: 'JSON',
            data: {
                'main_invoice': main_invoice,
                'sub_invoice': sub_invoice
            },
            success: function(data) {
                $modalDiv.modal('hide').removeClass('modalloading');
                location.reload(true);
            }
        });


    });

    $('#confirm-discountdelete').on('click', '.btn-discountdel', function(e) {
        var $modalDiv = $(e.delegateTarget);
        var discount_id = $('#discount_id').val();


        $modalDiv.addClass('modalloading');
        $.ajax({
            type: "post",
            url: '<?php echo site_url("studentfee/deleteStudentDiscount") ?>',
            dataType: 'JSON',
            data: {
                'discount_id': discount_id
            },
            success: function(data) {
                $modalDiv.modal('hide').removeClass('modalloading');
                location.reload(true);
            }
        });


    });


    $(document).on('click', '.btn-ok', function(e) {
        var $modalDiv = $(e.delegateTarget);
        var main_invoice = $('#main_invoice').val();
        var sub_invoice = $('#sub_invoice').val();

        $modalDiv.addClass('modalloading');
        $.ajax({
            type: "post",
            url: '<?php echo site_url("studentfee/deleteFee") ?>',
            dataType: 'JSON',
            data: {
                'main_invoice': main_invoice,
                'sub_invoice': sub_invoice
            },
            success: function(data) {
                $modalDiv.modal('hide').removeClass('modalloading');
                location.reload(true);
            }
        });


    });


    $('.detail_popover').popover({
        placement: 'right',
        title: '',
        trigger: 'hover',
        container: 'body',
        html: true,
        content: function() {
            return $(this).closest('td').find('.fee_detail_popover').html();
        }
    });
});
</script>

<script type="text/javascript">
$("#myFeesModal").on('shown.bs.modal', function(e) {
    console.log("sdrere");
    e.stopPropagation();
    var discount_group_dropdown = '<option value=""><?php echo $this->lang->line('select'); ?></option>';
    var data = $(e.relatedTarget).data();
    $('#discount_group').html("");
    $("span[id$='_error']").html("");
    $('.fees_title').html("");
    $('#amount').val("");
    $('#amount_discount').val("0");
    $('#amount_fine').val("0");
    var type = data.type;
    var amount = data.amount;
    var group = data.group;
    var fee_groups_feetype_id = data.fee_groups_feetype_id;
    var student_fees_master_id = data.student_fees_master_id;
    var student_session_id = data.student_session_id;

    $('.fees_title').html("<b>" + group + ":</b> " + type);
    $('#fee_groups_feetype_id').val(fee_groups_feetype_id);
    $('#student_fees_master_id').val(student_fees_master_id);



    $.ajax({
        type: "post",
        url: '<?php echo site_url("studentfee/geBalanceFee") ?>',
        dataType: 'JSON',
        data: {
            'fee_groups_feetype_id': fee_groups_feetype_id,
            'student_fees_master_id': student_fees_master_id,
            'student_session_id': student_session_id
        },
        success: function(data) {

            if (data.status == "success") {
                fee_amount = data.balance;

                $('#amount').val(data.balance);
                console.log(data.discount_not_applied);

                $.each(data.discount_not_applied, function(i, obj) {
                    discount_group_dropdown += "<option value=" + obj
                        .student_fees_discount_id + " data-disamount=" + obj.amount + ">" +
                        obj.code + "</option>";
                });
                $('#discount_group').append(discount_group_dropdown);




            }
        }
    });


});
</script>

<script type="text/javascript">
$(document).ready(function() {
    $(document).on('click', '.printSelected', function() {
        var array_to_print = [];
        $.each($("input[name='fee_checkbox']:checked"), function() {
            var section_id = $(this).data('section_id');
            var class_id = $(this).data('class_id');
            var student_id = $(this).data('student_id');
            item = {}
            item["section_id"] = section_id;
            item["class_id"] = class_id;
            item["student_id"] = student_id;

            array_to_print.push(item);
        });
        if (array_to_print.length == 0) {
            alert("no record selected");
        } else {
            $.ajax({
                url: '<?php echo site_url("studentfee/printFeesStatementByGroup") ?>',
                type: 'post',
                data: {
                    'data': JSON.stringify(array_to_print)
                },
                success: function(response) {
                    Popup(response);
                }
            });
        }
    });
});


$(function() {
    $(document).on('change', "#discount_group", function() {
        var amount = $('option:selected', this).data('disamount');

        var balance_amount = (parseFloat(fee_amount) - parseFloat(amount)).toFixed(2);
        if (typeof amount !== typeof undefined && amount !== false) {
            $('div#myFeesModal').find('input#amount_discount').prop('readonly', true).val(amount);
            $('div#myFeesModal').find('input#amount').val(balance_amount);

        } else {
            $('div#myFeesModal').find('input#amount').val(fee_amount);
            $('div#myFeesModal').find('input#amount_discount').prop('readonly', false).val(0);
        }

    });
});
</script>