#
# TABLE STRUCTURE FOR: accummdeprec
#

DROP TABLE IF EXISTS `accummdeprec`;

CREATE TABLE `accummdeprec` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `accummdeprec` varchar(200) NOT NULL,
  `description` varchar(300) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: allergies
#

DROP TABLE IF EXISTS `allergies`;

CREATE TABLE `allergies` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `allergies` varchar(200) NOT NULL,
  `description` varchar(300) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: array_testing
#

DROP TABLE IF EXISTS `array_testing`;

CREATE TABLE `array_testing` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_fees_master_id` int(11) NOT NULL,
  `fee_groups_feetype_id` int(11) NOT NULL,
  `amounts` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8mb4;

INSERT INTO `array_testing` (`id`, `student_fees_master_id`, `fee_groups_feetype_id`, `amounts`) VALUES (16, 0, 0, 20);
INSERT INTO `array_testing` (`id`, `student_fees_master_id`, `fee_groups_feetype_id`, `amounts`) VALUES (17, 0, 0, 40);
INSERT INTO `array_testing` (`id`, `student_fees_master_id`, `fee_groups_feetype_id`, `amounts`) VALUES (18, 0, 0, 200);
INSERT INTO `array_testing` (`id`, `student_fees_master_id`, `fee_groups_feetype_id`, `amounts`) VALUES (19, 0, 0, 0);
INSERT INTO `array_testing` (`id`, `student_fees_master_id`, `fee_groups_feetype_id`, `amounts`) VALUES (20, 0, 0, 30);
INSERT INTO `array_testing` (`id`, `student_fees_master_id`, `fee_groups_feetype_id`, `amounts`) VALUES (21, 0, 0, 50);
INSERT INTO `array_testing` (`id`, `student_fees_master_id`, `fee_groups_feetype_id`, `amounts`) VALUES (22, 0, 0, 250);


#
# TABLE STRUCTURE FOR: assets
#

DROP TABLE IF EXISTS `assets`;

CREATE TABLE `assets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(60) NOT NULL,
  `asset_code` varchar(100) NOT NULL,
  `description` varchar(200) NOT NULL,
  `asset_type` varchar(100) NOT NULL,
  `master_asset` varchar(200) NOT NULL,
  `units_num` varchar(100) NOT NULL,
  `serial_num` varchar(20) NOT NULL,
  `asset_type2` varchar(200) NOT NULL,
  `department` varchar(200) NOT NULL,
  `employee` varchar(100) NOT NULL,
  `supplier` varchar(100) NOT NULL,
  `capex_order` varchar(100) NOT NULL,
  `purchase_price` varchar(40) NOT NULL,
  `insured_value` varchar(40) NOT NULL,
  `scrap_value` varchar(40) NOT NULL,
  `revaluation` varchar(100) NOT NULL,
  `purchase_date` varchar(60) NOT NULL,
  `replacement_date` varchar(60) NOT NULL,
  `replacement_cost` varchar(200) NOT NULL,
  `base_cost` varchar(200) NOT NULL,
  `roll_over_relief` varchar(200) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: assettypes
#

DROP TABLE IF EXISTS `assettypes`;

CREATE TABLE `assettypes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(50) NOT NULL,
  `asset_code` varchar(100) NOT NULL,
  `description` varchar(500) NOT NULL,
  `accum_dep` varchar(200) NOT NULL,
  `dep_expenses` varchar(200) NOT NULL,
  `revaluation` varchar(200) NOT NULL,
  `insurance` varchar(200) NOT NULL,
  `tax_dep` varchar(200) NOT NULL,
  `book_dep` varchar(200) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: attendence_type
#

DROP TABLE IF EXISTS `attendence_type`;

CREATE TABLE `attendence_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(50) DEFAULT NULL,
  `key_value` varchar(50) NOT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `attendence_type` (`id`, `type`, `key_value`, `is_active`, `created_at`, `updated_at`) VALUES (1, 'Present', '<b class=\"text text-success\">P</b>', 'yes', '2016-06-23 20:11:37', '0000-00-00 00:00:00');
INSERT INTO `attendence_type` (`id`, `type`, `key_value`, `is_active`, `created_at`, `updated_at`) VALUES (2, 'Late With Excuse', '<b class=\"text text-warning\">E</b>', 'no', '2018-05-29 10:19:48', '0000-00-00 00:00:00');
INSERT INTO `attendence_type` (`id`, `type`, `key_value`, `is_active`, `created_at`, `updated_at`) VALUES (3, 'Late', '<b class=\"text text-warning\">L</b>', 'yes', '2016-06-23 20:12:28', '0000-00-00 00:00:00');
INSERT INTO `attendence_type` (`id`, `type`, `key_value`, `is_active`, `created_at`, `updated_at`) VALUES (4, 'Absent', '<b class=\"text text-danger\">A</b>', 'yes', '2016-10-11 13:35:40', '0000-00-00 00:00:00');
INSERT INTO `attendence_type` (`id`, `type`, `key_value`, `is_active`, `created_at`, `updated_at`) VALUES (5, 'Holiday', 'H', 'yes', '2016-10-11 13:35:01', '0000-00-00 00:00:00');
INSERT INTO `attendence_type` (`id`, `type`, `key_value`, `is_active`, `created_at`, `updated_at`) VALUES (6, 'Half Day', '<b class=\"text text-warning\">F</b>', 'yes', '2016-06-23 20:12:28', '0000-00-00 00:00:00');


#
# TABLE STRUCTURE FOR: bank_rates
#

DROP TABLE IF EXISTS `bank_rates`;

CREATE TABLE `bank_rates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` varchar(50) NOT NULL,
  `foreign_currency` varchar(50) NOT NULL,
  `home_currency` varchar(50) NOT NULL,
  `foreign_rate` varchar(50) NOT NULL,
  `home_rate` varchar(50) NOT NULL,
  `description` varchar(50) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;

INSERT INTO `bank_rates` (`id`, `date`, `foreign_currency`, `home_currency`, `foreign_rate`, `home_rate`, `description`, `active`) VALUES (11, '31-03-2023 07:38:05am', 'RTGS', 'USD', '2000', '1', ' USD- RTGS', 1);
INSERT INTO `bank_rates` (`id`, `date`, `foreign_currency`, `home_currency`, `foreign_rate`, `home_rate`, `description`, `active`) VALUES (12, '31-03-2023 07:38:31am', 'ZAR', 'USD', '18', '1', 'USD - RAND', 1);
INSERT INTO `bank_rates` (`id`, `date`, `foreign_currency`, `home_currency`, `foreign_rate`, `home_rate`, `description`, `active`) VALUES (13, '31-03-2023 07:42:06am', 'ECOCASH', 'USD', '2000', '1', 'USD-ECOCASH', 1);


#
# TABLE STRUCTURE FOR: bank_rates_history
#

DROP TABLE IF EXISTS `bank_rates_history`;

CREATE TABLE `bank_rates_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` varchar(50) NOT NULL,
  `foreign_currency` varchar(50) NOT NULL,
  `home_currency` varchar(50) NOT NULL,
  `foreign_rate` varchar(50) NOT NULL,
  `home_rate` varchar(50) NOT NULL,
  `description` varchar(50) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

#
# TABLE STRUCTURE FOR: bankrec
#

DROP TABLE IF EXISTS `bankrec`;

CREATE TABLE `bankrec` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(20) NOT NULL,
  `cbb_dr` varchar(10) NOT NULL,
  `cbb_cr` varchar(10) NOT NULL,
  `tu_dr` varchar(10) NOT NULL,
  `tu_cr` varchar(10) NOT NULL,
  `rbb_dr` varchar(10) NOT NULL,
  `rbb_cr` varchar(10) NOT NULL,
  `diff_dr` varchar(10) NOT NULL,
  `diff_cr` varchar(10) NOT NULL,
  `active` int(11) NOT NULL,
  `cashbook_id` varchar(10) NOT NULL,
  `cashbook` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

INSERT INTO `bankrec` (`id`, `date_captured`, `cbb_dr`, `cbb_cr`, `tu_dr`, `tu_cr`, `rbb_dr`, `rbb_cr`, `diff_dr`, `diff_cr`, `active`, `cashbook_id`, `cashbook`) VALUES (1, '2023-04-12 01:20:07p', '-110', '0', '260', '150', '-110', '0', '0', '0', 1, '64', 'PETTY CASH');
INSERT INTO `bankrec` (`id`, `date_captured`, `cbb_dr`, `cbb_cr`, `tu_dr`, `tu_cr`, `rbb_dr`, `rbb_cr`, `diff_dr`, `diff_cr`, `active`, `cashbook_id`, `cashbook`) VALUES (2, '2023-04-12 01:20:48p', '-160', '0', '260', '100', '-160', '0', '0', '0', 1, '65', 'PETTY CASH');
INSERT INTO `bankrec` (`id`, `date_captured`, `cbb_dr`, `cbb_cr`, `tu_dr`, `tu_cr`, `rbb_dr`, `rbb_cr`, `diff_dr`, `diff_cr`, `active`, `cashbook_id`, `cashbook`) VALUES (3, '2023-04-13 09:59:32a', '-45', '0', '95', '50', '-45', '0', '0', '0', 1, '68', 'PETTY CASH USD');


#
# TABLE STRUCTURE FOR: bankrec_yrperiod
#

DROP TABLE IF EXISTS `bankrec_yrperiod`;

CREATE TABLE `bankrec_yrperiod` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `year` varchar(100) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4;

INSERT INTO `bankrec_yrperiod` (`id`, `year`, `active`) VALUES (1, '2022', 1);
INSERT INTO `bankrec_yrperiod` (`id`, `year`, `active`) VALUES (2, '2023', 1);
INSERT INTO `bankrec_yrperiod` (`id`, `year`, `active`) VALUES (3, '2024', 1);
INSERT INTO `bankrec_yrperiod` (`id`, `year`, `active`) VALUES (4, '2025', 1);
INSERT INTO `bankrec_yrperiod` (`id`, `year`, `active`) VALUES (5, '2019', 1);


#
# TABLE STRUCTURE FOR: book_depreciation
#

DROP TABLE IF EXISTS `book_depreciation`;

CREATE TABLE `book_depreciation` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(30) NOT NULL,
  `assetcode` varchar(100) NOT NULL,
  `purchasevalue` varchar(100) NOT NULL,
  `purchasedate` varchar(50) NOT NULL,
  `startdate` varchar(100) NOT NULL,
  `dpmethod` varchar(100) NOT NULL,
  `total` varchar(100) NOT NULL,
  `prioryears` varchar(100) NOT NULL,
  `currentyear` varchar(100) NOT NULL,
  `currentperiod` varchar(100) NOT NULL,
  `initial_allowance` varchar(100) NOT NULL,
  `residual_vale` varchar(100) NOT NULL,
  `impairements` varchar(100) NOT NULL,
  `nbv` varchar(100) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: book_issues
#

DROP TABLE IF EXISTS `book_issues`;

CREATE TABLE `book_issues` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `book_id` int(11) DEFAULT NULL,
  `return_date` date DEFAULT NULL,
  `issue_date` date DEFAULT NULL,
  `is_returned` int(11) DEFAULT '0',
  `member_id` int(11) DEFAULT NULL,
  `is_active` varchar(10) NOT NULL DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: books
#

DROP TABLE IF EXISTS `books`;

CREATE TABLE `books` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `book_title` varchar(100) NOT NULL,
  `book_no` varchar(50) NOT NULL,
  `isbn_no` varchar(100) NOT NULL,
  `subject` varchar(100) DEFAULT NULL,
  `rack_no` varchar(100) NOT NULL,
  `publish` varchar(100) DEFAULT NULL,
  `author` varchar(100) DEFAULT NULL,
  `qty` int(11) DEFAULT NULL,
  `perunitcost` float(10,2) DEFAULT NULL,
  `postdate` date DEFAULT NULL,
  `description` text,
  `available` varchar(10) DEFAULT 'yes',
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `books` (`id`, `book_title`, `book_no`, `isbn_no`, `subject`, `rack_no`, `publish`, `author`, `qty`, `perunitcost`, `postdate`, `description`, `available`, `is_active`, `created_at`, `updated_at`) VALUES (2, 'SNOW WHITE', '0001', '9866650', '', '', '', '', 2, '0.00', '1970-01-01', '', 'yes', 'no', '2023-02-03 22:30:04', '');


#
# TABLE STRUCTURE FOR: cashbook
#

DROP TABLE IF EXISTS `cashbook`;

CREATE TABLE `cashbook` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(100) NOT NULL,
  `date` varchar(20) NOT NULL,
  `cashbook` varchar(100) NOT NULL,
  `description` varchar(400) NOT NULL,
  `account` varchar(200) NOT NULL,
  `module` varchar(100) NOT NULL,
  `receipt` varchar(100) NOT NULL,
  `currency` varchar(100) NOT NULL,
  `debit` varchar(100) NOT NULL,
  `credit` varchar(100) NOT NULL,
  `balance` varchar(100) NOT NULL,
  `active` int(11) NOT NULL,
  `bankrec` varchar(10) NOT NULL,
  `mv_expense` varchar(100) NOT NULL,
  `gl_account` varchar(100) NOT NULL,
  `date_from` varchar(50) NOT NULL,
  `date_to` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=61 DEFAULT CHARSET=utf8mb4;

INSERT INTO `cashbook` (`id`, `date_captured`, `date`, `cashbook`, `description`, `account`, `module`, `receipt`, `currency`, `debit`, `credit`, `balance`, `active`, `bankrec`, `mv_expense`, `gl_account`, `date_from`, `date_to`) VALUES (54, '2024-01-31 08:55:36am', '2024-01-31', 'CABS RTGS', 'wertyuio', 'MUKUDZEI', 'Learner', '12345', '', '50', '0', '50', 1, '0', 'Select Motor Vehicle', 'null', '', '');
INSERT INTO `cashbook` (`id`, `date_captured`, `date`, `cashbook`, `description`, `account`, `module`, `receipt`, `currency`, `debit`, `credit`, `balance`, `active`, `bankrec`, `mv_expense`, `gl_account`, `date_from`, `date_to`) VALUES (55, '2024-01-31', '2024-01-31', 'CASH ACCOUNT USD', 'Undeposited Funds History From 31-01-2024 To 31-01-2024', 'Undeposited Funds', 'GL', 'UDF0001', '', '150.00', '0', '0', 0, '0', '', '', '2024-01-31', '2024-01-31');
INSERT INTO `cashbook` (`id`, `date_captured`, `date`, `cashbook`, `description`, `account`, `module`, `receipt`, `currency`, `debit`, `credit`, `balance`, `active`, `bankrec`, `mv_expense`, `gl_account`, `date_from`, `date_to`) VALUES (56, '2024-02-01 10:20:09am', '2024-01-29', 'CASH ACCOUNT USD', 'School System Part Payment-First Term ', 'Melsoft', 'Supplier', 'INV001', '', '0', '150', '0', 1, '0', 'ADH000Q', 'null', '', '');
INSERT INTO `cashbook` (`id`, `date_captured`, `date`, `cashbook`, `description`, `account`, `module`, `receipt`, `currency`, `debit`, `credit`, `balance`, `active`, `bankrec`, `mv_expense`, `gl_account`, `date_from`, `date_to`) VALUES (57, '2024-02-08', '2024-02-08', 'CASH ACCOUNT USD', 'Undeposited Funds History From 08-02-2024 To 08-02-2024', 'Undeposited Funds', 'GL', 'UDF0002', '', '350.00', '0', '0', 0, '0', '', '', '2024-02-08', '2024-02-08');
INSERT INTO `cashbook` (`id`, `date_captured`, `date`, `cashbook`, `description`, `account`, `module`, `receipt`, `currency`, `debit`, `credit`, `balance`, `active`, `bankrec`, `mv_expense`, `gl_account`, `date_from`, `date_to`) VALUES (58, '2024-02-08 10:26:42pm', '2024-02-08', 'CASH ACCOUNT USD', 'payments', 'JOSEPH', 'Learner', '1243', '', '0', '350', '0', 1, '0', 'ADH000Q', 'null', '', '');
INSERT INTO `cashbook` (`id`, `date_captured`, `date`, `cashbook`, `description`, `account`, `module`, `receipt`, `currency`, `debit`, `credit`, `balance`, `active`, `bankrec`, `mv_expense`, `gl_account`, `date_from`, `date_to`) VALUES (59, '2024-03-15 12:38:31pm', '2024-03-15', 'CABS RTGS', 'DFGHJKL;', 'DANIEL', 'Learner', 'INV273', '', '700', '0', '700', 1, '0', 'ADH000Q', 'null', '', '');
INSERT INTO `cashbook` (`id`, `date_captured`, `date`, `cashbook`, `description`, `account`, `module`, `receipt`, `currency`, `debit`, `credit`, `balance`, `active`, `bankrec`, `mv_expense`, `gl_account`, `date_from`, `date_to`) VALUES (60, '2024-03-15', '2024-03-15', 'CABS RTGS', 'Undeposited Funds History From 15-03-2024 To 15-03-2024', 'Undeposited Funds', 'GL', 'UDF0003', '', '700.00', '0', '0', 0, '0', '', '', '2024-03-15', '2024-03-15');


#
# TABLE STRUCTURE FOR: cashbook_accounts
#

DROP TABLE IF EXISTS `cashbook_accounts`;

CREATE TABLE `cashbook_accounts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cashbook_accounts` varchar(200) NOT NULL,
  `currency` varchar(100) NOT NULL,
  `description` varchar(300) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4;

INSERT INTO `cashbook_accounts` (`id`, `cashbook_accounts`, `currency`, `description`, `active`) VALUES (5, 'CABS RTGS', 'ZWL', 'CABS RTGS', 1);
INSERT INTO `cashbook_accounts` (`id`, `cashbook_accounts`, `currency`, `description`, `active`) VALUES (6, 'ECOCASH ZWL', 'ZWL', 'ECOCASH ZWL', 1);
INSERT INTO `cashbook_accounts` (`id`, `cashbook_accounts`, `currency`, `description`, `active`) VALUES (7, 'NEDBANK ZAR', 'ZAR', 'NEDBANK ZAR', 1);
INSERT INTO `cashbook_accounts` (`id`, `cashbook_accounts`, `currency`, `description`, `active`) VALUES (8, 'CASH ACCOUNT USD', 'USD', 'CASH ACCOUNT USD', 1);
INSERT INTO `cashbook_accounts` (`id`, `cashbook_accounts`, `currency`, `description`, `active`) VALUES (9, 'PETTY CASH USD', 'USD', 'PETTY CASH USD', 1);


#
# TABLE STRUCTURE FOR: cashbook_report
#

DROP TABLE IF EXISTS `cashbook_report`;

CREATE TABLE `cashbook_report` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(100) NOT NULL,
  `cashbook` varchar(100) NOT NULL,
  `receipt` varchar(100) NOT NULL,
  `currency` varchar(100) NOT NULL,
  `debit` varchar(100) NOT NULL,
  `credit` varchar(100) NOT NULL,
  `balance` varchar(100) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: categories
#

DROP TABLE IF EXISTS `categories`;

CREATE TABLE `categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category` varchar(100) DEFAULT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `categories` (`id`, `category`, `is_active`, `created_at`, `updated_at`) VALUES (1, 'STUDENT', 'no', '2023-02-07 00:26:19', '0000-00-00 00:00:00');
INSERT INTO `categories` (`id`, `category`, `is_active`, `created_at`, `updated_at`) VALUES (2, 'PREFECT', 'no', '2023-02-07 00:25:58', '');
INSERT INTO `categories` (`id`, `category`, `is_active`, `created_at`, `updated_at`) VALUES (3, 'WEEKLY BOARDER', 'no', '2023-02-07 00:26:43', '');
INSERT INTO `categories` (`id`, `category`, `is_active`, `created_at`, `updated_at`) VALUES (4, 'FULL TIME BOARDER', 'no', '2023-02-07 00:26:53', '');


#
# TABLE STRUCTURE FOR: certificates
#

DROP TABLE IF EXISTS `certificates`;

CREATE TABLE `certificates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `certificate_name` varchar(100) NOT NULL,
  `certificate_text` text NOT NULL,
  `left_header` varchar(100) NOT NULL,
  `center_header` varchar(100) NOT NULL,
  `right_header` varchar(100) NOT NULL,
  `left_footer` varchar(100) NOT NULL,
  `right_footer` varchar(100) NOT NULL,
  `center_footer` varchar(100) NOT NULL,
  `background_image` varchar(100) NOT NULL,
  `created_at` varchar(100) NOT NULL,
  `updated_at` varchar(100) NOT NULL,
  `created_for` tinyint(1) NOT NULL COMMENT '1 = staff, 2 = students',
  `status` tinyint(1) NOT NULL,
  `header_height` int(11) NOT NULL,
  `content_height` int(11) NOT NULL,
  `footer_height` int(11) NOT NULL,
  `content_width` int(11) NOT NULL,
  `enable_student_image` tinyint(1) NOT NULL COMMENT '0=no,1=yes',
  `enable_image_height` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `certificates` (`id`, `certificate_name`, `certificate_text`, `left_header`, `center_header`, `right_header`, `left_footer`, `right_footer`, `center_footer`, `background_image`, `created_at`, `updated_at`, `created_for`, `status`, `header_height`, `content_height`, `footer_height`, `content_width`, `enable_student_image`, `enable_image_height`) VALUES (1, 'Sample Transfer Certificate', 'This is certify that <b>[name]</b> has born on [dob]  <br> and have following details [present_address] [guardian] [created_at] [admission_no] [roll_no] [class] [section] [gender] [admission_date] [category] [cast] [father_name] [mother_name] [religion] [email] [phone] .<br>We wish best of luck for future endeavors.', 'Reff. No.......................', '', 'Date: ___/____/_______', '.................................<br>Authority Sign', '.................................<br>Principal Sign', '.................................<br>Class Teacher Sign', 'sampletc12.png', '2018-09-05 21:47:33', '0000-00-00 00:00:00', 2, 1, 360, 400, 480, 810, 1, 230);
INSERT INTO `certificates` (`id`, `certificate_name`, `certificate_text`, `left_header`, `center_header`, `right_header`, `left_footer`, `right_footer`, `center_footer`, `background_image`, `created_at`, `updated_at`, `created_for`, `status`, `header_height`, `content_height`, `footer_height`, `content_width`, `enable_student_image`, `enable_image_height`) VALUES (2, 'Award', 'exrctvybunimo,p.', 'frtfwu', 'neyrneyy', 'tewntnwt', 'hwe6rc7t8', 'sndu', 'sejdyfu', '', '', '', 2, 1, 0, 0, 0, 0, 1, 0);


#
# TABLE STRUCTURE FOR: class_sections
#

DROP TABLE IF EXISTS `class_sections`;

CREATE TABLE `class_sections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `class_id` int(11) DEFAULT NULL,
  `section_id` int(11) DEFAULT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` varchar(100) NOT NULL,
  `updated_at` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `class_id` (`class_id`),
  KEY `section_id` (`section_id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;

INSERT INTO `class_sections` (`id`, `class_id`, `section_id`, `is_active`, `created_at`, `updated_at`) VALUES (16, 16, 14, 'no', '', '');
INSERT INTO `class_sections` (`id`, `class_id`, `section_id`, `is_active`, `created_at`, `updated_at`) VALUES (17, 17, 14, 'no', '', '');
INSERT INTO `class_sections` (`id`, `class_id`, `section_id`, `is_active`, `created_at`, `updated_at`) VALUES (18, 18, 14, 'no', '', '');
INSERT INTO `class_sections` (`id`, `class_id`, `section_id`, `is_active`, `created_at`, `updated_at`) VALUES (19, 19, 14, 'no', '', '');
INSERT INTO `class_sections` (`id`, `class_id`, `section_id`, `is_active`, `created_at`, `updated_at`) VALUES (20, 20, 14, 'no', '', '');
INSERT INTO `class_sections` (`id`, `class_id`, `section_id`, `is_active`, `created_at`, `updated_at`) VALUES (21, 21, 14, 'no', '', '');
INSERT INTO `class_sections` (`id`, `class_id`, `section_id`, `is_active`, `created_at`, `updated_at`) VALUES (22, 22, 14, 'no', '', '');
INSERT INTO `class_sections` (`id`, `class_id`, `section_id`, `is_active`, `created_at`, `updated_at`) VALUES (23, 23, 14, 'no', '', '');
INSERT INTO `class_sections` (`id`, `class_id`, `section_id`, `is_active`, `created_at`, `updated_at`) VALUES (24, 24, 14, 'no', '', '');
INSERT INTO `class_sections` (`id`, `class_id`, `section_id`, `is_active`, `created_at`, `updated_at`) VALUES (25, 25, 14, 'no', '', '');


#
# TABLE STRUCTURE FOR: class_teacher
#

DROP TABLE IF EXISTS `class_teacher`;

CREATE TABLE `class_teacher` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `class_id` int(11) NOT NULL,
  `staff_id` int(11) NOT NULL,
  `section_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=39 DEFAULT CHARSET=utf8;

INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (10, 16, 13, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (11, 17, 12, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (12, 18, 11, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (13, 19, 9, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (17, 20, 8, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (18, 20, 14, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (19, 20, 15, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (20, 21, 7, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (21, 21, 14, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (22, 21, 15, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (23, 22, 6, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (24, 22, 14, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (25, 22, 15, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (26, 23, 4, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (27, 23, 5, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (28, 23, 14, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (29, 23, 15, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (34, 23, 10, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (35, 24, 4, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (36, 24, 5, 14);
INSERT INTO `class_teacher` (`id`, `class_id`, `staff_id`, `section_id`) VALUES (38, 16, 5, 14);


#
# TABLE STRUCTURE FOR: classes
#

DROP TABLE IF EXISTS `classes`;

CREATE TABLE `classes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `class` varchar(60) DEFAULT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` varchar(100) NOT NULL,
  `updated_at` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;

INSERT INTO `classes` (`id`, `class`, `is_active`, `created_at`, `updated_at`) VALUES (16, 'ECD A', 'no', '', '');
INSERT INTO `classes` (`id`, `class`, `is_active`, `created_at`, `updated_at`) VALUES (17, 'ECD B', 'no', '', '');
INSERT INTO `classes` (`id`, `class`, `is_active`, `created_at`, `updated_at`) VALUES (18, 'GRADE 1', 'no', '', '');
INSERT INTO `classes` (`id`, `class`, `is_active`, `created_at`, `updated_at`) VALUES (19, 'GRADE 2', 'no', '', '');
INSERT INTO `classes` (`id`, `class`, `is_active`, `created_at`, `updated_at`) VALUES (20, 'GRADE 3', 'no', '', '');
INSERT INTO `classes` (`id`, `class`, `is_active`, `created_at`, `updated_at`) VALUES (21, 'GRADE 4', 'no', '', '');
INSERT INTO `classes` (`id`, `class`, `is_active`, `created_at`, `updated_at`) VALUES (22, 'GRADE 5', 'no', '', '');
INSERT INTO `classes` (`id`, `class`, `is_active`, `created_at`, `updated_at`) VALUES (23, 'GRADE 6', 'no', '', '');
INSERT INTO `classes` (`id`, `class`, `is_active`, `created_at`, `updated_at`) VALUES (24, 'GRADE 7', 'no', '', '');
INSERT INTO `classes` (`id`, `class`, `is_active`, `created_at`, `updated_at`) VALUES (25, 'TODDLERS', 'no', '', '');


#
# TABLE STRUCTURE FOR: complaint
#

DROP TABLE IF EXISTS `complaint`;

CREATE TABLE `complaint` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `complaint_type` varchar(15) NOT NULL,
  `source` varchar(15) NOT NULL,
  `name` varchar(100) NOT NULL,
  `contact` varchar(15) NOT NULL,
  `email` varchar(200) NOT NULL,
  `date` date NOT NULL,
  `description` text NOT NULL,
  `action_taken` varchar(200) NOT NULL,
  `assigned` varchar(50) NOT NULL,
  `note` text NOT NULL,
  `image` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: complaint_type
#

DROP TABLE IF EXISTS `complaint_type`;

CREATE TABLE `complaint_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `complaint_type` varchar(100) NOT NULL,
  `description` mediumtext NOT NULL,
  `created_at` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: content_for
#

DROP TABLE IF EXISTS `content_for`;

CREATE TABLE `content_for` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `role` varchar(50) DEFAULT NULL,
  `content_id` int(11) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `content_id` (`content_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: contents
#

DROP TABLE IF EXISTS `contents`;

CREATE TABLE `contents` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) DEFAULT NULL,
  `type` varchar(50) DEFAULT NULL,
  `is_public` varchar(10) DEFAULT 'No',
  `class_id` int(11) DEFAULT NULL,
  `cls_sec_id` int(10) NOT NULL,
  `file` varchar(250) DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `note` text,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` varchar(100) NOT NULL,
  `updated_at` varchar(200) NOT NULL,
  `date` date NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: currency
#

DROP TABLE IF EXISTS `currency`;

CREATE TABLE `currency` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `currency` varchar(100) NOT NULL,
  `description` varchar(200) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4;

INSERT INTO `currency` (`id`, `currency`, `description`, `active`) VALUES (3, 'USD', 'UNITED STATES DOLLARS', 1);
INSERT INTO `currency` (`id`, `currency`, `description`, `active`) VALUES (4, 'RTGS', 'RTGS', 1);
INSERT INTO `currency` (`id`, `currency`, `description`, `active`) VALUES (5, 'ZAR', 'RAND', 1);
INSERT INTO `currency` (`id`, `currency`, `description`, `active`) VALUES (6, 'ECOCASH', 'ECOCASH', 1);


#
# TABLE STRUCTURE FOR: currency_table
#

DROP TABLE IF EXISTS `currency_table`;

CREATE TABLE `currency_table` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `currencycode` varchar(50) NOT NULL,
  `date` varchar(50) NOT NULL,
  `name` varchar(100) NOT NULL,
  `description` varchar(400) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4;

INSERT INTO `currency_table` (`id`, `currencycode`, `date`, `name`, `description`, `active`) VALUES (11, 'RTGS', '2023-03-31', 'RTGS', 'RTGS', 1);
INSERT INTO `currency_table` (`id`, `currencycode`, `date`, `name`, `description`, `active`) VALUES (13, 'ZAR', '2023-03-31', 'ZAR', 'SOUTH AFRICAN RAND', 1);
INSERT INTO `currency_table` (`id`, `currencycode`, `date`, `name`, `description`, `active`) VALUES (14, 'ECOCASH', '2023-03-31', 'ECOCASH', 'ECOCASH', 1);


#
# TABLE STRUCTURE FOR: customer
#

DROP TABLE IF EXISTS `customer`;

CREATE TABLE `customer` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(30) NOT NULL,
  `customer_id` varchar(10) NOT NULL,
  `name` varchar(100) NOT NULL,
  `address` varchar(100) NOT NULL,
  `mobile` varchar(15) NOT NULL,
  `email` varchar(100) NOT NULL,
  `currency` varchar(20) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: customer_invoice
#

DROP TABLE IF EXISTS `customer_invoice`;

CREATE TABLE `customer_invoice` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `gl_account` varchar(100) NOT NULL,
  `date_created` varchar(30) NOT NULL,
  `name` varchar(200) NOT NULL,
  `inv_date` varchar(30) NOT NULL,
  `inv_number` varchar(100) NOT NULL,
  `currency` varchar(100) NOT NULL,
  `description` varchar(300) NOT NULL,
  `quantity` varchar(100) NOT NULL,
  `price` varchar(100) NOT NULL,
  `discount` varchar(100) NOT NULL,
  `total_amount` varchar(100) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: customer_receipt
#

DROP TABLE IF EXISTS `customer_receipt`;

CREATE TABLE `customer_receipt` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `gl_account` varchar(100) NOT NULL,
  `date_created` varchar(30) NOT NULL,
  `name` varchar(200) NOT NULL,
  `rec_date` varchar(30) NOT NULL,
  `rec_number` varchar(100) NOT NULL,
  `inv_number` varchar(100) NOT NULL,
  `currency` varchar(100) NOT NULL,
  `description` varchar(300) NOT NULL,
  `quantity` varchar(100) NOT NULL,
  `price` varchar(100) NOT NULL,
  `discount` varchar(100) NOT NULL,
  `total_amount` varchar(100) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: customer_statement
#

DROP TABLE IF EXISTS `customer_statement`;

CREATE TABLE `customer_statement` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `gl_account` varchar(100) NOT NULL,
  `customer` varchar(200) NOT NULL,
  `reference` varchar(200) NOT NULL,
  `description` varchar(200) NOT NULL,
  `currency` varchar(100) NOT NULL,
  `debit` varchar(100) NOT NULL,
  `credit` varchar(100) NOT NULL,
  `date` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: department
#

DROP TABLE IF EXISTS `department`;

CREATE TABLE `department` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `department_name` varchar(200) NOT NULL,
  `is_active` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;

INSERT INTO `department` (`id`, `department_name`, `is_active`) VALUES (9, 'INFANT DEPARTMENT', 'yes');
INSERT INTO `department` (`id`, `department_name`, `is_active`) VALUES (10, 'CLEANING DEPARTMENT', 'yes');
INSERT INTO `department` (`id`, `department_name`, `is_active`) VALUES (11, 'KITCHEN DEPARTMENT', 'yes');
INSERT INTO `department` (`id`, `department_name`, `is_active`) VALUES (12, 'SENIOR TEACHER', 'yes');
INSERT INTO `department` (`id`, `department_name`, `is_active`) VALUES (13, 'ADMINISTRATION ', 'yes');
INSERT INTO `department` (`id`, `department_name`, `is_active`) VALUES (14, 'LOWER GRADES DEPARTMENT', 'yes');
INSERT INTO `department` (`id`, `department_name`, `is_active`) VALUES (15, 'UPPER GRADES DEPARTMENT', 'yes');
INSERT INTO `department` (`id`, `department_name`, `is_active`) VALUES (16, 'SPORTS DEPARTMENT ', 'yes');
INSERT INTO `department` (`id`, `department_name`, `is_active`) VALUES (17, 'TRANSPORT DEPARTMENT', 'yes');
INSERT INTO `department` (`id`, `department_name`, `is_active`) VALUES (18, 'PREFECTS DEPARTMENT', 'yes');
INSERT INTO `department` (`id`, `department_name`, `is_active`) VALUES (19, 'SECURITY DEPARTMENT', 'yes');
INSERT INTO `department` (`id`, `department_name`, `is_active`) VALUES (20, 'TODDLER DEPARTMENT', 'yes');
INSERT INTO `department` (`id`, `department_name`, `is_active`) VALUES (21, 'ACADEMIC DEPARTMENT', 'yes');
INSERT INTO `department` (`id`, `department_name`, `is_active`) VALUES (22, 'ANCILLARY STAFF', 'yes');


#
# TABLE STRUCTURE FOR: depreciationexpenses
#

DROP TABLE IF EXISTS `depreciationexpenses`;

CREATE TABLE `depreciationexpenses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `depreciationexpenses` varchar(300) NOT NULL,
  `description` varchar(300) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: depreciationmethods
#

DROP TABLE IF EXISTS `depreciationmethods`;

CREATE TABLE `depreciationmethods` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(50) NOT NULL,
  `description` varchar(500) NOT NULL,
  `percentage` varchar(20) NOT NULL,
  `no_of_years` int(11) NOT NULL,
  `total_units` varchar(500) NOT NULL,
  `initial_percentage` varchar(20) NOT NULL,
  `depreciation_basis` varchar(200) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: dispatch_receive
#

DROP TABLE IF EXISTS `dispatch_receive`;

CREATE TABLE `dispatch_receive` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reference_no` varchar(50) NOT NULL,
  `to_title` varchar(100) NOT NULL,
  `address` varchar(500) NOT NULL,
  `note` varchar(500) NOT NULL,
  `from_title` varchar(200) NOT NULL,
  `date` varchar(20) NOT NULL,
  `image` varchar(100) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(255) NOT NULL,
  `type` varchar(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: email_config
#

DROP TABLE IF EXISTS `email_config`;

CREATE TABLE `email_config` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `email_type` varchar(100) DEFAULT NULL,
  `smtp_server` varchar(100) DEFAULT NULL,
  `smtp_port` varchar(100) DEFAULT NULL,
  `smtp_username` varchar(100) DEFAULT NULL,
  `smtp_password` varchar(100) DEFAULT NULL,
  `ssl_tls` varchar(100) DEFAULT NULL,
  `is_active` varchar(10) NOT NULL DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `email_config` (`id`, `email_type`, `smtp_server`, `smtp_port`, `smtp_username`, `smtp_password`, `ssl_tls`, `is_active`, `created_at`) VALUES (1, 'sendmail', '', '', '', '', '', 'yes', '2024-02-01 09:42:27');


#
# TABLE STRUCTURE FOR: enquiry
#

DROP TABLE IF EXISTS `enquiry`;

CREATE TABLE `enquiry` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `contact` varchar(20) NOT NULL,
  `address` mediumtext NOT NULL,
  `reference` varchar(20) NOT NULL,
  `date` date NOT NULL,
  `description` varchar(500) NOT NULL,
  `follow_up_date` date NOT NULL,
  `note` mediumtext NOT NULL,
  `source` varchar(50) NOT NULL,
  `email` varchar(50) DEFAULT NULL,
  `assigned` varchar(100) NOT NULL,
  `class` int(11) NOT NULL,
  `no_of_child` varchar(11) DEFAULT NULL,
  `status` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: enquiry_type
#

DROP TABLE IF EXISTS `enquiry_type`;

CREATE TABLE `enquiry_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `enquiry_type` varchar(100) NOT NULL,
  `description` mediumtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: events
#

DROP TABLE IF EXISTS `events`;

CREATE TABLE `events` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `event_title` varchar(200) NOT NULL,
  `event_description` varchar(300) NOT NULL,
  `start_date` datetime NOT NULL,
  `end_date` datetime NOT NULL,
  `event_type` varchar(100) NOT NULL,
  `event_color` varchar(200) NOT NULL,
  `event_for` varchar(100) NOT NULL,
  `role_id` int(11) NOT NULL,
  `is_active` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: exam_results
#

DROP TABLE IF EXISTS `exam_results`;

CREATE TABLE `exam_results` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `attendence` varchar(10) NOT NULL,
  `exam_schedule_id` int(11) DEFAULT NULL,
  `student_id` int(11) DEFAULT NULL,
  `get_marks` float(10,2) DEFAULT NULL,
  `note` text,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `exam_schedule_id` (`exam_schedule_id`),
  KEY `student_id` (`student_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: exam_schedules
#

DROP TABLE IF EXISTS `exam_schedules`;

CREATE TABLE `exam_schedules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `session_id` int(11) NOT NULL,
  `exam_id` int(11) DEFAULT NULL,
  `teacher_subject_id` int(11) DEFAULT NULL,
  `date_of_exam` date DEFAULT NULL,
  `start_to` varchar(50) DEFAULT NULL,
  `end_from` varchar(50) DEFAULT NULL,
  `room_no` varchar(50) DEFAULT NULL,
  `full_marks` int(11) DEFAULT NULL,
  `passing_marks` int(11) DEFAULT NULL,
  `note` text,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(60) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `teacher_subject_id` (`teacher_subject_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: exams
#

DROP TABLE IF EXISTS `exams`;

CREATE TABLE `exams` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(200) DEFAULT NULL,
  `sesion_id` int(11) NOT NULL,
  `note` text,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: expense_head
#

DROP TABLE IF EXISTS `expense_head`;

CREATE TABLE `expense_head` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `exp_category` varchar(50) DEFAULT NULL,
  `description` text,
  `is_active` varchar(255) DEFAULT 'yes',
  `is_deleted` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: expenses
#

DROP TABLE IF EXISTS `expenses`;

CREATE TABLE `expenses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `exp_head_id` int(11) DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL,
  `invoice_no` varchar(200) NOT NULL,
  `date` date DEFAULT NULL,
  `amount` float(10,2) DEFAULT NULL,
  `documents` varchar(255) DEFAULT NULL,
  `note` text,
  `is_active` varchar(255) DEFAULT 'yes',
  `is_deleted` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: fd_department
#

DROP TABLE IF EXISTS `fd_department`;

CREATE TABLE `fd_department` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `department` varchar(200) NOT NULL,
  `description` varchar(500) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: fee_groups
#

DROP TABLE IF EXISTS `fee_groups`;

CREATE TABLE `fee_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(200) DEFAULT NULL,
  `is_system` int(1) NOT NULL DEFAULT '0',
  `description` text,
  `is_active` varchar(10) NOT NULL DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=utf8;

INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (3, 'Grade 1-7 First Term', 0, 'Fees fully paid for the term', 'no', '2024-03-18 12:34:11');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (4, 'Grade 1-7 Second Term', 0, 'Fees fully paid for the term', 'no', '2024-03-18 12:29:40');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (5, 'Grade 1-7  Third Term', 0, 'Fees fully paid for the term', 'no', '2024-03-18 12:29:59');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (6, 'Infants Toddlers - ECD B First Term', 0, 'Fees fully paid for the term', 'no', '2024-03-18 12:30:57');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (7, 'Infants Toddlers - ECD B Second Term', 0, 'Fees fully paid for the term', 'no', '2024-03-18 12:31:13');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (8, 'Infants Toddlers - ECD B Third Term', 0, 'Fees fully paid for the term', 'no', '2024-03-18 12:31:30');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (9, 'Grade 1-7 Monthly', 0, 'Monthly Installments', 'no', '2024-03-18 12:34:27');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (10, 'Infants Toddlers - ECD B Monthly', 0, 'Monthly Installments', 'no', '2024-03-18 12:34:40');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (52, 'Ordinary Grade 1-7  First Term', 0, 'Fees fully paid for the term', 'no', '2024-03-18 12:38:48');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (53, 'Ordinary Grade 1-7  Second Term', 0, 'Fees fully paid for the term', 'no', '2024-03-18 12:38:56');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (54, 'Ordinary Grade 1-7  Third Term', 0, 'Fees fully paid for the term', 'no', '2024-03-18 12:39:02');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (55, 'Ordinary Infants Toddlers - ECD B First Term', 0, 'Fees Fully paid', 'no', '2024-03-18 12:41:35');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (56, 'Ordinary Infants Toddlers - ECD B Second Term', 0, 'Fees Fully paid', 'no', '2024-03-18 12:42:04');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (57, 'Ordinary Infants Toddlers - ECD B Third Term', 0, 'Fees Fully paid', 'no', '2024-03-18 12:42:25');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (58, 'Ordinary  Grade 1-7 Monthly', 0, 'Fees Fully paid ', 'no', '2024-03-18 12:43:43');
INSERT INTO `fee_groups` (`id`, `name`, `is_system`, `description`, `is_active`, `created_at`) VALUES (59, 'Ordinary  Infants Toddlers - Toddlers  Monthly', 0, 'Fees Fully paid', 'no', '2024-03-18 12:44:30');


#
# TABLE STRUCTURE FOR: fee_groups_feetype
#

DROP TABLE IF EXISTS `fee_groups_feetype`;

CREATE TABLE `fee_groups_feetype` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fee_session_group_id` int(11) DEFAULT NULL,
  `fee_groups_id` int(11) DEFAULT NULL,
  `feetype_id` int(11) DEFAULT NULL,
  `session_id` int(11) DEFAULT NULL,
  `due_date` date DEFAULT NULL,
  `amount` decimal(10,2) DEFAULT NULL,
  `is_active` varchar(10) NOT NULL DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `routes` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fee_session_group_id` (`fee_session_group_id`),
  KEY `fee_groups_id` (`fee_groups_id`),
  KEY `feetype_id` (`feetype_id`),
  KEY `session_id` (`session_id`)
) ENGINE=InnoDB AUTO_INCREMENT=92 DEFAULT CHARSET=utf8;

INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (11, 4, 3, 8, 14, '1970-01-01', '100.00', 'no', '2023-02-02 13:28:25', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (12, 4, 3, 9, 14, '1970-01-01', '200.00', 'no', '2023-02-02 13:29:23', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (13, 5, 4, 10, 14, '1970-01-01', '15.00', 'no', '2023-02-03 23:01:33', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (14, 5, 4, 8, 14, '1970-01-01', '100.00', 'no', '2023-02-03 23:01:58', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (15, 5, 4, 9, 14, '1970-01-01', '34.00', 'no', '2023-02-03 23:02:17', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (16, 5, 4, 11, 14, '1970-01-01', '80.00', 'no', '2023-02-03 23:02:45', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (17, 5, 4, 12, 14, '1970-01-01', '100.00', 'no', '2024-03-15 12:17:44', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (19, 5, 4, 20, 14, '1970-01-01', '200.00', 'no', '2024-02-01 11:37:45', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (20, 4, 3, 12, 14, '1970-01-01', '100.00', 'no', '2024-03-15 12:12:36', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (22, 4, 3, 20, 14, '1970-01-01', '200.00', 'no', '2024-02-01 11:31:01', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (23, 6, 14, 18, 14, '2023-04-04', NULL, 'no', '2023-03-28 10:48:15', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (31, 16, 17, 16, 14, '1970-01-01', '34.00', 'no', '2023-03-31 10:05:04', 3);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (32, 17, 13, 15, 14, '1970-01-01', '250.00', 'no', '2023-03-31 11:00:29', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (33, 18, 38, 14, 14, '1970-01-01', '240.00', 'no', '2023-03-31 11:01:23', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (37, 20, 39, 14, 14, '1970-01-01', '240.00', 'no', '2023-03-31 11:02:14', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (38, 21, 40, 19, 14, '1970-01-01', '15.00', 'no', '2023-03-31 11:05:53', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (47, 27, 44, 12, 14, '1970-01-01', '30.00', 'no', '2023-04-13 09:37:53', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (48, 27, 44, 13, 14, '1970-01-01', '50.00', 'no', '2023-04-13 09:38:07', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (49, 27, 44, 15, 14, '1970-01-01', '250.00', 'no', '2023-04-13 09:38:24', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (50, 28, 45, 15, 14, '1970-01-01', '250.00', 'no', '2023-04-13 09:38:46', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (51, 29, 46, 15, 14, '1970-01-01', '250.00', 'no', '2023-04-13 09:39:07', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (52, 30, 47, 15, 14, '1970-01-01', '250.00', 'no', '2023-04-13 09:40:18', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (53, 31, 6, 12, 14, '2023-04-17', '100.00', 'no', '2024-03-15 12:18:13', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (54, 32, 11, 12, 14, '1970-01-01', '0.00', 'no', '2024-01-30 16:18:36', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (55, 33, 5, 12, 14, '2023-12-31', '100.00', 'no', '2024-03-15 12:18:04', 6);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (56, 34, 48, 12, 14, '1970-01-01', '23.00', 'no', '2024-01-31 08:53:55', 1);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (57, 4, 3, 15, 14, '1970-01-01', '700.00', 'no', '2024-03-15 12:22:22', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (58, 5, 4, 15, 14, '1970-01-01', '700.00', 'no', '2024-03-15 12:22:30', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (60, 33, 5, 20, 14, '1970-01-01', '200.00', 'no', '2024-02-01 11:35:28', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (61, 33, 5, 14, 14, '1970-01-01', '700.00', 'no', '2024-03-15 12:22:39', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (63, 31, 6, 20, 14, '1970-01-01', '200.00', 'no', '2024-02-01 11:40:50', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (66, 31, 6, 15, 14, '1970-01-01', '650.00', 'no', '2024-03-15 12:20:32', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (67, 37, 7, 12, 14, '1970-01-01', '100.00', 'no', '2024-03-15 12:18:20', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (69, 37, 7, 20, 14, '1970-01-01', '200.00', 'no', '2024-02-01 11:45:23', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (70, 37, 7, 15, 14, '1970-01-01', '650.00', 'no', '2024-03-15 12:20:17', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (71, 38, 8, 12, 14, '1970-01-01', '100.00', 'no', '2024-03-15 12:18:30', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (73, 38, 8, 20, 14, '1970-01-01', '200.00', 'no', '2024-02-01 11:46:27', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (74, 38, 8, 15, 14, '1970-01-01', '650.00', 'no', '2024-03-15 12:20:04', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (75, 39, 9, 12, 14, '1970-01-01', '100.00', 'no', '2024-03-15 12:18:41', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (77, 39, 9, 20, 14, '1970-01-01', '200.00', 'no', '2024-02-01 11:49:15', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (78, 39, 9, 15, 14, '1970-01-01', '250.00', 'no', '2024-02-01 11:49:42', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (79, 40, 10, 12, 14, '1970-01-01', '100.00', 'no', '2024-03-15 12:18:48', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (81, 40, 10, 20, 14, '1970-01-01', '200.00', 'no', '2024-02-01 11:51:36', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (82, 40, 10, 15, 14, '1970-01-01', '230.00', 'no', '2024-03-15 12:19:35', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (84, 41, 52, 15, 14, '1970-01-01', '700.00', 'no', '2024-03-18 12:49:03', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (85, 42, 53, 15, 14, '1970-01-01', '700.00', 'no', '2024-03-18 12:49:40', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (86, 43, 54, 15, 14, '1970-01-01', '700.00', 'no', '2024-03-18 12:50:04', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (87, 44, 55, 15, 14, '1970-01-01', '650.00', 'no', '2024-03-18 12:50:20', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (88, 45, 56, 15, 14, '1970-01-01', '650.00', 'no', '2024-03-18 12:50:32', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (89, 46, 57, 15, 14, '1970-01-01', '650.00', 'no', '2024-03-18 12:50:51', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (90, 47, 58, 15, 14, '1970-01-01', '250.00', 'no', '2024-03-18 12:51:13', 0);
INSERT INTO `fee_groups_feetype` (`id`, `fee_session_group_id`, `fee_groups_id`, `feetype_id`, `session_id`, `due_date`, `amount`, `is_active`, `created_at`, `routes`) VALUES (91, 48, 59, 15, 14, '1970-01-01', '250.00', 'no', '2024-03-18 12:51:40', 0);


#
# TABLE STRUCTURE FOR: fee_receipt_no
#

DROP TABLE IF EXISTS `fee_receipt_no`;

CREATE TABLE `fee_receipt_no` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `payment` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: fee_session_groups
#

DROP TABLE IF EXISTS `fee_session_groups`;

CREATE TABLE `fee_session_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fee_groups_id` int(11) DEFAULT NULL,
  `session_id` int(11) DEFAULT NULL,
  `is_active` varchar(10) NOT NULL DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `fee_groups_id` (`fee_groups_id`),
  KEY `session_id` (`session_id`)
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=utf8;

INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (4, 3, 14, 'no', '2023-02-02 13:28:25');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (5, 4, 14, 'no', '2023-02-03 23:01:33');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (6, 14, 14, 'no', '2023-03-28 10:48:15');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (16, 17, 14, 'no', '2023-03-31 10:05:04');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (17, 13, 14, 'no', '2023-03-31 11:00:29');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (18, 38, 14, 'no', '2023-03-31 11:01:23');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (20, 39, 14, 'no', '2023-03-31 11:02:14');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (21, 40, 14, 'no', '2023-03-31 11:05:53');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (27, 44, 14, 'no', '2023-04-13 09:37:53');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (28, 45, 14, 'no', '2023-04-13 09:38:46');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (29, 46, 14, 'no', '2023-04-13 09:39:07');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (30, 47, 14, 'no', '2023-04-13 09:40:18');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (31, 6, 14, 'no', '2023-04-17 13:28:11');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (32, 11, 14, 'no', '2024-01-30 16:18:36');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (33, 5, 14, 'no', '2024-01-30 16:19:32');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (34, 48, 14, 'no', '2024-01-31 08:53:55');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (37, 7, 14, 'no', '2024-02-01 11:44:42');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (38, 8, 14, 'no', '2024-02-01 11:45:57');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (39, 9, 14, 'no', '2024-02-01 11:47:02');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (40, 10, 14, 'no', '2024-02-01 11:50:04');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (41, 52, 14, 'no', '2024-03-18 12:49:03');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (42, 53, 14, 'no', '2024-03-18 12:49:40');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (43, 54, 14, 'no', '2024-03-18 12:50:04');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (44, 55, 14, 'no', '2024-03-18 12:50:20');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (45, 56, 14, 'no', '2024-03-18 12:50:32');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (46, 57, 14, 'no', '2024-03-18 12:50:51');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (47, 58, 14, 'no', '2024-03-18 12:51:13');
INSERT INTO `fee_session_groups` (`id`, `fee_groups_id`, `session_id`, `is_active`, `created_at`) VALUES (48, 59, 14, 'no', '2024-03-18 12:51:40');


#
# TABLE STRUCTURE FOR: feecategory
#

DROP TABLE IF EXISTS `feecategory`;

CREATE TABLE `feecategory` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category` varchar(50) DEFAULT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: feemasters
#

DROP TABLE IF EXISTS `feemasters`;

CREATE TABLE `feemasters` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `session_id` int(11) DEFAULT NULL,
  `feetype_id` int(11) NOT NULL,
  `class_id` int(11) DEFAULT NULL,
  `amount` float(10,2) DEFAULT NULL,
  `description` text,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: fees_discounts
#

DROP TABLE IF EXISTS `fees_discounts`;

CREATE TABLE `fees_discounts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `session_id` int(11) DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `code` varchar(100) DEFAULT NULL,
  `amount` decimal(10,2) DEFAULT NULL,
  `description` text,
  `is_active` varchar(10) NOT NULL DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `session_id` (`session_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: feetype
#

DROP TABLE IF EXISTS `feetype`;

CREATE TABLE `feetype` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `is_system` int(1) NOT NULL DEFAULT '0',
  `feecategory_id` int(11) DEFAULT NULL,
  `type` varchar(50) DEFAULT NULL,
  `code` varchar(100) NOT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8;

INSERT INTO `feetype` (`id`, `is_system`, `feecategory_id`, `type`, `code`, `is_active`, `created_at`, `updated_at`, `description`) VALUES (12, 0, NULL, 'REGISTRATION FEE', 'REG', 'no', '2023-02-07 07:16:25', '', 'REGISTATION FEE');
INSERT INTO `feetype` (`id`, `is_system`, `feecategory_id`, `type`, `code`, `is_active`, `created_at`, `updated_at`, `description`) VALUES (13, 0, NULL, 'DEVELOPMENT FEE', 'DEVF', 'no', '2023-02-07 07:16:50', '', 'DEVELOPMENT FEE');
INSERT INTO `feetype` (`id`, `is_system`, `feecategory_id`, `type`, `code`, `is_active`, `created_at`, `updated_at`, `description`) VALUES (14, 0, NULL, 'FEES ECD', 'FECD', 'no', '2023-02-07 07:17:29', '', 'FEES ECD');
INSERT INTO `feetype` (`id`, `is_system`, `feecategory_id`, `type`, `code`, `is_active`, `created_at`, `updated_at`, `description`) VALUES (15, 0, NULL, 'FEES GRADES', 'FGS', 'no', '2023-02-07 07:17:59', '', 'FEES GRADES');
INSERT INTO `feetype` (`id`, `is_system`, `feecategory_id`, `type`, `code`, `is_active`, `created_at`, `updated_at`, `description`) VALUES (16, 0, NULL, 'TRANSPORT', 'TRANS', 'no', '2023-02-07 07:19:18', '', 'TRANSPORT');
INSERT INTO `feetype` (`id`, `is_system`, `feecategory_id`, `type`, `code`, `is_active`, `created_at`, `updated_at`, `description`) VALUES (17, 0, NULL, 'TEXTBOOK LEVY', 'TLEVY', 'no', '2023-02-07 07:19:50', '', 'TEXTBOOK LEVY');
INSERT INTO `feetype` (`id`, `is_system`, `feecategory_id`, `type`, `code`, `is_active`, `created_at`, `updated_at`, `description`) VALUES (19, 0, NULL, 'GROCERIES INFANTS', 'GI', 'no', '2024-02-01 11:08:10', '', 'GROCERIES INFANTS');
INSERT INTO `feetype` (`id`, `is_system`, `feecategory_id`, `type`, `code`, `is_active`, `created_at`, `updated_at`, `description`) VALUES (20, 0, NULL, 'ADMISSION FEE', 'ADF', 'no', '2024-02-01 11:08:56', '', 'ADMISSION FEE');
INSERT INTO `feetype` (`id`, `is_system`, `feecategory_id`, `type`, `code`, `is_active`, `created_at`, `updated_at`, `description`) VALUES (21, 0, NULL, 'MISCELLANEOUS', 'MISC', 'no', '2024-02-01 11:09:28', '', 'MISCELLANEOUS');
INSERT INTO `feetype` (`id`, `is_system`, `feecategory_id`, `type`, `code`, `is_active`, `created_at`, `updated_at`, `description`) VALUES (22, 0, NULL, 'TRIP', 'TRP', 'no', '2024-02-01 11:09:48', '', 'TRIP');
INSERT INTO `feetype` (`id`, `is_system`, `feecategory_id`, `type`, `code`, `is_active`, `created_at`, `updated_at`, `description`) VALUES (23, 0, NULL, 'UNIFORMS FEE', 'UNF', 'no', '2024-02-01 11:10:11', '', 'UNIFORMS FEE');


#
# TABLE STRUCTURE FOR: follow_up
#

DROP TABLE IF EXISTS `follow_up`;

CREATE TABLE `follow_up` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `enquiry_id` int(11) NOT NULL,
  `date` date NOT NULL,
  `next_date` date NOT NULL,
  `response` text NOT NULL,
  `note` text NOT NULL,
  `followup_by` varchar(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: front_cms_media_gallery
#

DROP TABLE IF EXISTS `front_cms_media_gallery`;

CREATE TABLE `front_cms_media_gallery` (
  `id` int(11) NOT NULL,
  `image` varchar(300) DEFAULT NULL,
  `thumb_path` varchar(300) DEFAULT NULL,
  `dir_path` varchar(300) DEFAULT NULL,
  `img_name` varchar(300) DEFAULT NULL,
  `thumb_name` varchar(300) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `file_type` varchar(100) NOT NULL,
  `file_size` varchar(100) NOT NULL,
  `vid_url` mediumtext NOT NULL,
  `vid_title` varchar(250) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: front_cms_menu_items
#

DROP TABLE IF EXISTS `front_cms_menu_items`;

CREATE TABLE `front_cms_menu_items` (
  `id` int(11) NOT NULL,
  `menu_id` int(11) NOT NULL,
  `menu` varchar(100) DEFAULT NULL,
  `page_id` int(11) NOT NULL,
  `parent_id` int(11) NOT NULL,
  `ext_url` mediumtext,
  `open_new_tab` int(11) DEFAULT '0',
  `ext_url_link` mediumtext,
  `slug` varchar(200) DEFAULT NULL,
  `weight` int(11) DEFAULT NULL,
  `publish` int(11) NOT NULL DEFAULT '0',
  `description` mediumtext,
  `is_active` varchar(10) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: front_cms_menus
#

DROP TABLE IF EXISTS `front_cms_menus`;

CREATE TABLE `front_cms_menus` (
  `id` int(11) NOT NULL,
  `menu` varchar(100) DEFAULT NULL,
  `slug` varchar(200) DEFAULT NULL,
  `description` mediumtext,
  `open_new_tab` int(10) NOT NULL DEFAULT '0',
  `ext_url` mediumtext NOT NULL,
  `ext_url_link` mediumtext NOT NULL,
  `publish` int(11) NOT NULL DEFAULT '0',
  `content_type` varchar(10) NOT NULL DEFAULT 'manual',
  `is_active` varchar(10) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `front_cms_menus` (`id`, `menu`, `slug`, `description`, `open_new_tab`, `ext_url`, `ext_url_link`, `publish`, `content_type`, `is_active`, `created_at`) VALUES (1, 'Main Menu', 'main-menu', 'Main menu', 0, '', '', 0, 'default', 'no', '2018-04-20 12:54:49');
INSERT INTO `front_cms_menus` (`id`, `menu`, `slug`, `description`, `open_new_tab`, `ext_url`, `ext_url_link`, `publish`, `content_type`, `is_active`, `created_at`) VALUES (2, 'Bottom Menu', 'bottom-menu', 'Bottom Menu', 0, '', '', 0, 'default', 'no', '2018-04-20 12:54:55');


#
# TABLE STRUCTURE FOR: front_cms_page_contents
#

DROP TABLE IF EXISTS `front_cms_page_contents`;

CREATE TABLE `front_cms_page_contents` (
  `id` int(11) NOT NULL,
  `page_id` int(11) DEFAULT NULL,
  `content_type` varchar(50) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `page_id` (`page_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: front_cms_pages
#

DROP TABLE IF EXISTS `front_cms_pages`;

CREATE TABLE `front_cms_pages` (
  `id` int(11) NOT NULL,
  `page_type` varchar(10) NOT NULL DEFAULT 'manual',
  `is_homepage` int(1) DEFAULT '0',
  `title` varchar(250) DEFAULT NULL,
  `url` varchar(250) DEFAULT NULL,
  `type` varchar(50) DEFAULT NULL,
  `slug` varchar(200) DEFAULT NULL,
  `meta_title` mediumtext,
  `meta_description` mediumtext,
  `meta_keyword` mediumtext,
  `feature_image` varchar(200) NOT NULL,
  `description` longtext,
  `publish_date` date NOT NULL,
  `publish` int(10) DEFAULT '0',
  `sidebar` int(10) DEFAULT '0',
  `is_active` varchar(10) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `front_cms_pages` (`id`, `page_type`, `is_homepage`, `title`, `url`, `type`, `slug`, `meta_title`, `meta_description`, `meta_keyword`, `feature_image`, `description`, `publish_date`, `publish`, `sidebar`, `is_active`, `created_at`) VALUES (1, 'default', 1, 'Home', 'page/home', 'page', 'home', '', '', '', '', '<p>home page</p>', '0000-00-00', 1, NULL, 'no', '2018-07-11 16:04:33');
INSERT INTO `front_cms_pages` (`id`, `page_type`, `is_homepage`, `title`, `url`, `type`, `slug`, `meta_title`, `meta_description`, `meta_keyword`, `feature_image`, `description`, `publish_date`, `publish`, `sidebar`, `is_active`, `created_at`) VALUES (2, 'default', 0, 'Complain', 'page/complain', 'page', 'complain', 'Complain form', '                                                                                                                                                                                    complain form                                                                                                                                                                                                                                ', 'complain form', '', '<p>\r\n[form-builder:complain]</p>', '0000-00-00', 1, 1, 'no', '2018-05-09 13:14:34');
INSERT INTO `front_cms_pages` (`id`, `page_type`, `is_homepage`, `title`, `url`, `type`, `slug`, `meta_title`, `meta_description`, `meta_keyword`, `feature_image`, `description`, `publish_date`, `publish`, `sidebar`, `is_active`, `created_at`) VALUES (54, 'default', 0, '404 page', 'page/404-page', 'page', '404-page', '', '                                ', '', '', '<html>\r\n<head>\r\n <title></title>\r\n</head>\r\n<body>\r\n<p>404 page found</p>\r\n</body>\r\n</html>', '0000-00-00', 0, NULL, 'no', '2018-05-18 12:46:04');
INSERT INTO `front_cms_pages` (`id`, `page_type`, `is_homepage`, `title`, `url`, `type`, `slug`, `meta_title`, `meta_description`, `meta_keyword`, `feature_image`, `description`, `publish_date`, `publish`, `sidebar`, `is_active`, `created_at`) VALUES (76, 'default', 0, 'Contact us', 'page/contact-us', 'page', 'contact-us', '', '', '', '', '<title></title>\r\n<section class=\"contact\">\r\n<div class=\"container spacet50 spaceb50\">\r\n<div class=\"row\">\r\n<div class=\"col-md-12 col-sm-12\">[form-builder:contact_us]<!--./row--></div>\r\n<!--./col-md-12--></div>\r\n<!--./row--></div>\r\n<!--./container--></section>', '0000-00-00', 0, NULL, 'no', '2018-07-11 16:03:41');


#
# TABLE STRUCTURE FOR: front_cms_program_photos
#

DROP TABLE IF EXISTS `front_cms_program_photos`;

CREATE TABLE `front_cms_program_photos` (
  `id` int(11) NOT NULL,
  `program_id` int(11) DEFAULT NULL,
  `media_gallery_id` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `program_id` (`program_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: front_cms_programs
#

DROP TABLE IF EXISTS `front_cms_programs`;

CREATE TABLE `front_cms_programs` (
  `id` int(11) NOT NULL,
  `type` varchar(50) DEFAULT NULL,
  `slug` varchar(255) DEFAULT NULL,
  `url` mediumtext,
  `title` varchar(200) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `event_start` date DEFAULT NULL,
  `event_end` date DEFAULT NULL,
  `event_venue` mediumtext,
  `description` mediumtext,
  `is_active` varchar(10) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `meta_title` mediumtext NOT NULL,
  `meta_description` mediumtext NOT NULL,
  `meta_keyword` mediumtext NOT NULL,
  `feature_image` mediumtext NOT NULL,
  `publish_date` date NOT NULL,
  `publish` varchar(10) DEFAULT '0',
  `sidebar` int(10) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: front_cms_settings
#

DROP TABLE IF EXISTS `front_cms_settings`;

CREATE TABLE `front_cms_settings` (
  `id` int(11) NOT NULL,
  `theme` varchar(50) DEFAULT NULL,
  `is_active_rtl` int(10) DEFAULT '0',
  `is_active_front_cms` int(11) DEFAULT '0',
  `is_active_sidebar` int(1) DEFAULT '0',
  `logo` varchar(200) DEFAULT NULL,
  `contact_us_email` varchar(100) DEFAULT NULL,
  `complain_form_email` varchar(100) DEFAULT NULL,
  `sidebar_options` mediumtext NOT NULL,
  `fb_url` varchar(200) NOT NULL,
  `twitter_url` varchar(200) NOT NULL,
  `youtube_url` varchar(200) NOT NULL,
  `google_plus` varchar(200) NOT NULL,
  `instagram_url` varchar(200) NOT NULL,
  `pinterest_url` varchar(200) NOT NULL,
  `linkedin_url` varchar(200) NOT NULL,
  `google_analytics` mediumtext,
  `footer_text` varchar(500) DEFAULT NULL,
  `fav_icon` varchar(250) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `front_cms_settings` (`id`, `theme`, `is_active_rtl`, `is_active_front_cms`, `is_active_sidebar`, `logo`, `contact_us_email`, `complain_form_email`, `sidebar_options`, `fb_url`, `twitter_url`, `youtube_url`, `google_plus`, `instagram_url`, `pinterest_url`, `linkedin_url`, `google_analytics`, `footer_text`, `fav_icon`, `created_at`) VALUES (0, 'default', 1, 1, 1, './uploads/school_content/logo/front_logo-63d227cd056bf8.35545872.png', '', '', '[\"news\"]', '', '', '', '', '', '', '', 'none', 'Melsoft School Standard By Melsoft Pvt', './uploads/school_content/logo/front_fav_icon-63d227cd05ccd9.67557367.png', '2023-01-26 09:12:13');


#
# TABLE STRUCTURE FOR: general_calls
#

DROP TABLE IF EXISTS `general_calls`;

CREATE TABLE `general_calls` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `contact` varchar(12) NOT NULL,
  `date` date NOT NULL,
  `description` varchar(500) NOT NULL,
  `follow_up_date` date NOT NULL,
  `call_dureation` varchar(50) NOT NULL,
  `note` mediumtext NOT NULL,
  `call_type` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: glaccount_types
#

DROP TABLE IF EXISTS `glaccount_types`;

CREATE TABLE `glaccount_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `description` varchar(200) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;

INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (1, 'Income', 'Income', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (2, 'Expenses', 'Expenses', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (3, 'Revenue', 'Revenue', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (4, 'Cost of Sales', 'Cost of Sales', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (5, 'Fixed Asssets', 'Fixed Asssets', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (6, 'Other Income', 'Other Income', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (7, 'Other Expenses', 'Other Expenses', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (8, 'Bank', 'Bank', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (9, 'Other Current Liability', 'Other Current Liability', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (10, 'Trade Receivable', 'Trade Receivable', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (11, 'Trade Payable', 'Trade Payable', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (12, 'VAT Control', 'VAT Control', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (13, 'Prepayment', 'Prepayment', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (14, 'Other Current Asset', 'Other Current Asset', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (15, 'Inventory', 'Inventory', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (16, 'Long term liability', 'Long term liability', 1);
INSERT INTO `glaccount_types` (`id`, `name`, `description`, `active`) VALUES (17, 'Liability', 'Liability', 1);


#
# TABLE STRUCTURE FOR: glledger_account
#

DROP TABLE IF EXISTS `glledger_account`;

CREATE TABLE `glledger_account` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` varchar(50) NOT NULL,
  `gl_code` varchar(100) NOT NULL,
  `name` varchar(100) NOT NULL,
  `description` varchar(200) NOT NULL,
  `account_type` varchar(200) NOT NULL,
  `active` int(11) NOT NULL,
  `balance_totals` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8;

INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (2, '2023-01-10 01:29:09pm', '1000', 'Fees', 'Fees', 'Income', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (3, '2023-01-10 01:30:04pm', '2000', 'Purchases', 'Purchases', 'Cost of Sales', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (4, '2023-01-10 01:30:48pm', '4000', 'General Expenses', 'General Expenses', 'Expenses', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (5, '2023-01-10 01:31:39pm', '4100', 'Motor Vehicle Expenses', 'Motor Vehicle Expenses', 'Expenses', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (6, '2023-01-10 01:32:21pm', '4200', 'Repairs & Maintenance', 'Repairs & Maintenance', 'Expenses', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (7, '2023-01-10 01:32:52pm', '4300', 'Admin Expenses', 'Admin Expenses', 'Expenses', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (8, '2023-01-10 01:33:44pm', '4400', 'HR & Staff Expenses', 'HR & Staff Expenses', 'Expenses', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (9, '2023-01-10 01:34:46pm', '4500', 'Printing & Stationery', 'Printing & Stationery', 'Expenses', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (19, '2023-01-15 03:11:29am', '6000', 'Motor Vehicle ', 'Motor Vehicle ', 'Fixed Asssets', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (20, '2023-01-15 03:12:16am', '6100', 'Computer Equipment ', 'Computer Equipment ', 'Fixed Asssets', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (21, '2023-01-15 03:12:58am', '6200', 'Furniture & Fittings', 'Furniture & Fittings', 'Fixed Asssets', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (22, '2023-01-15 03:33:46am', '9550', 'Suspense Take On', 'Suspense Take On', 'Other Current Liability', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (23, '2023-01-15 03:34:37am', '9500', 'Suspense ', 'Suspense ', 'Other Current Liability', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (24, '2023-01-15 10:45:07am', '4600', 'Depreciation ', 'Depreciation Expenses', 'Expenses', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (25, '2023-03-31 08:20:29am', '4700', 'Generator expenses', 'Generator expenses', 'Expenses', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (26, '2023-03-31 08:54:03am', '4800', 'Staff welfare', 'Staff welfare', 'Expenses', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (27, '2023-03-31 08:54:39am', '4900', 'Maintanance', 'Maintanance', 'Expenses', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (31, '2023-04-05 01:52:50pm', '7100', 'Debtors', 'Debtors', 'Trade Receivable', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (32, '2023-04-05 01:53:21pm', '7200', 'Creditors ', 'Creditors ', 'Trade Payable', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (33, '2023-04-05 01:54:23pm', '9600', 'Directors Loan', 'Directors Loan', 'Other Current Liability', 1, '');
INSERT INTO `glledger_account` (`id`, `date`, `gl_code`, `name`, `description`, `account_type`, `active`, `balance_totals`) VALUES (34, '2024-02-01 09:51:58am', '6300', 'Software', ' Software', 'Fixed Asssets', 1, '');


#
# TABLE STRUCTURE FOR: glsub_account
#

DROP TABLE IF EXISTS `glsub_account`;

CREATE TABLE `glsub_account` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` varchar(100) NOT NULL,
  `glsub_code` varchar(100) NOT NULL,
  `name` varchar(100) NOT NULL,
  `description` varchar(100) NOT NULL,
  `account_type` varchar(100) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8;

INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (3, '2023-01-15 02:19:57am', '100', 'Fuel ', 'Fuel expense', '4100', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (4, '2023-01-15 03:14:52am', '001', 'Motor Vehicle @cost', 'Motor Vehicle @cost', '6000', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (5, '2023-01-15 03:17:22am', '002', 'Motor Vehicle>Acc Depreciation ', 'Motor Vehicle>Acc Depreciation ', '6000', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (7, '2023-01-15 03:37:08am', '100', 'General ledger Take On ', 'General ledger Take On ', '9550', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (8, '2023-01-15 03:37:36am', '200', 'Customers Take On ', 'Customers Take On ', '9550', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (9, '2023-01-15 03:38:01am', '300', 'Suppliers Take On ', 'Suppliers Take On ', '9550', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (10, '2023-01-15 03:38:29am', '400', 'Inventory Take On ', 'Inventory Take On ', '9550', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (11, '2023-01-15 03:39:23am', '200', 'Insurance ', 'Insurance ', '4100', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (12, '2023-01-15 03:39:51am', '300', 'Toll gates', 'Toll gates', '4100', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (13, '2023-01-15 03:40:23am', '400', 'Repairs & Maintenance ', 'Repairs & Maintenance ', '4100', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (14, '2023-01-15 10:47:38am', '001', 'Depreciation>Motor Vehicle ', 'Depreciation>Motor Vehicle ', '4600', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (15, '2023-01-15 10:49:18am', '002', 'Depreciation>Furniture & Fittings ', 'Depreciation>Furniture & Fittings ', '4600', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (16, '2023-01-15 10:50:05am', '003', 'Depreciation>Computer Equipment ', 'Depreciation>Computer Equipment ', '4600', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (18, '2023-01-15 10:52:44am', '003', 'Computer Equipment>Acc Depreciation ', 'Computer Equipment>Acc Depreciation ', '6100', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (19, '2023-01-15 10:54:00am', '001', 'Furniture & Fittings @Cost', 'Furniture & Fittings @Cost', '6200', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (20, '2023-01-15 10:55:09am', '002', 'Furniture & Fittings>Acc Depreciation ', 'Furniture & Fittings>Acc Depreciation ', '6200', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (21, '2023-03-31 08:24:54am', '100', 'Generator fuel', 'Generator fuel', '4700', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (22, '2023-03-31 08:25:49am', '200', 'Generator repair & maintanance', 'Generator repair & maintanance', '4700', 1);
INSERT INTO `glsub_account` (`id`, `date`, `glsub_code`, `name`, `description`, `account_type`, `active`) VALUES (23, '2024-02-01 09:54:37am', '001', 'School Management Software', 'Melsoft Essential', '6300', 1);


#
# TABLE STRUCTURE FOR: grades
#

DROP TABLE IF EXISTS `grades`;

CREATE TABLE `grades` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `point` float(10,1) DEFAULT NULL,
  `mark_from` float(10,2) DEFAULT NULL,
  `mark_upto` float(10,2) DEFAULT NULL,
  `description` text,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: home_currency
#

DROP TABLE IF EXISTS `home_currency`;

CREATE TABLE `home_currency` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` varchar(50) NOT NULL,
  `currencycode` varchar(50) NOT NULL,
  `name` varchar(50) NOT NULL,
  `description` varchar(50) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;

INSERT INTO `home_currency` (`id`, `date`, `currencycode`, `name`, `description`, `active`) VALUES (9, '31-03-2023 07:37:22am', 'USD', 'USD', 'UNITED STATES DOLLARS', 1);


#
# TABLE STRUCTURE FOR: homework
#

DROP TABLE IF EXISTS `homework`;

CREATE TABLE `homework` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `class_id` int(11) NOT NULL,
  `section_id` int(11) NOT NULL,
  `homework_date` date NOT NULL,
  `submit_date` date NOT NULL,
  `staff_id` int(11) NOT NULL,
  `subject_id` int(11) NOT NULL,
  `description` varchar(500) NOT NULL,
  `create_date` date NOT NULL,
  `document` varchar(200) NOT NULL,
  `created_by` int(11) NOT NULL,
  `evaluated_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: homework_evaluation
#

DROP TABLE IF EXISTS `homework_evaluation`;

CREATE TABLE `homework_evaluation` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `homework_id` int(11) NOT NULL,
  `student_id` int(11) NOT NULL,
  `date` date NOT NULL,
  `status` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: hostel
#

DROP TABLE IF EXISTS `hostel`;

CREATE TABLE `hostel` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hostel_name` varchar(100) DEFAULT NULL,
  `type` varchar(50) DEFAULT NULL,
  `address` text,
  `intake` int(11) DEFAULT NULL,
  `description` text,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: hostel_rooms
#

DROP TABLE IF EXISTS `hostel_rooms`;

CREATE TABLE `hostel_rooms` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hostel_id` int(11) DEFAULT NULL,
  `room_type_id` int(11) DEFAULT NULL,
  `room_no` varchar(200) DEFAULT NULL,
  `no_of_bed` int(11) DEFAULT NULL,
  `cost_per_bed` float(10,2) DEFAULT '0.00',
  `title` varchar(200) DEFAULT NULL,
  `description` text,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: id_card
#

DROP TABLE IF EXISTS `id_card`;

CREATE TABLE `id_card` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `school_name` varchar(100) NOT NULL,
  `school_address` varchar(500) NOT NULL,
  `background` varchar(100) NOT NULL,
  `logo` varchar(100) NOT NULL,
  `sign_image` varchar(100) NOT NULL,
  `header_color` varchar(100) NOT NULL,
  `enable_admission_no` tinyint(1) NOT NULL COMMENT '0=disable,1=enable',
  `enable_student_name` tinyint(1) NOT NULL COMMENT '0=disable,1=enable',
  `enable_class` tinyint(1) NOT NULL COMMENT '0=disable,1=enable',
  `enable_fathers_name` tinyint(1) NOT NULL COMMENT '0=disable,1=enable',
  `enable_mothers_name` tinyint(1) NOT NULL COMMENT '0=disable,1=enable',
  `enable_address` tinyint(1) NOT NULL COMMENT '0=disable,1=enable',
  `enable_phone` tinyint(1) NOT NULL COMMENT '0=disable,1=enable',
  `enable_dob` tinyint(1) NOT NULL COMMENT '0=disable,1=enable',
  `enable_blood_group` tinyint(1) NOT NULL COMMENT '0=disable,1=enable',
  `status` tinyint(1) NOT NULL COMMENT '0=disable,1=enable',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `id_card` (`id`, `title`, `school_name`, `school_address`, `background`, `logo`, `sign_image`, `header_color`, `enable_admission_no`, `enable_student_name`, `enable_class`, `enable_fathers_name`, `enable_mothers_name`, `enable_address`, `enable_phone`, `enable_dob`, `enable_blood_group`, `status`) VALUES (1, 'Sample Student Identity Card', 'Mount Carmel School', '110 Kings Street, CA  Phone: 456542 Email: mount@gmail.com', 'samplebackground12.png', 'samplelogo12.png', 'samplesign12.png', '#595959', 1, 1, 1, 1, 0, 1, 1, 1, 1, 1);


#
# TABLE STRUCTURE FOR: income
#

DROP TABLE IF EXISTS `income`;

CREATE TABLE `income` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `inc_head_id` varchar(11) DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL,
  `invoice_no` varchar(200) NOT NULL,
  `date` date DEFAULT NULL,
  `amount` float DEFAULT NULL,
  `note` text,
  `is_active` varchar(255) DEFAULT 'yes',
  `is_deleted` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  `documents` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: income_head
#

DROP TABLE IF EXISTS `income_head`;

CREATE TABLE `income_head` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `income_category` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `is_active` varchar(255) NOT NULL DEFAULT 'yes',
  `is_deleted` varchar(255) NOT NULL DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: item
#

DROP TABLE IF EXISTS `item`;

CREATE TABLE `item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_category_id` int(11) DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  `item_photo` varchar(225) DEFAULT NULL,
  `description` text NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  `item_store_id` int(11) DEFAULT NULL,
  `item_supplier_id` int(11) DEFAULT NULL,
  `quantity` int(100) NOT NULL,
  `date` date NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `item` (`id`, `item_category_id`, `name`, `item_photo`, `description`, `created_at`, `updated_at`, `item_store_id`, `item_supplier_id`, `quantity`, `date`) VALUES (3, 3, 'sugar hullets', NULL, 'sugar hullets', '2023-02-03 22:35:54', '', NULL, NULL, 0, '0000-00-00');
INSERT INTO `item` (`id`, `item_category_id`, `name`, `item_photo`, `description`, `created_at`, `updated_at`, `item_store_id`, `item_supplier_id`, `quantity`, `date`) VALUES (4, 2, 'cremora', NULL, 'cremora', '2023-02-03 22:36:28', '', NULL, NULL, 0, '0000-00-00');


#
# TABLE STRUCTURE FOR: item_category
#

DROP TABLE IF EXISTS `item_category`;

CREATE TABLE `item_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_category` varchar(255) NOT NULL,
  `is_active` varchar(255) NOT NULL DEFAULT 'yes',
  `description` varchar(255) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `item_category` (`id`, `item_category`, `is_active`, `description`, `created_at`, `updated_at`) VALUES (2, 'milk', 'yes', 'milk', '2023-02-03 22:34:41', '');
INSERT INTO `item_category` (`id`, `item_category`, `is_active`, `description`, `created_at`, `updated_at`) VALUES (3, 'sugar', 'yes', 'sugar', '2023-02-03 22:34:56', '');


#
# TABLE STRUCTURE FOR: item_issue
#

DROP TABLE IF EXISTS `item_issue`;

CREATE TABLE `item_issue` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `issue_to` varchar(100) DEFAULT NULL,
  `issue_from` varchar(100) NOT NULL,
  `received_by` varchar(100) NOT NULL,
  `issue_by` varchar(100) DEFAULT NULL,
  `issue_date` date DEFAULT NULL,
  `return_date` date DEFAULT NULL,
  `item_category_id` int(11) DEFAULT NULL,
  `item_id` int(11) DEFAULT NULL,
  `quantity` int(10) NOT NULL,
  `note` text NOT NULL,
  `is_returned` int(2) NOT NULL DEFAULT '1',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `is_active` varchar(10) DEFAULT 'no',
  PRIMARY KEY (`id`),
  KEY `item_id` (`item_id`),
  KEY `item_category_id` (`item_category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `item_issue` (`id`, `issue_to`, `issue_from`, `received_by`, `issue_by`, `issue_date`, `return_date`, `item_category_id`, `item_id`, `quantity`, `note`, `is_returned`, `created_at`, `is_active`) VALUES (1, 'Canteen', 'Stores', 'jj', 'ggg', '2023-04-13', '0000-00-00', 2, 4, 2, 'cfgfgggh', 1, '2023-04-13 11:43:10', 'no');
INSERT INTO `item_issue` (`id`, `issue_to`, `issue_from`, `received_by`, `issue_by`, `issue_date`, `return_date`, `item_category_id`, `item_id`, `quantity`, `note`, `is_returned`, `created_at`, `is_active`) VALUES (2, 'breakages', 'Stores', 'JJJ', 'REJOICE', '2023-04-13', '0000-00-00', 2, 4, 3, 'BREAKAGES', 1, '2023-04-13 11:48:07', 'no');


#
# TABLE STRUCTURE FOR: item_stock
#

DROP TABLE IF EXISTS `item_stock`;

CREATE TABLE `item_stock` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) DEFAULT NULL,
  `supplier_id` int(11) DEFAULT NULL,
  `symbol` varchar(10) NOT NULL DEFAULT '+',
  `store_id` int(11) DEFAULT NULL,
  `quantity` int(11) DEFAULT NULL,
  `date` date NOT NULL,
  `attachment` varchar(250) DEFAULT NULL,
  `description` text NOT NULL,
  `is_active` varchar(10) DEFAULT 'yes',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `item_id` (`item_id`),
  KEY `supplier_id` (`supplier_id`),
  KEY `store_id` (`store_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `item_stock` (`id`, `item_id`, `supplier_id`, `symbol`, `store_id`, `quantity`, `date`, `attachment`, `description`, `is_active`, `created_at`) VALUES (3, 4, 2, '+', 1, 10, '2023-02-01', NULL, 'cremora milk', 'yes', '2023-02-03 22:37:28');


#
# TABLE STRUCTURE FOR: item_store
#

DROP TABLE IF EXISTS `item_store`;

CREATE TABLE `item_store` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_store` varchar(255) NOT NULL,
  `code` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `item_store` (`id`, `item_store`, `code`, `description`) VALUES (1, 'Stores', 'sto', 'Stores');
INSERT INTO `item_store` (`id`, `item_store`, `code`, `description`) VALUES (2, 'Canteen', 'cn', 'Canteen');
INSERT INTO `item_store` (`id`, `item_store`, `code`, `description`) VALUES (3, 'STORE 1', 'STR1', 'STORE 1');
INSERT INTO `item_store` (`id`, `item_store`, `code`, `description`) VALUES (4, 'breakages', 'BR', 'BREAKAGE WAREHOUSE ');


#
# TABLE STRUCTURE FOR: item_supplier
#

DROP TABLE IF EXISTS `item_supplier`;

CREATE TABLE `item_supplier` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_supplier` varchar(255) NOT NULL,
  `phone` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `address` varchar(255) NOT NULL,
  `contact_person_name` varchar(255) NOT NULL,
  `contact_person_phone` varchar(255) NOT NULL,
  `contact_person_email` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `item_supplier` (`id`, `item_supplier`, `phone`, `email`, `address`, `contact_person_name`, `contact_person_phone`, `contact_person_email`, `description`) VALUES (2, 'OK', '0778893765', '', '', 'NYASHA', '', '', '');


#
# TABLE STRUCTURE FOR: journal
#

DROP TABLE IF EXISTS `journal`;

CREATE TABLE `journal` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(100) NOT NULL,
  `date` varchar(20) NOT NULL,
  `cashbook` varchar(100) NOT NULL,
  `description` varchar(400) NOT NULL,
  `account` varchar(200) NOT NULL,
  `module` varchar(100) NOT NULL,
  `receipt` varchar(100) NOT NULL,
  `currency` varchar(100) NOT NULL,
  `debit` varchar(100) NOT NULL,
  `credit` varchar(100) NOT NULL,
  `balance` varchar(100) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8mb4;

INSERT INTO `journal` (`id`, `date_captured`, `date`, `cashbook`, `description`, `account`, `module`, `receipt`, `currency`, `debit`, `credit`, `balance`, `active`) VALUES (23, '01-02-2024 10:06:16am', '2024-02-01', 'Sales journal', 'reversal', 'Melsoft', 'Supplier', 'inv001', '', '450', '0', '450', 1);


#
# TABLE STRUCTURE FOR: journal_accounts
#

DROP TABLE IF EXISTS `journal_accounts`;

CREATE TABLE `journal_accounts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `journal_accounts` varchar(100) NOT NULL,
  `currency` varchar(100) NOT NULL,
  `description` varchar(200) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4;

INSERT INTO `journal_accounts` (`id`, `journal_accounts`, `currency`, `description`, `active`) VALUES (3, 'Sales journal', 'USD', 'Sales journal', 1);
INSERT INTO `journal_accounts` (`id`, `journal_accounts`, `currency`, `description`, `active`) VALUES (4, 'Purchases journal', 'USD', 'Purchases journal', 1);
INSERT INTO `journal_accounts` (`id`, `journal_accounts`, `currency`, `description`, `active`) VALUES (5, 'General journal', 'USD', 'General journal', 1);
INSERT INTO `journal_accounts` (`id`, `journal_accounts`, `currency`, `description`, `active`) VALUES (6, 'Sales returns journal', 'USD', 'Sales returns journal', 1);
INSERT INTO `journal_accounts` (`id`, `journal_accounts`, `currency`, `description`, `active`) VALUES (7, 'Purchases returns journal', 'USD', 'Purchases returns journal', 1);


#
# TABLE STRUCTURE FOR: languages
#

DROP TABLE IF EXISTS `languages`;

CREATE TABLE `languages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `language` varchar(50) DEFAULT NULL,
  `is_deleted` varchar(10) NOT NULL DEFAULT 'yes',
  `is_active` varchar(255) DEFAULT 'no',
  `code` varchar(100) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=91 DEFAULT CHARSET=utf8;

INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (1, 'Azerbaijan', 'no', 'no', 'az', '2019-03-25 12:27:01', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (2, 'Albanian', 'no', 'no', 'sq', '2019-03-25 12:25:01', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (3, 'Amharic', 'no', 'no', 'am', '2019-03-25 12:25:16', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (4, 'English', 'no', 'no', 'en', '2019-03-25 12:32:05', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (5, 'Arabic', 'no', 'no', 'ar', '2019-03-25 12:26:50', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (7, 'Afrikaans', 'no', 'no', 'af', '2019-03-25 12:24:33', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (8, 'Basque', 'no', 'no', 'eu', '2019-03-25 12:27:41', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (11, 'Bengali', 'no', 'no', 'bn', '2019-03-25 12:27:52', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (13, 'Bosnian', 'no', 'no', 'bs', '2019-03-25 12:28:03', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (14, 'Welsh', 'no', 'no', 'cy', '2019-03-25 12:46:16', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (15, 'Hungarian', 'no', 'no', 'hu', '2019-03-25 12:36:29', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (16, 'Vietnamese', 'no', 'no', 'vi', '2019-03-25 12:46:06', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (17, 'Haitian (Creole)', 'no', 'no', 'ht', '2019-03-25 12:35:54', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (18, 'Galician', 'no', 'no', 'gl', '2019-03-25 12:35:00', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (19, 'Dutch', 'no', 'no', 'nl', '2019-03-25 12:31:52', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (21, 'Greek', 'no', 'no', 'el', '2019-03-25 12:35:28', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (22, 'Georgian', 'no', 'no', 'ka', '2019-03-25 12:35:10', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (23, 'Gujarati', 'no', 'no', 'gu', '2019-03-25 12:35:38', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (24, 'Danish', 'no', 'no', 'da', '2019-03-25 12:31:40', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (25, 'Hebrew', 'no', 'no', 'he', '2019-03-25 12:36:06', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (26, 'Yiddish', 'no', 'no', 'yi', '2019-03-25 12:46:34', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (27, 'Indonesian', 'no', 'no', 'id', '2019-03-25 12:36:51', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (28, 'Irish', 'no', 'no', 'ga', '2019-03-25 12:37:02', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (29, 'Italian', 'no', 'no', 'it', '2019-03-25 12:37:11', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (30, 'Icelandic', 'no', 'no', 'is', '2019-03-25 12:36:40', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (31, 'Spanish', 'no', 'no', 'es', '2019-03-25 12:44:20', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (33, 'Kannada', 'no', 'no', 'kn', '2019-03-25 12:37:41', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (34, 'Catalan', 'no', 'no', 'ca', '2019-03-25 12:28:20', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (36, 'Chinese', 'no', 'no', 'zh', '2019-03-25 12:31:19', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (37, 'Korean', 'no', 'no', 'ko', '2019-03-25 12:37:55', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (38, 'Xhosa', 'no', 'no', 'xh', '2019-03-25 12:46:26', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (39, 'Latin', 'no', 'no', 'la', '2019-03-25 12:38:04', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (40, 'Latvian', 'no', 'no', 'lv', '2019-03-25 12:38:41', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (41, 'Lithuanian', 'no', 'no', 'lt', '2019-03-25 12:38:46', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (43, 'Malagasy', 'no', 'no', 'mg', '2019-03-25 12:39:17', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (44, 'Malay', 'no', 'no', 'ms', '2019-03-25 12:39:26', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (45, 'Malayalam', 'no', 'no', 'ml', '2019-03-25 12:39:36', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (46, 'Maltese', 'no', 'no', 'mt', '2019-03-25 12:39:46', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (47, 'Macedonian', 'no', 'no', 'mk', '2019-03-25 12:39:06', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (48, 'Maori', 'no', 'no', 'mi', '2019-03-25 12:39:55', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (49, 'Marathi', 'no', 'no', 'mr', '2019-03-25 12:40:04', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (51, 'Mongolian', 'no', 'no', 'mn', '2019-03-25 12:40:14', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (52, 'German', 'no', 'no', 'de', '2019-03-25 12:35:20', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (53, 'Nepali', 'no', 'no', 'ne', '2019-03-25 12:40:24', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (54, 'Norwegian', 'no', 'no', 'no', '2019-03-25 12:40:43', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (55, 'Punjabi', 'no', 'no', 'pa', '2019-03-25 12:41:20', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (57, 'Persian', 'no', 'no', 'fa', '2019-03-25 12:40:57', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (59, 'Portuguese', 'no', 'no', 'pt', '2019-03-25 12:41:09', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (60, 'Romanian', 'no', 'no', 'ro', '2019-03-25 12:41:41', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (61, 'Russian', 'no', 'no', 'ru', '2019-03-25 12:43:19', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (62, 'Cebuano', 'no', 'no', '', '2017-04-06 03:08:33', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (64, 'Sinhala', 'no', 'no', 'si', '2019-03-25 12:43:46', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (65, 'Slovakian', 'no', 'no', '', '2017-04-06 03:08:33', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (66, 'Slovenian', 'no', 'no', 'sl', '2019-03-25 12:44:07', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (67, 'Swahili', 'no', 'no', 'sw', '2019-03-25 12:44:40', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (68, 'Sundanese', 'no', 'no', 'su', '2019-03-25 12:44:30', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (70, 'Thai', 'no', 'no', 'th', '2019-03-25 12:45:29', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (71, 'Tagalog', 'no', 'no', 'tl', '2019-03-25 12:45:00', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (72, 'Tamil', 'no', 'no', 'ta', '2019-03-25 12:45:09', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (74, 'Telugu', 'no', 'no', 'te', '2019-03-25 12:45:18', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (75, 'Turkish', 'no', 'no', 'tr', '2019-03-25 12:45:36', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (77, 'Uzbek', 'no', 'no', 'uz', '2019-03-25 12:45:56', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (79, 'Urdu', 'no', 'no', 'ur', '2019-03-25 12:45:47', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (80, 'Finnish', 'no', 'no', 'fi', '2019-03-25 12:34:34', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (81, 'French', 'no', 'no', 'fr', '2019-03-25 12:34:46', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (82, 'Hindi', 'no', 'no', 'hi', '2019-03-25 12:36:19', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (84, 'Czech', 'no', 'no', 'cs', '2019-03-25 12:31:30', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (85, 'Swedish', 'no', 'no', 'sv', '2019-03-25 12:44:50', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (86, 'Scottish', 'no', 'no', 'gd', '2019-03-25 12:43:35', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (87, 'Estonian', 'no', 'no', 'et', '2019-03-25 12:34:20', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (88, 'Esperanto', 'no', 'no', 'eo', '2019-03-25 12:34:12', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (89, 'Javanese', 'no', 'no', 'jv', '2019-03-25 12:37:31', '0000-00-00 00:00:00');
INSERT INTO `languages` (`id`, `language`, `is_deleted`, `is_active`, `code`, `created_at`, `updated_at`) VALUES (90, 'Japanese', 'no', 'no', 'ja', '2019-03-25 12:37:20', '0000-00-00 00:00:00');


#
# TABLE STRUCTURE FOR: leave_types
#

DROP TABLE IF EXISTS `leave_types`;

CREATE TABLE `leave_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(200) NOT NULL,
  `is_active` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: libarary_members
#

DROP TABLE IF EXISTS `libarary_members`;

CREATE TABLE `libarary_members` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `library_card_no` varchar(50) DEFAULT NULL,
  `member_type` varchar(50) DEFAULT NULL,
  `member_id` int(11) DEFAULT NULL,
  `is_active` varchar(10) NOT NULL DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: location
#

DROP TABLE IF EXISTS `location`;

CREATE TABLE `location` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `location` varchar(200) NOT NULL,
  `department` varchar(200) NOT NULL,
  `designation` varchar(200) NOT NULL,
  `description` varchar(500) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: medical
#

DROP TABLE IF EXISTS `medical`;

CREATE TABLE `medical` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(200) NOT NULL,
  `name` varchar(100) NOT NULL,
  `address` varchar(200) NOT NULL,
  `phone` varchar(30) NOT NULL,
  `email` varchar(200) NOT NULL,
  `company_name` varchar(100) NOT NULL,
  `description` varchar(300) NOT NULL,
  `company_address` varchar(100) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: medical_details
#

DROP TABLE IF EXISTS `medical_details`;

CREATE TABLE `medical_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(20) NOT NULL,
  `student_id` varchar(200) NOT NULL,
  `doctor` varchar(200) NOT NULL,
  `allergy` varchar(200) NOT NULL,
  `period` varchar(200) NOT NULL,
  `status` varchar(200) NOT NULL,
  `description` varchar(500) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: messages
#

DROP TABLE IF EXISTS `messages`;

CREATE TABLE `messages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(200) DEFAULT NULL,
  `message` text,
  `send_mail` varchar(10) DEFAULT '0',
  `send_sms` varchar(10) DEFAULT '0',
  `is_group` varchar(10) DEFAULT '0',
  `is_individual` varchar(10) DEFAULT '0',
  `is_class` int(10) NOT NULL DEFAULT '0',
  `group_list` text,
  `user_list` text,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: migrations
#

DROP TABLE IF EXISTS `migrations`;

CREATE TABLE `migrations` (
  `version` bigint(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: notification_roles
#

DROP TABLE IF EXISTS `notification_roles`;

CREATE TABLE `notification_roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `send_notification_id` int(11) DEFAULT NULL,
  `role_id` int(11) DEFAULT NULL,
  `is_active` int(11) DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `send_notification_id` (`send_notification_id`),
  KEY `role_id` (`role_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `notification_roles` (`id`, `send_notification_id`, `role_id`, `is_active`, `created_at`) VALUES (1, 1, 2, 0, '2022-11-24 06:46:11');
INSERT INTO `notification_roles` (`id`, `send_notification_id`, `role_id`, `is_active`, `created_at`) VALUES (2, 1, 7, 0, '2022-11-24 06:46:11');


#
# TABLE STRUCTURE FOR: notification_setting
#

DROP TABLE IF EXISTS `notification_setting`;

CREATE TABLE `notification_setting` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(100) DEFAULT NULL,
  `is_mail` varchar(10) DEFAULT '0',
  `is_sms` varchar(10) DEFAULT '0',
  `display_notification` int(11) NOT NULL DEFAULT '0',
  `is_notification` int(1) DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `notification_setting` (`id`, `type`, `is_mail`, `is_sms`, `display_notification`, `is_notification`, `created_at`) VALUES (1, 'student_admission', '1', '0', 0, 0, '2019-04-10 12:27:50');
INSERT INTO `notification_setting` (`id`, `type`, `is_mail`, `is_sms`, `display_notification`, `is_notification`, `created_at`) VALUES (2, 'exam_result', '1', '0', 1, 0, '2019-04-10 12:27:50');
INSERT INTO `notification_setting` (`id`, `type`, `is_mail`, `is_sms`, `display_notification`, `is_notification`, `created_at`) VALUES (3, 'fee_submission', '1', '0', 1, 0, '2019-04-10 12:27:50');
INSERT INTO `notification_setting` (`id`, `type`, `is_mail`, `is_sms`, `display_notification`, `is_notification`, `created_at`) VALUES (4, 'absent_attendence', '1', '0', 1, 0, '2019-04-10 12:27:50');
INSERT INTO `notification_setting` (`id`, `type`, `is_mail`, `is_sms`, `display_notification`, `is_notification`, `created_at`) VALUES (5, 'login_credential', '1', '0', 0, 0, '2019-04-10 12:27:50');


#
# TABLE STRUCTURE FOR: payment_methods
#

DROP TABLE IF EXISTS `payment_methods`;

CREATE TABLE `payment_methods` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `payment_methods` varchar(100) NOT NULL,
  `description` varchar(200) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4;

INSERT INTO `payment_methods` (`id`, `payment_methods`, `description`, `active`) VALUES (3, 'RTGS', 'ZWL-RTGS', 1);
INSERT INTO `payment_methods` (`id`, `payment_methods`, `description`, `active`) VALUES (4, 'ECOCASH USD', 'ECOCASH USD', 1);
INSERT INTO `payment_methods` (`id`, `payment_methods`, `description`, `active`) VALUES (5, 'USD', 'USD', 1);
INSERT INTO `payment_methods` (`id`, `payment_methods`, `description`, `active`) VALUES (6, 'ECOCASH ZWL', 'ECOCASH ZWL', 1);
INSERT INTO `payment_methods` (`id`, `payment_methods`, `description`, `active`) VALUES (7, 'SWIPE', 'SWIPE', 1);


#
# TABLE STRUCTURE FOR: payment_settings
#

DROP TABLE IF EXISTS `payment_settings`;

CREATE TABLE `payment_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `payment_type` varchar(200) NOT NULL,
  `api_username` varchar(200) DEFAULT NULL,
  `api_secret_key` varchar(200) NOT NULL,
  `salt` varchar(200) NOT NULL,
  `api_publishable_key` varchar(200) NOT NULL,
  `api_password` varchar(200) DEFAULT NULL,
  `api_signature` varchar(200) DEFAULT NULL,
  `api_email` varchar(200) DEFAULT NULL,
  `paypal_demo` varchar(100) NOT NULL,
  `account_no` varchar(200) NOT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `payment_settings` (`id`, `payment_type`, `api_username`, `api_secret_key`, `salt`, `api_publishable_key`, `api_password`, `api_signature`, `api_email`, `paypal_demo`, `account_no`, `is_active`, `created_at`, `updated_at`) VALUES (1, 'paypal', '', '', '', '', '', '', NULL, '', '', 'yes', '2018-07-12 03:26:13', '0000-00-00 00:00:00');
INSERT INTO `payment_settings` (`id`, `payment_type`, `api_username`, `api_secret_key`, `salt`, `api_publishable_key`, `api_password`, `api_signature`, `api_email`, `paypal_demo`, `account_no`, `is_active`, `created_at`, `updated_at`) VALUES (4, 'paynow', NULL, '', '', '', NULL, NULL, NULL, '', '', 'no', '2023-01-26 12:39:24', '0000-00-00 00:00:00');


#
# TABLE STRUCTURE FOR: payslip_allowance
#

DROP TABLE IF EXISTS `payslip_allowance`;

CREATE TABLE `payslip_allowance` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `payslip_id` int(11) NOT NULL,
  `allowance_type` varchar(200) NOT NULL,
  `amount` int(11) NOT NULL,
  `staff_id` int(11) NOT NULL,
  `cal_type` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: permission_category
#

DROP TABLE IF EXISTS `permission_category`;

CREATE TABLE `permission_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `perm_group_id` int(11) DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `short_code` varchar(100) DEFAULT NULL,
  `enable_view` int(11) DEFAULT '0',
  `enable_add` int(11) DEFAULT '0',
  `enable_edit` int(11) DEFAULT '0',
  `enable_delete` int(11) DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=132 DEFAULT CHARSET=utf8;

INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (1, 1, 'Student', 'student', 1, 1, 1, 1, '2018-06-22 13:47:11');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (2, 1, 'Import Student', 'import_student', 1, 0, 0, 0, '2018-06-22 13:47:19');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (3, 1, 'Student Categories', 'student_categories', 1, 1, 1, 1, '2018-06-22 13:47:36');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (4, 1, 'Student Houses', 'student_houses', 1, 1, 1, 1, '2018-06-22 13:47:53');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (5, 2, 'Collect Fees', 'collect_fees', 1, 1, 0, 1, '2018-06-22 13:51:03');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (6, 2, 'Fees Carry Forward', 'fees_carry_forward', 1, 0, 0, 0, '2018-06-27 03:48:15');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (7, 2, 'Fees Master', 'fees_master', 1, 1, 1, 1, '2018-06-27 03:48:57');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (8, 2, 'Fees Group', 'fees_group', 1, 1, 1, 1, '2018-06-22 13:51:46');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (9, 3, 'Income', 'income', 1, 1, 1, 1, '2018-06-22 13:53:21');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (10, 3, 'Income Head', 'income_head', 1, 1, 1, 1, '2018-06-22 13:52:44');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (11, 3, 'Search Income', 'search_income', 1, 0, 0, 0, '2018-06-22 13:53:00');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (12, 4, 'Expense', 'expense', 1, 1, 1, 1, '2018-06-22 13:54:06');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (13, 4, 'Expense Head', 'expense_head', 1, 1, 1, 1, '2018-06-22 13:53:47');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (14, 4, 'Search Expense', 'search_expense', 1, 0, 0, 0, '2018-06-22 13:54:13');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (15, 5, 'Student Attendance', 'student_attendance', 1, 1, 1, 0, '2018-06-22 13:54:49');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (16, 5, 'Student Attendance Report', 'student_attendance_report', 1, 0, 0, 0, '2018-06-22 13:54:26');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (17, 6, 'Exam', 'exam', 1, 1, 1, 1, '2018-06-22 13:56:02');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (19, 6, 'Marks Register', 'marks_register', 1, 1, 1, 0, '2018-06-22 13:56:19');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (20, 6, 'Marks Grade', 'marks_grade', 1, 1, 1, 1, '2018-06-22 13:55:25');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (21, 7, 'Class Timetable', 'class_timetable', 1, 1, 1, 0, '2018-06-22 14:01:36');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (22, 7, 'Assign Subject', 'assign_subject', 1, 1, 1, 1, '2018-06-22 14:01:57');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (23, 7, 'Subject', 'subject', 1, 1, 1, 1, '2018-06-22 14:02:17');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (24, 7, 'Class', 'class', 1, 1, 1, 1, '2018-06-22 14:02:35');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (25, 7, 'Section', 'section', 1, 1, 1, 1, '2018-06-22 14:01:10');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (26, 7, 'Promote Student', 'promote_student', 1, 0, 0, 0, '2018-06-22 14:02:47');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (27, 8, 'Upload Content', 'upload_content', 1, 1, 0, 1, '2018-06-22 14:03:19');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (28, 9, 'Books', 'books', 1, 1, 1, 1, '2018-06-22 14:04:04');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (29, 9, 'Issue Return Student', 'issue_return', 1, 0, 0, 0, '2018-06-22 14:03:41');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (30, 9, 'Add Staff Member', 'add_staff_member', 1, 0, 0, 0, '2018-07-02 15:07:00');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (31, 10, 'Issue Item', 'issue_item', 1, 0, 0, 0, '2018-06-22 14:04:51');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (32, 10, 'Item Stock', 'item_stock', 1, 1, 1, 1, '2018-06-22 14:05:17');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (33, 10, 'Item', 'item', 1, 1, 1, 1, '2018-06-22 14:05:40');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (34, 10, 'Store', 'store', 1, 1, 1, 1, '2018-06-22 14:06:02');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (35, 10, 'Supplier', 'supplier', 1, 1, 1, 1, '2018-06-22 14:06:25');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (37, 11, 'Routes', 'routes', 1, 1, 1, 1, '2018-06-22 14:09:17');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (38, 11, 'Vehicle', 'vehicle', 1, 1, 1, 1, '2018-06-22 14:09:36');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (39, 11, 'Assign Vehicle', 'assign_vehicle', 1, 1, 1, 1, '2018-06-27 08:09:20');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (40, 12, 'Hostel', 'hostel', 1, 1, 1, 1, '2018-06-22 14:10:49');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (41, 12, 'Room Type', 'room_type', 1, 1, 1, 1, '2018-06-22 14:10:27');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (42, 12, 'Hostel Rooms', 'hostel_rooms', 1, 1, 1, 1, '2018-06-25 09:53:03');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (43, 13, 'Notice Board', 'notice_board', 1, 1, 1, 1, '2018-06-22 14:11:17');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (44, 13, 'Email / SMS', 'email_sms', 1, 0, 0, 0, '2018-06-22 14:10:54');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (46, 13, 'Email / SMS Log', 'email_sms_log', 1, 0, 0, 0, '2018-06-22 14:11:23');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (47, 1, 'Student Report', 'student_report', 1, 0, 0, 0, '2018-07-03 14:19:36');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (48, 14, 'Transaction Report', 'transaction_report', 1, 0, 0, 0, '2018-07-06 15:13:32');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (49, 14, 'User Log', 'user_log', 1, 0, 0, 0, '2018-07-06 15:13:53');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (53, 15, 'Languages', 'languages', 0, 1, 0, 0, '2018-06-22 14:13:18');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (54, 15, 'General Setting', 'general_setting', 1, 0, 1, 0, '2018-07-05 12:38:35');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (55, 15, 'Session Setting', 'session_setting', 1, 1, 1, 1, '2018-06-22 14:14:15');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (56, 15, 'Notification Setting', 'notification_setting', 1, 0, 1, 0, '2018-07-05 12:38:41');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (57, 15, 'SMS Setting', 'sms_setting', 1, 0, 1, 0, '2018-07-05 12:38:47');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (58, 15, 'Email Setting', 'email_setting', 1, 0, 1, 0, '2018-07-05 12:38:51');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (59, 15, 'Front CMS Setting', 'front_cms_setting', 1, 0, 1, 0, '2018-07-05 12:38:55');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (60, 15, 'Payment Methods', 'payment_methods', 1, 0, 1, 0, '2018-07-05 12:38:59');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (61, 16, 'Menus', 'menus', 1, 1, 0, 1, '2018-07-09 07:20:06');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (62, 16, 'Media Manager', 'media_manager', 1, 1, 0, 1, '2018-07-09 07:20:26');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (63, 16, 'Banner Images', 'banner_images', 1, 1, 0, 1, '2018-06-22 14:16:02');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (64, 16, 'Pages', 'pages', 1, 1, 1, 1, '2018-06-22 14:16:21');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (65, 16, 'Gallery', 'gallery', 1, 1, 1, 1, '2018-06-22 14:17:02');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (66, 16, 'Event', 'event', 1, 1, 1, 1, '2018-06-22 14:17:20');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (67, 16, 'News', 'notice', 1, 1, 1, 1, '2018-07-03 12:09:34');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (68, 2, 'Fees Group Assign', 'fees_group_assign', 1, 0, 0, 0, '2018-06-22 13:50:42');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (69, 2, 'Fees Type', 'fees_type', 1, 1, 1, 1, '2018-06-22 13:49:34');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (70, 2, 'Fees Discount', 'fees_discount', 1, 1, 1, 1, '2018-06-22 13:50:10');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (71, 2, 'Fees Discount Assign', 'fees_discount_assign', 1, 0, 0, 0, '2018-06-22 13:50:17');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (72, 2, 'Fees Statement', 'fees_statement', 1, 0, 0, 0, '2018-06-22 13:48:56');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (73, 2, 'Search Fees Payment', 'search_fees_payment', 1, 0, 0, 0, '2018-06-22 13:50:27');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (74, 2, 'Search Due Fees', 'search_due_fees', 1, 0, 0, 0, '2018-06-22 13:50:35');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (75, 2, 'Balance Fees Report', 'balance_fees_report', 1, 0, 0, 0, '2018-06-22 13:48:50');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (76, 6, 'Exam Schedule', 'exam_schedule', 1, 1, 1, 0, '2018-06-22 13:55:40');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (77, 7, 'Assign Class Teacher', 'assign_class_teacher', 1, 1, 1, 1, '2018-06-22 14:00:52');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (78, 17, 'Admission Enquiry', 'admission_enquiry', 1, 1, 1, 1, '2018-06-22 14:21:24');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (79, 17, 'Follow Up Admission Enquiry', 'follow_up_admission_enquiry', 1, 1, 0, 1, '2018-06-22 14:21:39');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (80, 17, 'Visitor Book', 'visitor_book', 1, 1, 1, 1, '2018-06-22 14:18:58');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (81, 17, 'Phone Call Log', 'phone_call_log', 1, 1, 1, 1, '2018-06-22 14:20:57');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (82, 17, 'Postal Dispatch', 'postal_dispatch', 1, 1, 1, 1, '2018-06-22 14:20:21');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (83, 17, 'Postal Receive', 'postal_receive', 1, 1, 1, 1, '2018-06-22 14:20:04');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (84, 17, 'Complain', 'complaint', 1, 1, 1, 1, '2018-07-03 12:10:55');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (85, 17, 'Setup Font Office', 'setup_font_office', 1, 1, 1, 1, '2018-06-22 14:19:24');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (86, 18, 'Staff', 'staff', 1, 1, 1, 1, '2018-06-22 14:23:31');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (87, 18, 'Disable Staff', 'disable_staff', 1, 0, 0, 0, '2018-06-22 14:23:12');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (88, 18, 'Staff Attendance', 'staff_attendance', 1, 1, 1, 0, '2018-06-22 14:23:10');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (89, 18, 'Staff Attendance Report', 'staff_attendance_report', 1, 0, 0, 0, '2018-06-22 14:22:54');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (90, 18, 'Staff Payroll', 'staff_payroll', 1, 1, 0, 1, '2018-06-22 14:22:51');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (91, 18, 'Payroll Report', 'payroll_report', 1, 0, 0, 0, '2018-06-22 14:22:34');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (93, 19, 'Homework', 'homework', 1, 1, 1, 1, '2018-06-22 14:23:50');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (94, 19, 'Homework Evaluation', 'homework_evaluation', 1, 1, 0, 0, '2018-06-27 06:37:21');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (95, 19, 'Homework Report', 'homework_report', 1, 0, 0, 0, '2018-06-22 14:23:54');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (96, 20, 'Student Certificate', 'student_certificate', 1, 1, 1, 1, '2018-07-06 14:11:07');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (97, 20, 'Generate Certificate', 'generate_certificate', 1, 0, 0, 0, '2018-07-06 14:07:16');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (98, 20, 'Student ID Card', 'student_id_card', 1, 1, 1, 1, '2018-07-06 14:11:28');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (99, 20, 'Generate ID Card', 'generate_id_card', 1, 0, 0, 0, '2018-07-06 14:11:49');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (102, 21, 'Calendar To Do List', 'calendar_to_do_list', 1, 1, 1, 1, '2018-06-22 14:24:41');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (104, 10, 'Item Category', 'item_category', 1, 1, 1, 1, '2018-06-22 14:04:33');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (105, 1, 'Student Parent Login Details', 'student_parent_login_details', 1, 0, 0, 0, '2018-06-22 13:48:01');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (106, 22, 'Quick Session Change', 'quick_session_change', 1, 0, 0, 0, '2018-06-22 14:24:45');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (107, 1, 'Disable Student', 'disable_student', 1, 0, 0, 0, '2018-06-25 09:51:34');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (108, 18, ' Approve Leave Request', 'approve_leave_request', 1, 1, 1, 1, '2018-07-02 13:47:41');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (109, 18, 'Apply Leave', 'apply_leave', 1, 1, 1, 1, '2018-06-26 07:23:32');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (110, 18, 'Leave Types ', 'leave_types', 1, 1, 1, 1, '2018-07-02 13:47:56');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (111, 18, 'Department', 'department', 1, 1, 1, 1, '2018-06-26 07:27:07');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (112, 18, 'Designation', 'designation', 1, 1, 1, 1, '2018-06-26 07:27:07');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (113, 22, 'Fees Collection And Expense Monthly Chart', 'fees_collection_and_expense_monthly_chart', 1, 0, 0, 0, '2018-07-03 10:38:15');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (114, 22, 'Fees Collection And Expense Yearly Chart', 'fees_collection_and_expense_yearly_chart', 1, 0, 0, 0, '2018-07-03 10:38:15');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (115, 22, 'Monthly Fees Collection Widget', 'Monthly fees_collection_widget', 1, 0, 0, 0, '2018-07-03 10:43:35');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (116, 22, 'Monthly Expense Widget', 'monthly_expense_widget', 1, 0, 0, 0, '2018-07-03 10:43:35');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (117, 22, 'Student Count Widget', 'student_count_widget', 1, 0, 0, 0, '2018-07-03 10:43:35');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (118, 22, 'Staff Role Count Widget', 'staff_role_count_widget', 1, 0, 0, 0, '2018-07-03 10:43:35');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (119, 1, 'Guardian Report', 'guardian_report', 1, 0, 0, 0, '2018-07-03 12:12:29');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (120, 1, 'Student History', 'student_history', 1, 0, 0, 0, '2018-07-03 12:12:29');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (121, 1, 'Student Login Credential', 'student_login_credential', 1, 0, 0, 0, '2018-07-03 12:12:29');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (122, 5, 'Attendance By Date', 'attendance_by_date', 1, 0, 0, 0, '2018-07-03 12:12:29');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (123, 9, 'Add Student', 'add_student', 1, 0, 0, 0, '2018-07-03 12:12:29');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (124, 11, 'Student Transport Report', 'student_transport_report', 1, 0, 0, 0, '2018-07-03 12:12:29');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (125, 12, 'Student Hostel Report', 'student_hostel_report', 1, 0, 0, 0, '2018-07-03 12:12:29');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (126, 15, 'User Status', 'user_status', 1, 0, 0, 0, '2018-07-03 12:12:29');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (127, 18, 'Can See Other Users Profile', 'can_see_other_users_profile', 1, 0, 0, 0, '2018-07-03 12:12:29');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (128, 1, 'Student Timeline', 'student_timeline', 0, 1, 0, 1, '2018-07-05 11:38:52');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (129, 18, 'Staff Timeline', 'staff_timeline', 0, 1, 0, 1, '2018-07-05 11:38:52');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (130, 15, 'Backup', 'backup', 1, 1, 0, 1, '2018-07-09 07:47:17');
INSERT INTO `permission_category` (`id`, `perm_group_id`, `name`, `short_code`, `enable_view`, `enable_add`, `enable_edit`, `enable_delete`, `created_at`) VALUES (131, 15, 'Restore', 'restore', 1, 0, 0, 0, '2018-07-09 07:47:17');


#
# TABLE STRUCTURE FOR: permission_group
#

DROP TABLE IF EXISTS `permission_group`;

CREATE TABLE `permission_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `short_code` varchar(100) NOT NULL,
  `is_active` int(11) DEFAULT '0',
  `system` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;

INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (1, 'Student Information', 'student_information', 1, 1, '2018-06-27 07:09:31');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (2, 'Fees Collection', 'fees_collection', 1, 0, '2018-07-11 06:19:10');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (3, 'Income', 'income', 1, 1, '2022-09-14 07:19:16');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (4, 'Expense', 'expense', 1, 1, '2022-09-14 07:19:13');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (5, 'Student Attendance', 'student_attendance', 1, 0, '2018-07-02 11:18:08');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (6, 'Examination', 'examination', 1, 0, '2018-07-11 06:19:08');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (7, 'Academics', 'academics', 1, 1, '2018-07-02 10:55:43');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (8, 'Download Center', 'download_center', 1, 0, '2018-07-02 11:19:29');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (9, 'Library', 'library', 1, 1, '2022-09-14 07:18:59');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (10, 'Inventory', 'inventory', 1, 0, '2018-06-27 04:18:58');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (11, 'Transport', 'transport', 1, 0, '2018-06-27 11:21:26');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (12, 'Hostel', 'hostel', 1, 1, '2022-09-14 07:17:47');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (13, 'Communicate', 'communicate', 1, 0, '2018-07-02 11:20:00');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (14, 'Reports', 'reports', 1, 1, '2018-06-27 07:10:22');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (15, 'System Settings', 'system_settings', 1, 1, '2018-06-27 07:10:28');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (16, 'Front CMS', 'front_cms', 1, 1, '2022-09-14 07:17:26');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (17, 'Front Office', 'front_office', 1, 1, '2022-09-14 07:17:23');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (18, 'Human Resource', 'human_resource', 1, 1, '2018-06-27 07:11:02');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (19, 'Homework', 'homework', 1, 0, '2018-06-27 04:19:38');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (20, 'Certificate', 'certificate', 1, 1, '2022-09-14 07:17:11');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (21, 'Calendar To Do List', 'calendar_to_do_list', 1, 0, '2018-06-27 07:12:25');
INSERT INTO `permission_group` (`id`, `name`, `short_code`, `is_active`, `system`, `created_at`) VALUES (22, 'Dashboard and Widgets', 'dashboard_and_widgets', 1, 1, '2018-06-27 07:11:17');


#
# TABLE STRUCTURE FOR: read_notification
#

DROP TABLE IF EXISTS `read_notification`;

CREATE TABLE `read_notification` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) DEFAULT NULL,
  `parent_id` int(10) DEFAULT NULL,
  `staff_id` int(11) DEFAULT NULL,
  `notification_id` int(11) DEFAULT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `read_notification` (`id`, `student_id`, `parent_id`, `staff_id`, `notification_id`, `is_active`, `created_at`, `updated_at`) VALUES (1, 3, NULL, NULL, 1, 'no', '2022-11-24 06:47:00', '');
INSERT INTO `read_notification` (`id`, `student_id`, `parent_id`, `staff_id`, `notification_id`, `is_active`, `created_at`, `updated_at`) VALUES (2, NULL, NULL, 24, 1, 'no', '2023-04-19 08:23:54', '');


#
# TABLE STRUCTURE FOR: reference
#

DROP TABLE IF EXISTS `reference`;

CREATE TABLE `reference` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reference` varchar(100) NOT NULL,
  `description` mediumtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: roles
#

DROP TABLE IF EXISTS `roles`;

CREATE TABLE `roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `slug` varchar(150) DEFAULT NULL,
  `is_active` int(11) DEFAULT '0',
  `is_system` int(1) NOT NULL DEFAULT '0',
  `is_superadmin` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

INSERT INTO `roles` (`id`, `name`, `slug`, `is_active`, `is_system`, `is_superadmin`, `created_at`, `updated_at`) VALUES (1, 'Admin', NULL, 0, 1, 0, '2018-06-30 13:39:11', '0000-00-00 00:00:00');
INSERT INTO `roles` (`id`, `name`, `slug`, `is_active`, `is_system`, `is_superadmin`, `created_at`, `updated_at`) VALUES (2, 'Teacher', NULL, 0, 1, 0, '2018-06-30 13:39:14', '0000-00-00 00:00:00');
INSERT INTO `roles` (`id`, `name`, `slug`, `is_active`, `is_system`, `is_superadmin`, `created_at`, `updated_at`) VALUES (3, 'Accountant', NULL, 0, 1, 0, '2018-06-30 13:39:17', '0000-00-00 00:00:00');
INSERT INTO `roles` (`id`, `name`, `slug`, `is_active`, `is_system`, `is_superadmin`, `created_at`, `updated_at`) VALUES (4, 'Librarian', NULL, 0, 1, 0, '2018-06-30 13:39:21', '0000-00-00 00:00:00');
INSERT INTO `roles` (`id`, `name`, `slug`, `is_active`, `is_system`, `is_superadmin`, `created_at`, `updated_at`) VALUES (6, 'Receptionist', NULL, 0, 1, 0, '2018-07-02 03:39:03', '0000-00-00 00:00:00');
INSERT INTO `roles` (`id`, `name`, `slug`, `is_active`, `is_system`, `is_superadmin`, `created_at`, `updated_at`) VALUES (7, 'Super Admin', NULL, 0, 1, 1, '2018-07-11 12:11:29', '0000-00-00 00:00:00');
INSERT INTO `roles` (`id`, `name`, `slug`, `is_active`, `is_system`, `is_superadmin`, `created_at`, `updated_at`) VALUES (8, 'Student', NULL, 0, 0, 0, '2024-07-08 12:14:51', '');


#
# TABLE STRUCTURE FOR: roles_permissions
#

DROP TABLE IF EXISTS `roles_permissions`;

CREATE TABLE `roles_permissions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` int(11) DEFAULT NULL,
  `perm_cat_id` int(11) DEFAULT NULL,
  `can_view` int(11) DEFAULT NULL,
  `can_add` int(11) DEFAULT NULL,
  `can_edit` int(11) DEFAULT NULL,
  `can_delete` int(11) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=900 DEFAULT CHARSET=utf8;

INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (757, 1, 1, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (758, 1, 2, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (759, 1, 3, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (760, 1, 4, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (761, 1, 47, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (762, 1, 105, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (763, 1, 107, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (764, 1, 119, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (765, 1, 120, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (766, 1, 121, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (767, 1, 128, 0, 1, 0, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (768, 1, 5, 1, 1, 0, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (769, 1, 6, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (770, 1, 7, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (771, 1, 8, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (772, 1, 68, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (773, 1, 69, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (774, 1, 70, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (775, 1, 71, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (776, 1, 72, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (777, 1, 73, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (778, 1, 74, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (779, 1, 75, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (780, 1, 9, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (781, 1, 10, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (782, 1, 11, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (783, 1, 12, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (784, 1, 13, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (785, 1, 14, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (786, 1, 15, 1, 1, 1, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (787, 1, 16, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (788, 1, 122, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (789, 1, 17, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (790, 1, 19, 1, 1, 1, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (791, 1, 20, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (792, 1, 76, 1, 1, 1, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (793, 1, 21, 1, 1, 1, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (794, 1, 22, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (795, 1, 23, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (796, 1, 24, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (797, 1, 25, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (798, 1, 26, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (799, 1, 77, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (800, 1, 27, 1, 1, 0, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (801, 1, 28, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (802, 1, 29, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (803, 1, 30, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (804, 1, 123, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (805, 1, 31, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (806, 1, 32, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (807, 1, 33, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (808, 1, 34, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (809, 1, 35, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (810, 1, 104, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (811, 1, 37, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (812, 1, 38, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (813, 1, 39, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (814, 1, 124, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (815, 1, 40, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (816, 1, 41, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (817, 1, 42, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (818, 1, 125, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (819, 1, 43, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (820, 1, 44, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (821, 1, 46, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (822, 1, 48, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (823, 1, 49, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (824, 1, 53, 0, 1, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (825, 1, 54, 1, 0, 1, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (826, 1, 55, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (827, 1, 56, 1, 0, 1, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (828, 1, 57, 1, 0, 1, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (829, 1, 58, 1, 0, 1, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (830, 1, 60, 1, 0, 1, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (831, 1, 126, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (832, 1, 130, 1, 1, 0, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (833, 1, 131, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (834, 1, 61, 1, 1, 0, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (835, 1, 62, 1, 1, 0, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (836, 1, 63, 1, 1, 0, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (837, 1, 64, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (838, 1, 65, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (839, 1, 66, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (840, 1, 67, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (841, 1, 78, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (842, 1, 79, 1, 1, 0, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (843, 1, 80, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (844, 1, 81, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (845, 1, 82, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (846, 1, 83, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (847, 1, 84, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (848, 1, 85, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (849, 1, 86, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (850, 1, 87, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (851, 1, 88, 1, 1, 1, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (852, 1, 89, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (853, 1, 90, 1, 1, 0, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (854, 1, 91, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (855, 1, 108, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (856, 1, 109, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (857, 1, 110, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (858, 1, 111, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (859, 1, 112, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (860, 1, 127, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (861, 1, 129, 0, 1, 0, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (862, 1, 93, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (863, 1, 94, 1, 1, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (864, 1, 95, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (865, 1, 96, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (866, 1, 97, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (867, 1, 98, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (868, 1, 99, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (869, 1, 102, 1, 1, 1, 1, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (870, 1, 106, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (871, 1, 113, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (872, 1, 114, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (873, 1, 115, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (874, 1, 116, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (875, 1, 117, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (876, 1, 118, 1, 0, 0, 0, '2023-03-13 11:19:27');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (878, 2, 4, 0, 0, 1, 0, '2024-07-08 12:14:02');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (880, 2, 105, 1, 0, 0, 0, '2024-02-06 10:05:07');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (881, 2, 15, 1, 1, 0, 0, '2024-02-06 10:05:07');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (882, 2, 16, 1, 0, 0, 0, '2024-02-06 10:05:07');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (883, 2, 122, 1, 0, 0, 0, '2024-02-06 10:05:07');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (884, 2, 17, 1, 0, 0, 0, '2024-02-06 10:05:07');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (885, 1, 59, 1, 0, 1, 0, '2024-03-18 10:54:35');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (886, 2, 10, 0, 0, 1, 0, '2024-07-08 12:13:38');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (887, 2, 119, 1, 0, 0, 0, '2024-07-08 12:14:02');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (888, 2, 120, 1, 0, 0, 0, '2024-07-08 12:14:02');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (889, 8, 1, 1, 0, 0, 0, '2024-07-08 12:15:52');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (890, 8, 27, 1, 0, 0, 0, '2024-07-08 12:15:52');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (891, 8, 40, 1, 0, 0, 0, '2024-07-08 12:15:52');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (892, 8, 43, 1, 0, 0, 0, '2024-07-08 12:15:52');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (893, 8, 44, 1, 0, 0, 0, '2024-07-08 12:15:52');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (894, 8, 46, 1, 0, 0, 0, '2024-07-08 12:15:52');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (895, 8, 93, 1, 1, 0, 0, '2024-07-08 12:15:52');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (896, 8, 94, 1, 0, 0, 0, '2024-07-08 12:15:52');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (897, 8, 96, 1, 0, 0, 0, '2024-07-08 12:15:52');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (898, 8, 98, 1, 0, 0, 0, '2024-07-08 12:15:52');
INSERT INTO `roles_permissions` (`id`, `role_id`, `perm_cat_id`, `can_view`, `can_add`, `can_edit`, `can_delete`, `created_at`) VALUES (899, 2, 1, 1, 0, 0, 0, '2024-07-11 14:51:37');


#
# TABLE STRUCTURE FOR: room_types
#

DROP TABLE IF EXISTS `room_types`;

CREATE TABLE `room_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `room_type` varchar(200) DEFAULT NULL,
  `description` text,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: sch_settings
#

DROP TABLE IF EXISTS `sch_settings`;

CREATE TABLE `sch_settings` (
  `id` int(11) NOT NULL,
  `name` varchar(100) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `phone` varchar(50) DEFAULT NULL,
  `address` text,
  `bank_details1` varchar(400) NOT NULL,
  `bank_details2` varchar(400) NOT NULL,
  `bank_details3` varchar(400) NOT NULL,
  `lang_id` int(11) DEFAULT NULL,
  `dise_code` varchar(50) DEFAULT NULL,
  `date_format` varchar(50) NOT NULL,
  `currency` varchar(50) NOT NULL,
  `currency_symbol` varchar(50) NOT NULL,
  `is_rtl` varchar(10) DEFAULT 'disabled',
  `timezone` varchar(30) DEFAULT 'UTC',
  `session_id` int(11) DEFAULT NULL,
  `start_month` varchar(40) NOT NULL,
  `image` varchar(100) DEFAULT NULL,
  `theme` varchar(200) NOT NULL DEFAULT 'default.jpg',
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(100) NOT NULL,
  `cron_secret_key` varchar(100) NOT NULL,
  `fee_due_days` int(3) DEFAULT '0',
  `class_teacher` varchar(100) NOT NULL,
  `mobile_api_url` text NOT NULL,
  `app_primary_color_code` varchar(20) DEFAULT NULL,
  `app_secondary_color_code` varchar(20) DEFAULT NULL,
  `app_logo` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lang_id` (`lang_id`),
  KEY `session_id` (`session_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `sch_settings` (`id`, `name`, `email`, `phone`, `address`, `bank_details1`, `bank_details2`, `bank_details3`, `lang_id`, `dise_code`, `date_format`, `currency`, `currency_symbol`, `is_rtl`, `timezone`, `session_id`, `start_month`, `image`, `theme`, `is_active`, `created_at`, `updated_at`, `cron_secret_key`, `fee_due_days`, `class_teacher`, `mobile_api_url`, `app_primary_color_code`, `app_secondary_color_code`, `app_logo`) VALUES (1, 'ME', 'mapungwanaletwin@gmail.com', '0774925614', '27b Nirvana road hatfield', 'First street', '', '', 4, 'ME', 'd-m-Y', 'USD', 'USD', 'disabled', 'Africa/Harare', 14, '1', '1.jpg', 'default.jpg', 'no', '2024-07-11 14:37:19', '0000-00-00 00:00:00', '', 7, 'no', '', '#424242', '#eeeeee', '1.jpg');


#
# TABLE STRUCTURE FOR: school_houses
#

DROP TABLE IF EXISTS `school_houses`;

CREATE TABLE `school_houses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `house_name` varchar(200) NOT NULL,
  `description` varchar(400) NOT NULL,
  `is_active` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: sections
#

DROP TABLE IF EXISTS `sections`;

CREATE TABLE `sections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `section` varchar(60) DEFAULT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;

INSERT INTO `sections` (`id`, `section`, `is_active`, `created_at`, `updated_at`) VALUES (14, 'Diamond', 'no', '2024-01-31 12:20:40', '');
INSERT INTO `sections` (`id`, `section`, `is_active`, `created_at`, `updated_at`) VALUES (17, 'Gold', 'no', '2024-03-15 11:27:47', '');


#
# TABLE STRUCTURE FOR: send_notification
#

DROP TABLE IF EXISTS `send_notification`;

CREATE TABLE `send_notification` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) DEFAULT NULL,
  `publish_date` date DEFAULT NULL,
  `date` date DEFAULT NULL,
  `message` text,
  `visible_student` varchar(10) NOT NULL DEFAULT 'no',
  `visible_staff` varchar(10) NOT NULL DEFAULT 'no',
  `visible_parent` varchar(10) NOT NULL DEFAULT 'no',
  `created_by` varchar(60) DEFAULT NULL,
  `created_id` int(11) DEFAULT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `send_notification` (`id`, `title`, `publish_date`, `date`, `message`, `visible_student`, `visible_staff`, `visible_parent`, `created_by`, `created_id`, `is_active`, `created_at`, `updated_at`) VALUES (1, 'New Software Update Launch', '2022-11-24', '2022-11-24', '<h4>\r\n\r\nAdd Income- Go to Income > Add Income select Income Head then enter Income Name then \r\nInvoice Number, Date of Income then Amount then Attach Document then Description & click \r\non Save button. Recently added 10 Incomes can be see right side of this page.\r\n\r\n<br></h4>', 'Yes', 'Yes', 'No', 'Super Admin', 1, 'no', '2022-11-24 04:46:11', '');


#
# TABLE STRUCTURE FOR: sessions
#

DROP TABLE IF EXISTS `sessions`;

CREATE TABLE `sessions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `session` varchar(60) DEFAULT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;

INSERT INTO `sessions` (`id`, `session`, `is_active`, `created_at`, `updated_at`) VALUES (7, '2016-17', 'no', '2017-04-20 02:42:19', '0000-00-00 00:00:00');
INSERT INTO `sessions` (`id`, `session`, `is_active`, `created_at`, `updated_at`) VALUES (11, '2017-18', 'no', '2017-04-20 02:41:37', '0000-00-00 00:00:00');
INSERT INTO `sessions` (`id`, `session`, `is_active`, `created_at`, `updated_at`) VALUES (13, '2018-19', 'no', '2016-08-24 15:26:44', '0000-00-00 00:00:00');
INSERT INTO `sessions` (`id`, `session`, `is_active`, `created_at`, `updated_at`) VALUES (14, '2024', 'no', '2024-02-01 09:42:00', '0000-00-00 00:00:00');
INSERT INTO `sessions` (`id`, `session`, `is_active`, `created_at`, `updated_at`) VALUES (15, '2020-21', 'no', '2016-10-01 01:28:08', '0000-00-00 00:00:00');
INSERT INTO `sessions` (`id`, `session`, `is_active`, `created_at`, `updated_at`) VALUES (16, '2021-22', 'no', '2016-10-01 01:28:20', '0000-00-00 00:00:00');
INSERT INTO `sessions` (`id`, `session`, `is_active`, `created_at`, `updated_at`) VALUES (18, '2022-23', 'no', '2016-10-01 01:29:02', '0000-00-00 00:00:00');
INSERT INTO `sessions` (`id`, `session`, `is_active`, `created_at`, `updated_at`) VALUES (19, '2023-24', 'no', '2016-10-01 01:29:10', '0000-00-00 00:00:00');
INSERT INTO `sessions` (`id`, `session`, `is_active`, `created_at`, `updated_at`) VALUES (20, '2024-25', 'no', '2016-10-01 01:29:18', '0000-00-00 00:00:00');
INSERT INTO `sessions` (`id`, `session`, `is_active`, `created_at`, `updated_at`) VALUES (21, '2025-26', 'no', '2016-10-01 01:30:10', '0000-00-00 00:00:00');
INSERT INTO `sessions` (`id`, `session`, `is_active`, `created_at`, `updated_at`) VALUES (22, '2026-27', 'no', '2016-10-01 01:30:18', '0000-00-00 00:00:00');
INSERT INTO `sessions` (`id`, `session`, `is_active`, `created_at`, `updated_at`) VALUES (23, '2027-28', 'no', '2016-10-01 01:30:24', '0000-00-00 00:00:00');
INSERT INTO `sessions` (`id`, `session`, `is_active`, `created_at`, `updated_at`) VALUES (24, '2028-29', 'no', '2016-10-01 01:30:30', '0000-00-00 00:00:00');
INSERT INTO `sessions` (`id`, `session`, `is_active`, `created_at`, `updated_at`) VALUES (25, '2029-30', 'no', '2016-10-01 01:30:37', '0000-00-00 00:00:00');


#
# TABLE STRUCTURE FOR: sms_config
#

DROP TABLE IF EXISTS `sms_config`;

CREATE TABLE `sms_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(50) NOT NULL,
  `name` varchar(100) NOT NULL,
  `api_id` varchar(100) NOT NULL,
  `authkey` varchar(100) NOT NULL,
  `senderid` varchar(100) NOT NULL,
  `contact` text,
  `username` varchar(150) DEFAULT NULL,
  `url` varchar(150) DEFAULT NULL,
  `password` varchar(150) DEFAULT NULL,
  `is_active` varchar(255) DEFAULT 'disabled',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: source
#

DROP TABLE IF EXISTS `source`;

CREATE TABLE `source` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `source` varchar(100) NOT NULL,
  `description` mediumtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: sport
#

DROP TABLE IF EXISTS `sport`;

CREATE TABLE `sport` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(50) NOT NULL,
  `sportcode` varchar(200) NOT NULL,
  `name` varchar(100) NOT NULL,
  `description` varchar(300) NOT NULL,
  `across` varchar(200) NOT NULL,
  `down` varchar(200) NOT NULL,
  `gender` varchar(200) NOT NULL,
  `age_group` varchar(200) NOT NULL,
  `team` varchar(200) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: sport_categories
#

DROP TABLE IF EXISTS `sport_categories`;

CREATE TABLE `sport_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sport` varchar(200) NOT NULL,
  `age_group` varchar(200) NOT NULL,
  `gender` varchar(200) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

INSERT INTO `sport_categories` (`id`, `sport`, `age_group`, `gender`, `active`) VALUES (1, 'soccer', 'under 16', 'Male', 1);


#
# TABLE STRUCTURE FOR: staff
#

DROP TABLE IF EXISTS `staff`;

CREATE TABLE `staff` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `employee_id` varchar(200) NOT NULL,
  `department` varchar(100) NOT NULL,
  `designation` varchar(100) NOT NULL,
  `qualification` varchar(200) NOT NULL,
  `work_exp` varchar(200) NOT NULL,
  `name` varchar(200) NOT NULL,
  `surname` varchar(200) NOT NULL,
  `father_name` varchar(200) NOT NULL,
  `mother_name` varchar(200) NOT NULL,
  `contact_no` varchar(200) NOT NULL,
  `emergency_contact_no` varchar(200) NOT NULL,
  `email` varchar(200) NOT NULL,
  `dob` date NOT NULL,
  `marital_status` varchar(100) NOT NULL,
  `date_of_joining` date NOT NULL,
  `date_of_leaving` date NOT NULL,
  `local_address` varchar(300) NOT NULL,
  `permanent_address` varchar(200) NOT NULL,
  `note` varchar(200) NOT NULL,
  `image` varchar(200) NOT NULL,
  `password` varchar(250) NOT NULL,
  `gender` varchar(50) NOT NULL,
  `account_title` varchar(200) NOT NULL,
  `bank_account_no` varchar(200) NOT NULL,
  `bank_name` varchar(200) NOT NULL,
  `ifsc_code` varchar(200) NOT NULL,
  `bank_branch` varchar(100) NOT NULL,
  `payscale` varchar(200) NOT NULL,
  `basic_salary` varchar(200) NOT NULL,
  `epf_no` varchar(200) NOT NULL,
  `contract_type` varchar(100) NOT NULL,
  `shift` varchar(100) NOT NULL,
  `location` varchar(100) NOT NULL,
  `facebook` varchar(200) NOT NULL,
  `twitter` varchar(200) NOT NULL,
  `linkedin` varchar(200) NOT NULL,
  `instagram` varchar(200) NOT NULL,
  `resume` varchar(200) NOT NULL,
  `joining_letter` varchar(200) NOT NULL,
  `resignation_letter` varchar(200) NOT NULL,
  `other_document_name` varchar(200) NOT NULL,
  `other_document_file` varchar(200) NOT NULL,
  `user_id` int(11) NOT NULL,
  `is_active` int(11) NOT NULL,
  `verification_code` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `employee_id` (`employee_id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;

INSERT INTO `staff` (`id`, `employee_id`, `department`, `designation`, `qualification`, `work_exp`, `name`, `surname`, `father_name`, `mother_name`, `contact_no`, `emergency_contact_no`, `email`, `dob`, `marital_status`, `date_of_joining`, `date_of_leaving`, `local_address`, `permanent_address`, `note`, `image`, `password`, `gender`, `account_title`, `bank_account_no`, `bank_name`, `ifsc_code`, `bank_branch`, `payscale`, `basic_salary`, `epf_no`, `contract_type`, `shift`, `location`, `facebook`, `twitter`, `linkedin`, `instagram`, `resume`, `joining_letter`, `resignation_letter`, `other_document_name`, `other_document_file`, `user_id`, `is_active`, `verification_code`) VALUES (1, 'MS0001', 'select', 'select', '', '', 'MS Super Admin', '', '', '', '', '', 'mssuperadmin@gmail.com', '1997-11-30', '', '0000-00-00', '0000-00-00', '', '', '', '', '$2y$10$FR4uLfdq6eRk6Wu1WnD21OMbtQnLoNYf5pm0WPVkEp/UuqLfqLOzi', 'Male', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Other Document', '', 1, 1, '');
INSERT INTO `staff` (`id`, `employee_id`, `department`, `designation`, `qualification`, `work_exp`, `name`, `surname`, `father_name`, `mother_name`, `contact_no`, `emergency_contact_no`, `email`, `dob`, `marital_status`, `date_of_joining`, `date_of_leaving`, `local_address`, `permanent_address`, `note`, `image`, `password`, `gender`, `account_title`, `bank_account_no`, `bank_name`, `ifsc_code`, `bank_branch`, `payscale`, `basic_salary`, `epf_no`, `contract_type`, `shift`, `location`, `facebook`, `twitter`, `linkedin`, `instagram`, `resume`, `joining_letter`, `resignation_letter`, `other_document_name`, `other_document_file`, `user_id`, `is_active`, `verification_code`) VALUES (4, 'KAM001', '20', '27', '', '', 'Oprah', 'Kamupere', '', '', '07784637435', '', 'Kamupereoprah262@gmail.com', '1998-12-17', 'Single', '2024-01-05', '0000-00-00', '', '', '', '', '$2y$10$4VzMNMj51rEIUy7.Zg0gFep3zH.BWOLQX6L7L1pG3vj4JbqkGn8Ve', 'Female', '', '', '', '', '', '', '', '', 'permanent', '', '', '', '', '', '', '', '', '', 'Other Document', '', 0, 1, '');
INSERT INTO `staff` (`id`, `employee_id`, `department`, `designation`, `qualification`, `work_exp`, `name`, `surname`, `father_name`, `mother_name`, `contact_no`, `emergency_contact_no`, `email`, `dob`, `marital_status`, `date_of_joining`, `date_of_leaving`, `local_address`, `permanent_address`, `note`, `image`, `password`, `gender`, `account_title`, `bank_account_no`, `bank_name`, `ifsc_code`, `bank_branch`, `payscale`, `basic_salary`, `epf_no`, `contract_type`, `shift`, `location`, `facebook`, `twitter`, `linkedin`, `instagram`, `resume`, `joining_letter`, `resignation_letter`, `other_document_name`, `other_document_file`, `user_id`, `is_active`, `verification_code`) VALUES (5, 'MUP002', '21', '28', '', '', 'Willard', 'Mupfeki', '', '', '0771059794', '', 'mupfekiwm@gmail.com', '1993-10-20', 'Married', '2024-01-05', '0000-00-00', '', '', '', '', '$2y$10$VONZnUFH0qyVRXjBGN1e.uHNZvQnqc3DLVD4DCrzu/R.0oEc/zU9m', 'Male', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Other Document', '', 0, 1, '');
INSERT INTO `staff` (`id`, `employee_id`, `department`, `designation`, `qualification`, `work_exp`, `name`, `surname`, `father_name`, `mother_name`, `contact_no`, `emergency_contact_no`, `email`, `dob`, `marital_status`, `date_of_joining`, `date_of_leaving`, `local_address`, `permanent_address`, `note`, `image`, `password`, `gender`, `account_title`, `bank_account_no`, `bank_name`, `ifsc_code`, `bank_branch`, `payscale`, `basic_salary`, `epf_no`, `contract_type`, `shift`, `location`, `facebook`, `twitter`, `linkedin`, `instagram`, `resume`, `joining_letter`, `resignation_letter`, `other_document_name`, `other_document_file`, `user_id`, `is_active`, `verification_code`) VALUES (6, 'MAT003', '21', '28', '', '', 'Rumbidzai', 'Matafi', '', '', '0784801373', '', 'matifirumbidzai@gmail.com', '1998-08-20', 'Single', '2024-01-05', '0000-00-00', '', '', '', '', '$2y$10$Vo2yZArAq2co5J0nfRt4H.7Hpc4LjyNKajDMJ1dv/.puSaZAxqL2e', 'Female', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Other Document', '', 0, 1, '');
INSERT INTO `staff` (`id`, `employee_id`, `department`, `designation`, `qualification`, `work_exp`, `name`, `surname`, `father_name`, `mother_name`, `contact_no`, `emergency_contact_no`, `email`, `dob`, `marital_status`, `date_of_joining`, `date_of_leaving`, `local_address`, `permanent_address`, `note`, `image`, `password`, `gender`, `account_title`, `bank_account_no`, `bank_name`, `ifsc_code`, `bank_branch`, `payscale`, `basic_salary`, `epf_no`, `contract_type`, `shift`, `location`, `facebook`, `twitter`, `linkedin`, `instagram`, `resume`, `joining_letter`, `resignation_letter`, `other_document_name`, `other_document_file`, `user_id`, `is_active`, `verification_code`) VALUES (7, 'BUK004', '21', '28', '', '', 'Gift', 'Bukuta', '', '', '0773018544', '', 'giftbukuta@gmail.com', '1970-01-01', 'Married', '2024-01-05', '0000-00-00', '', '', '', '', '$2y$10$pM.LloCSZSG2i1bEkHn2euv3YDqDzA.B5RqA9kJOzHo2Y.tCPjRJO', 'Male', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Other Document', '', 0, 1, '');
INSERT INTO `staff` (`id`, `employee_id`, `department`, `designation`, `qualification`, `work_exp`, `name`, `surname`, `father_name`, `mother_name`, `contact_no`, `emergency_contact_no`, `email`, `dob`, `marital_status`, `date_of_joining`, `date_of_leaving`, `local_address`, `permanent_address`, `note`, `image`, `password`, `gender`, `account_title`, `bank_account_no`, `bank_name`, `ifsc_code`, `bank_branch`, `payscale`, `basic_salary`, `epf_no`, `contract_type`, `shift`, `location`, `facebook`, `twitter`, `linkedin`, `instagram`, `resume`, `joining_letter`, `resignation_letter`, `other_document_name`, `other_document_file`, `user_id`, `is_active`, `verification_code`) VALUES (8, 'CHI005', '13', '23', '', '', 'Nyasha', 'Chingwena', '', '', '0784511154', '', 'nyashachingwena97@gmail.com', '1997-01-27', 'Single', '2024-03-01', '0000-00-00', '4 Liskeard Ave Mabelreign Harare', '', '', '', '$2y$10$17f.7LuJAvayJFtfqmca/uxzSmQapwcWeGetz.3fHdjeask0Vv10.', 'Female', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Other Document', '', 0, 1, '');
INSERT INTO `staff` (`id`, `employee_id`, `department`, `designation`, `qualification`, `work_exp`, `name`, `surname`, `father_name`, `mother_name`, `contact_no`, `emergency_contact_no`, `email`, `dob`, `marital_status`, `date_of_joining`, `date_of_leaving`, `local_address`, `permanent_address`, `note`, `image`, `password`, `gender`, `account_title`, `bank_account_no`, `bank_name`, `ifsc_code`, `bank_branch`, `payscale`, `basic_salary`, `epf_no`, `contract_type`, `shift`, `location`, `facebook`, `twitter`, `linkedin`, `instagram`, `resume`, `joining_letter`, `resignation_letter`, `other_document_name`, `other_document_file`, `user_id`, `is_active`, `verification_code`) VALUES (24, 'SM001', '13', '23', '', '', 'SM Super Admin', '', 'none', 'none', '', '', 'smsuperadmin@gmail.com', '2001-11-11', '', '0000-00-00', '0000-00-00', '', '', '', '', '$2y$10$OK.Y386jqsy/SKjymVqN9efOTkiGOHlqPNG7rxuv1asDZ1XscPuYi', 'Female', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Other Document', '', 0, 1, '');


#
# TABLE STRUCTURE FOR: staff_attendance
#

DROP TABLE IF EXISTS `staff_attendance`;

CREATE TABLE `staff_attendance` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` date NOT NULL,
  `staff_id` int(11) NOT NULL,
  `staff_attendance_type_id` int(11) NOT NULL,
  `remark` varchar(200) NOT NULL,
  `is_active` int(11) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: staff_attendance_type
#

DROP TABLE IF EXISTS `staff_attendance_type`;

CREATE TABLE `staff_attendance_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(200) NOT NULL,
  `key_value` varchar(200) NOT NULL,
  `is_active` varchar(50) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `staff_attendance_type` (`id`, `type`, `key_value`, `is_active`, `created_at`, `updated_at`) VALUES (1, 'Present', '<b class=\"text text-success\">P</b>', 'yes', '0000-00-00 00:00:00', '0000-00-00 00:00:00');
INSERT INTO `staff_attendance_type` (`id`, `type`, `key_value`, `is_active`, `created_at`, `updated_at`) VALUES (2, 'Late', '<b class=\"text text-warning\">L</b>', 'yes', '0000-00-00 00:00:00', '0000-00-00 00:00:00');
INSERT INTO `staff_attendance_type` (`id`, `type`, `key_value`, `is_active`, `created_at`, `updated_at`) VALUES (3, 'Absent', '<b class=\"text text-danger\">A</b>', 'yes', '0000-00-00 00:00:00', '0000-00-00 00:00:00');
INSERT INTO `staff_attendance_type` (`id`, `type`, `key_value`, `is_active`, `created_at`, `updated_at`) VALUES (4, 'Half Day', '<b class=\"text text-warning\">F</b>', 'yes', '2018-05-06 21:56:16', '0000-00-00 00:00:00');
INSERT INTO `staff_attendance_type` (`id`, `type`, `key_value`, `is_active`, `created_at`, `updated_at`) VALUES (5, 'Holiday', 'H', 'yes', '0000-00-00 00:00:00', '0000-00-00 00:00:00');


#
# TABLE STRUCTURE FOR: staff_designation
#

DROP TABLE IF EXISTS `staff_designation`;

CREATE TABLE `staff_designation` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `designation` varchar(200) NOT NULL,
  `is_active` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8;

INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (5, 'VPA TEACHER', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (6, 'ICT TEACHER', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (10, 'ECD A TEACHER', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (11, 'ECD B TEACHER', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (12, 'GRADE 1 TEACHER', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (13, 'GRADE 2 TEACHER', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (14, 'GRADE 3 TEACHER', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (15, 'GRADE 4 TEACHER', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (16, 'GRADE 5 TEACHER', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (17, 'GRADE 6 TEACHER', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (18, 'GRADE 7 TEACHER', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (19, 'DRIVER', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (20, 'ANCILLARY STAFF', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (21, 'ADMIN ASSISTANT', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (22, 'PRINCIPAL', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (23, 'ADMINISTRATOR ', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (24, 'RECEPTIONIST', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (25, 'MATRON', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (26, 'SECURITY', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (27, 'TODDLER', 'yes');
INSERT INTO `staff_designation` (`id`, `designation`, `is_active`) VALUES (28, 'TEACHER', 'yes');


#
# TABLE STRUCTURE FOR: staff_leave_details
#

DROP TABLE IF EXISTS `staff_leave_details`;

CREATE TABLE `staff_leave_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `staff_id` int(11) NOT NULL,
  `leave_type_id` int(11) NOT NULL,
  `alloted_leave` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: staff_leave_request
#

DROP TABLE IF EXISTS `staff_leave_request`;

CREATE TABLE `staff_leave_request` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `staff_id` int(11) NOT NULL,
  `leave_type_id` int(11) NOT NULL,
  `leave_from` date NOT NULL,
  `leave_to` date NOT NULL,
  `leave_days` int(11) NOT NULL,
  `employee_remark` varchar(200) NOT NULL,
  `admin_remark` varchar(200) NOT NULL,
  `status` varchar(100) NOT NULL,
  `applied_by` varchar(200) NOT NULL,
  `document_file` varchar(200) NOT NULL,
  `date` date NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: staff_payroll
#

DROP TABLE IF EXISTS `staff_payroll`;

CREATE TABLE `staff_payroll` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `basic_salary` int(11) NOT NULL,
  `pay_scale` varchar(200) NOT NULL,
  `grade` varchar(50) NOT NULL,
  `is_active` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: staff_payslip
#

DROP TABLE IF EXISTS `staff_payslip`;

CREATE TABLE `staff_payslip` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `staff_id` int(11) NOT NULL,
  `basic` int(11) NOT NULL,
  `total_allowance` int(11) NOT NULL,
  `total_deduction` int(11) NOT NULL,
  `leave_deduction` int(11) NOT NULL,
  `tax` varchar(200) NOT NULL,
  `net_salary` int(11) NOT NULL,
  `status` varchar(100) NOT NULL,
  `month` varchar(200) NOT NULL,
  `year` varchar(200) NOT NULL,
  `payment_mode` varchar(200) NOT NULL,
  `payment_date` date NOT NULL,
  `remark` varchar(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: staff_roles
#

DROP TABLE IF EXISTS `staff_roles`;

CREATE TABLE `staff_roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` int(11) DEFAULT NULL,
  `staff_id` int(11) DEFAULT NULL,
  `is_active` int(11) DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `role_id` (`role_id`),
  KEY `staff_id` (`staff_id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;

INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (1, 7, 1, 0, '2022-08-11 13:24:34', '0000-00-00 00:00:00');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (4, 2, 4, 0, '2023-02-03 20:04:08', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (5, 2, 5, 0, '2023-02-03 20:06:21', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (6, 2, 6, 0, '2023-02-10 17:53:20', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (7, 2, 7, 0, '2023-02-10 17:57:10', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (8, 1, 8, 0, '2024-03-15 12:05:33', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (9, 2, 9, 0, '2023-02-10 18:01:41', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (10, 2, 10, 0, '2023-02-10 18:05:01', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (11, 2, 11, 0, '2023-02-10 18:10:29', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (12, 2, 12, 0, '2023-02-10 18:15:16', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (13, 2, 13, 0, '2023-02-14 20:00:11', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (14, 2, 14, 0, '2023-02-10 18:32:26', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (15, 2, 15, 0, '2023-02-10 18:35:54', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (16, 1, 16, 0, '2023-02-10 18:40:08', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (17, 1, 17, 0, '2023-02-10 18:44:19', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (18, 1, 18, 0, '2023-02-10 18:48:06', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (19, 1, 19, 0, '2023-02-10 18:56:07', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (20, 1, 20, 0, '2023-02-10 19:01:26', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (21, 1, 21, 0, '2023-02-10 19:05:18', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (22, 1, 22, 0, '2023-02-10 19:07:48', '');
INSERT INTO `staff_roles` (`id`, `role_id`, `staff_id`, `is_active`, `created_at`, `updated_at`) VALUES (24, 7, 24, 0, '2023-04-19 08:07:38', '');


#
# TABLE STRUCTURE FOR: staff_timeline
#

DROP TABLE IF EXISTS `staff_timeline`;

CREATE TABLE `staff_timeline` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `staff_id` int(11) NOT NULL,
  `title` varchar(200) NOT NULL,
  `timeline_date` date NOT NULL,
  `description` varchar(300) NOT NULL,
  `document` varchar(200) NOT NULL,
  `status` varchar(200) NOT NULL,
  `date` date NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: student_attendences
#

DROP TABLE IF EXISTS `student_attendences`;

CREATE TABLE `student_attendences` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_session_id` int(11) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `attendence_type_id` int(11) DEFAULT NULL,
  `remark` varchar(200) NOT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `student_session_id` (`student_session_id`),
  KEY `attendence_type_id` (`attendence_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: student_doc
#

DROP TABLE IF EXISTS `student_doc`;

CREATE TABLE `student_doc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) DEFAULT NULL,
  `title` varchar(200) DEFAULT NULL,
  `doc` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: student_fees
#

DROP TABLE IF EXISTS `student_fees`;

CREATE TABLE `student_fees` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_session_id` int(11) DEFAULT NULL,
  `feemaster_id` int(11) DEFAULT NULL,
  `amount` float(10,2) DEFAULT NULL,
  `amount_discount` float(10,2) NOT NULL,
  `amount_fine` float(10,2) NOT NULL DEFAULT '0.00',
  `description` text,
  `date` varchar(50) NOT NULL,
  `payment_mode` varchar(50) NOT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: student_fees_deposite
#

DROP TABLE IF EXISTS `student_fees_deposite`;

CREATE TABLE `student_fees_deposite` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_fees_master_id` int(11) DEFAULT NULL,
  `student_group_id` int(11) NOT NULL,
  `fee_groups_feetype_id` int(11) DEFAULT NULL,
  `amount_detail` text,
  `receipt` varchar(20) NOT NULL,
  `is_active` varchar(10) NOT NULL DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `invoice` varchar(400) NOT NULL,
  `transfer` int(11) NOT NULL,
  `cashbook` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `student_fees_master_id` (`student_fees_master_id`),
  KEY `fee_groups_feetype_id` (`fee_groups_feetype_id`)
) ENGINE=InnoDB AUTO_INCREMENT=160 DEFAULT CHARSET=utf8;

INSERT INTO `student_fees_deposite` (`id`, `student_fees_master_id`, `student_group_id`, `fee_groups_feetype_id`, `amount_detail`, `receipt`, `is_active`, `created_at`, `invoice`, `transfer`, `cashbook`) VALUES (147, 182, 0, 20, '{\"1\":{\"amount\":\"30\",\"date\":\"2024-01-25\",\"amount_discount\":\"0\",\"amount_fine\":\"0\",\"description\":\"\",\"payment_mode\":\"USD\",\"invoice\":\"182\",\"inv_no\":1}}', 'REC0001', 'no', '2024-01-25 09:34:04', '182', 0, 0);
INSERT INTO `student_fees_deposite` (`id`, `student_fees_master_id`, `student_group_id`, `fee_groups_feetype_id`, `amount_detail`, `receipt`, `is_active`, `created_at`, `invoice`, `transfer`, `cashbook`) VALUES (148, 182, 0, 21, '{\"1\":{\"amount\":\"50\",\"date\":\"2024-01-25\",\"amount_discount\":\"0\",\"amount_fine\":\"0\",\"description\":\"\",\"payment_mode\":\"USD\",\"invoice\":\"182\",\"inv_no\":1}}', 'REC0002', 'no', '2024-01-25 09:34:13', '182', 0, 0);
INSERT INTO `student_fees_deposite` (`id`, `student_fees_master_id`, `student_group_id`, `fee_groups_feetype_id`, `amount_detail`, `receipt`, `is_active`, `created_at`, `invoice`, `transfer`, `cashbook`) VALUES (149, 182, 0, 22, '{\"1\":{\"amount\":\"1200000\",\"date\":\"2024-01-25\",\"amount_discount\":\"0\",\"amount_fine\":\"0\",\"description\":\"Part Payment of Fees Grade\",\"payment_mode\":\"RTGS\",\"invoice\":\"182\",\"inv_no\":1}}', 'REC0003', 'no', '2024-01-25 09:34:48', '182', 0, 0);
INSERT INTO `student_fees_deposite` (`id`, `student_fees_master_id`, `student_group_id`, `fee_groups_feetype_id`, `amount_detail`, `receipt`, `is_active`, `created_at`, `invoice`, `transfer`, `cashbook`) VALUES (150, 209, 0, 20, '{\"1\":{\"amount\":\"30\",\"date\":\"2024-01-30\",\"amount_discount\":\"0\",\"amount_fine\":\"0\",\"description\":\"\",\"payment_mode\":\"USD\",\"invoice\":\"209\",\"inv_no\":1}}', 'REC0004', 'no', '2024-01-31 08:57:33', '209', 1, 0);
INSERT INTO `student_fees_deposite` (`id`, `student_fees_master_id`, `student_group_id`, `fee_groups_feetype_id`, `amount_detail`, `receipt`, `is_active`, `created_at`, `invoice`, `transfer`, `cashbook`) VALUES (151, 209, 0, 21, '{\"1\":{\"amount\":\"50\",\"date\":\"2024-01-30\",\"amount_discount\":\"0\",\"amount_fine\":\"0\",\"description\":\"\",\"payment_mode\":\"USD\",\"invoice\":\"209\",\"inv_no\":1}}', 'REC0005', 'no', '2024-01-31 08:57:33', '209', 1, 0);
INSERT INTO `student_fees_deposite` (`id`, `student_fees_master_id`, `student_group_id`, `fee_groups_feetype_id`, `amount_detail`, `receipt`, `is_active`, `created_at`, `invoice`, `transfer`, `cashbook`) VALUES (152, 209, 0, 22, '{\"1\":{\"amount\":\"100\",\"date\":\"2024-01-30\",\"amount_discount\":\"0\",\"amount_fine\":\"0\",\"description\":\"\",\"payment_mode\":\"USD\",\"invoice\":\"209\",\"inv_no\":1},\"2\":{\"amount\":\"150\",\"date\":\"2024-01-31\",\"amount_discount\":\"0\",\"amount_fine\":\"0\",\"description\":\"\",\"payment_mode\":\"USD\",\"invoice\":\"209\",\"inv_no\":2}}', 'REC0007', 'no', '2024-01-31 08:57:33', '209', 1, 0);
INSERT INTO `student_fees_deposite` (`id`, `student_fees_master_id`, `student_group_id`, `fee_groups_feetype_id`, `amount_detail`, `receipt`, `is_active`, `created_at`, `invoice`, `transfer`, `cashbook`) VALUES (153, 271, 0, 20, '{\"1\":{\"amount\":\"50\",\"date\":\"2024-02-08\",\"amount_discount\":\"0\",\"amount_fine\":\"0\",\"description\":\"\",\"payment_mode\":\"USD\",\"invoice\":\"271\",\"inv_no\":1}}', 'REC0007', 'no', '2024-02-08 22:25:06', '271', 1, 0);
INSERT INTO `student_fees_deposite` (`id`, `student_fees_master_id`, `student_group_id`, `fee_groups_feetype_id`, `amount_detail`, `receipt`, `is_active`, `created_at`, `invoice`, `transfer`, `cashbook`) VALUES (154, 271, 0, 22, '{\"1\":{\"amount\":\"200\",\"date\":\"2024-02-08\",\"amount_discount\":\"0\",\"amount_fine\":\"0\",\"description\":\"\",\"payment_mode\":\"USD\",\"invoice\":\"271\",\"inv_no\":1}}', 'REC0008', 'no', '2024-02-08 22:25:06', '271', 1, 0);
INSERT INTO `student_fees_deposite` (`id`, `student_fees_master_id`, `student_group_id`, `fee_groups_feetype_id`, `amount_detail`, `receipt`, `is_active`, `created_at`, `invoice`, `transfer`, `cashbook`) VALUES (155, 271, 0, 57, '{\"1\":{\"amount\":\"100\",\"date\":\"2024-02-08\",\"amount_discount\":\"0\",\"amount_fine\":\"0\",\"description\":\"Partial paid fees\",\"payment_mode\":\"USD\",\"invoice\":\"271\",\"inv_no\":1}}', 'REC0009', 'no', '2024-02-08 22:25:06', '271', 1, 0);
INSERT INTO `student_fees_deposite` (`id`, `student_fees_master_id`, `student_group_id`, `fee_groups_feetype_id`, `amount_detail`, `receipt`, `is_active`, `created_at`, `invoice`, `transfer`, `cashbook`) VALUES (156, 273, 0, 20, '{\"1\":{\"amount\":\"100\",\"date\":\"2024-03-15\",\"amount_discount\":\"0\",\"amount_fine\":\"0\",\"description\":\"\",\"payment_mode\":\"USD\",\"invoice\":\"273\",\"inv_no\":1}}', 'REC0010', 'no', '2024-03-15 12:39:16', '273', 1, 0);
INSERT INTO `student_fees_deposite` (`id`, `student_fees_master_id`, `student_group_id`, `fee_groups_feetype_id`, `amount_detail`, `receipt`, `is_active`, `created_at`, `invoice`, `transfer`, `cashbook`) VALUES (157, 273, 0, 22, '{\"1\":{\"amount\":\"200\",\"date\":\"2024-03-15\",\"amount_discount\":\"0\",\"amount_fine\":\"0\",\"description\":\"\",\"payment_mode\":\"USD\",\"invoice\":\"273\",\"inv_no\":1}}', 'REC0011', 'no', '2024-03-15 12:39:16', '273', 1, 0);
INSERT INTO `student_fees_deposite` (`id`, `student_fees_master_id`, `student_group_id`, `fee_groups_feetype_id`, `amount_detail`, `receipt`, `is_active`, `created_at`, `invoice`, `transfer`, `cashbook`) VALUES (158, 273, 0, 57, '{\"1\":{\"amount\":\"400\",\"date\":\"2024-03-15\",\"amount_discount\":\"0\",\"amount_fine\":\"0\",\"description\":\"\",\"payment_mode\":\"USD\",\"invoice\":\"273\",\"inv_no\":1}}', 'REC0012', 'no', '2024-03-15 12:39:16', '273', 1, 0);
INSERT INTO `student_fees_deposite` (`id`, `student_fees_master_id`, `student_group_id`, `fee_groups_feetype_id`, `amount_detail`, `receipt`, `is_active`, `created_at`, `invoice`, `transfer`, `cashbook`) VALUES (159, 275, 0, 20, '{\"1\":{\"amount\":\"100\",\"date\":\"2024-07-08\",\"amount_discount\":\"0\",\"amount_fine\":\"0\",\"description\":\"\",\"payment_mode\":\"USD\",\"invoice\":\"275\",\"inv_no\":1}}', 'REC0013', 'no', '2024-07-08 12:27:42', '275', 0, 0);


#
# TABLE STRUCTURE FOR: student_fees_discounts
#

DROP TABLE IF EXISTS `student_fees_discounts`;

CREATE TABLE `student_fees_discounts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_session_id` int(11) DEFAULT NULL,
  `fees_discount_id` int(11) DEFAULT NULL,
  `status` varchar(20) DEFAULT 'assigned',
  `payment_id` varchar(50) DEFAULT NULL,
  `description` text,
  `is_active` varchar(10) NOT NULL DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `student_session_id` (`student_session_id`),
  KEY `fees_discount_id` (`fees_discount_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: student_fees_master
#

DROP TABLE IF EXISTS `student_fees_master`;

CREATE TABLE `student_fees_master` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `is_system` int(1) NOT NULL DEFAULT '0',
  `student_session_id` int(11) DEFAULT NULL,
  `fee_session_group_id` int(11) DEFAULT NULL,
  `amount` float(10,2) DEFAULT '0.00',
  `is_active` varchar(10) NOT NULL DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `invoice` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `student_session_id` (`student_session_id`),
  KEY `fee_session_group_id` (`fee_session_group_id`),
  KEY `invoice` (`invoice`)
) ENGINE=InnoDB AUTO_INCREMENT=285 DEFAULT CHARSET=utf8;

INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (181, 0, 59, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (182, 0, 196, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (183, 0, 197, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (184, 0, 198, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (185, 0, 199, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (186, 0, 200, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (187, 0, 201, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (188, 0, 202, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (189, 0, 203, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (190, 0, 204, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (191, 0, 205, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (192, 0, 206, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (193, 0, 207, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (194, 0, 208, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (195, 0, 209, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (196, 0, 210, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (197, 0, 211, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (198, 0, 212, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (199, 0, 213, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (200, 0, 214, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (201, 0, 215, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (202, 0, 216, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (203, 0, 217, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (204, 0, 218, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (205, 0, 219, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (206, 0, 220, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (207, 0, 221, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (208, 0, 222, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (209, 0, 227, 4, '0.00', 'no', '2024-01-25 09:32:21', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (210, 0, 27, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (211, 0, 28, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (212, 0, 29, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (213, 0, 30, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (214, 0, 31, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (215, 0, 32, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (216, 0, 33, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (217, 0, 34, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (218, 0, 35, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (219, 0, 36, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (220, 0, 37, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (221, 0, 38, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (222, 0, 39, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (223, 0, 40, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (224, 0, 41, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (225, 0, 42, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (226, 0, 129, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (227, 0, 130, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (228, 0, 131, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (229, 0, 132, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (230, 0, 133, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (231, 0, 134, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (232, 0, 135, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (233, 0, 136, 33, '0.00', 'no', '2024-01-30 16:20:44', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (234, 0, 27, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (235, 0, 28, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (236, 0, 29, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (237, 0, 30, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (238, 0, 31, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (239, 0, 32, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (240, 0, 33, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (241, 0, 34, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (242, 0, 35, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (243, 0, 36, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (244, 0, 37, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (245, 0, 38, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (246, 0, 39, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (247, 0, 40, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (248, 0, 41, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (249, 0, 42, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (250, 0, 129, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (251, 0, 130, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (252, 0, 131, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (253, 0, 132, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (254, 0, 133, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (255, 0, 134, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (256, 0, 135, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (257, 0, 136, 5, '0.00', 'no', '2024-01-30 16:22:50', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (271, 0, 271, 4, '0.00', 'no', '2024-02-08 22:13:53', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (272, 0, 272, 4, '0.00', 'no', '2024-03-11 09:07:43', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (273, 0, 273, 4, '0.00', 'no', '2024-03-15 12:24:09', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (274, 0, 274, 4, '0.00', 'no', '2024-03-15 12:24:09', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (275, 0, 238, 4, '0.00', 'no', '2024-03-15 12:58:12', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (276, 0, 239, 4, '0.00', 'no', '2024-03-15 12:58:12', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (277, 0, 240, 4, '0.00', 'no', '2024-03-15 12:58:12', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (278, 0, 241, 4, '0.00', 'no', '2024-03-15 12:58:12', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (279, 0, 242, 4, '0.00', 'no', '2024-03-15 12:58:12', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (280, 0, 243, 4, '0.00', 'no', '2024-03-15 12:58:12', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (281, 0, 244, 4, '0.00', 'no', '2024-03-15 12:58:12', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (282, 0, 245, 4, '0.00', 'no', '2024-03-15 12:58:12', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (283, 0, 246, 4, '0.00', 'no', '2024-03-15 12:58:12', '');
INSERT INTO `student_fees_master` (`id`, `is_system`, `student_session_id`, `fee_session_group_id`, `amount`, `is_active`, `created_at`, `invoice`) VALUES (284, 0, 247, 4, '0.00', 'no', '2024-03-15 12:58:12', '');


#
# TABLE STRUCTURE FOR: student_session
#

DROP TABLE IF EXISTS `student_session`;

CREATE TABLE `student_session` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `session_id` int(11) DEFAULT NULL,
  `student_id` int(11) DEFAULT NULL,
  `class_id` int(11) DEFAULT NULL,
  `section_id` int(11) DEFAULT NULL,
  `route_id` int(11) NOT NULL,
  `hostel_room_id` int(11) NOT NULL,
  `vehroute_id` int(10) DEFAULT NULL,
  `transport_fees` float(10,2) NOT NULL DEFAULT '0.00',
  `fees_discount` float(10,2) NOT NULL DEFAULT '0.00',
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=276 DEFAULT CHARSET=utf8;

INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (6, 14, 6, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-03 20:19:23', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (7, 14, 7, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 19:50:58', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (8, 14, 8, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 20:08:53', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (9, 14, 9, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 20:14:51', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (10, 14, 10, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 20:25:16', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (11, 14, 11, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 20:27:32', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (12, 14, 12, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 20:31:12', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (13, 14, 13, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 20:33:44', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (14, 14, 14, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 20:37:25', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (15, 14, 15, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 20:40:23', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (16, 14, 16, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 21:52:15', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (17, 14, 17, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 21:57:02', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (18, 14, 18, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 22:00:04', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (19, 14, 19, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 22:04:57', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (20, 14, 20, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 22:07:05', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (21, 14, 21, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 22:08:52', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (22, 14, 22, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 22:18:34', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (23, 14, 23, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 22:30:24', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (24, 14, 24, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 22:33:14', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (25, 14, 25, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 22:35:46', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (26, 14, 26, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-06 22:37:43', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (27, 14, 27, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-07 17:01:21', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (28, 14, 28, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-07 17:06:07', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (29, 14, 29, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-07 17:10:14', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (30, 14, 30, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-07 17:14:01', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (31, 14, 31, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-07 17:20:17', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (32, 14, 32, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-07 21:34:02', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (33, 14, 33, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-08 15:55:27', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (34, 14, 34, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-08 16:15:28', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (35, 14, 35, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-08 16:20:05', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (36, 14, 36, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-08 16:32:38', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (37, 14, 37, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-08 16:45:43', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (38, 14, 38, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-08 16:50:49', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (39, 14, 39, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-08 17:16:00', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (40, 14, 40, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-08 17:25:27', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (41, 14, 41, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-08 17:32:10', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (42, 14, 42, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-08 17:52:40', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (43, 14, 43, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-09 18:57:09', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (44, 14, 44, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-09 19:00:05', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (45, 14, 45, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-09 19:01:48', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (46, 14, 46, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-09 19:08:49', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (47, 14, 47, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-09 19:10:28', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (48, 14, 48, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-09 19:13:19', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (49, 14, 49, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-09 19:39:40', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (50, 14, 50, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-09 19:41:56', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (51, 14, 51, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-09 19:44:08', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (52, 14, 52, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-09 19:47:55', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (53, 14, 53, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-09 19:52:42', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (54, 14, 54, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-09 20:02:59', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (55, 14, 55, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-10 17:08:29', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (56, 14, 56, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-10 17:12:23', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (57, 14, 57, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-10 17:19:27', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (58, 14, 58, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-10 17:21:23', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (59, 14, 59, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-03-06 19:05:21', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (60, 14, 60, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 05:36:07', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (61, 14, 61, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 05:49:51', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (62, 14, 62, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 05:59:30', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (63, 14, 63, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 06:09:54', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (64, 14, 64, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 06:16:19', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (65, 14, 65, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 06:23:35', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (66, 14, 66, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 06:30:18', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (67, 14, 67, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 06:36:57', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (68, 14, 68, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 06:45:10', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (69, 14, 69, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 06:51:07', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (70, 14, 70, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 06:57:48', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (71, 14, 71, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 07:06:34', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (72, 14, 72, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 07:23:18', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (73, 14, 73, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 07:27:09', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (74, 14, 74, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 07:32:08', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (75, 14, 75, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 07:39:59', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (76, 14, 76, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 07:45:01', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (77, 14, 77, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 07:49:54', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (78, 14, 78, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 07:53:55', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (79, 14, 79, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 07:57:35', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (80, 14, 80, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 20:49:32', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (81, 14, 81, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 20:53:41', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (82, 14, 82, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 20:57:36', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (83, 14, 83, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 20:58:15', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (84, 14, 84, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 21:06:35', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (85, 14, 85, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 21:11:17', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (86, 14, 86, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 21:16:57', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (87, 14, 87, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 21:22:02', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (88, 14, 88, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 21:26:39', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (89, 14, 89, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 21:47:18', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (90, 14, 90, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 21:50:29', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (91, 14, 91, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 21:55:04', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (92, 14, 92, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 22:00:06', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (93, 14, 93, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 22:03:18', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (94, 14, 94, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 22:07:08', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (95, 14, 95, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 22:15:34', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (96, 14, 96, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 22:19:41', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (97, 14, 97, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 22:25:30', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (98, 14, 98, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 22:34:12', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (99, 14, 99, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 22:43:35', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (100, 14, 100, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 22:49:32', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (101, 14, 101, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 22:54:06', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (102, 14, 102, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 22:56:52', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (103, 14, 103, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 23:00:56', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (104, 14, 104, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 23:04:21', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (105, 14, 105, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:33:28', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (106, 14, 106, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 23:17:19', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (107, 14, 107, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 23:23:27', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (108, 14, 108, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 23:27:39', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (109, 14, 109, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:33:42', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (110, 14, 110, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 23:46:57', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (111, 14, 111, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 23:54:05', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (112, 14, 112, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-12 23:57:35', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (113, 14, 113, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 00:02:32', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (114, 14, 114, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 00:08:10', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (115, 14, 115, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 00:19:59', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (116, 14, 116, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 00:25:34', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (117, 14, 117, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 00:29:29', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (118, 14, 118, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 00:33:04', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (119, 14, 119, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 00:35:57', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (120, 14, 120, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 00:39:27', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (121, 14, 121, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 00:43:06', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (122, 14, 122, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 00:57:13', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (123, 14, 123, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 01:15:18', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (124, 14, 124, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 01:37:48', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (125, 14, 125, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 01:41:22', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (126, 14, 126, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 01:58:24', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (127, 14, 127, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 02:13:45', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (128, 14, 128, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 02:25:52', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (129, 14, 129, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 03:41:34', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (130, 14, 130, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 03:44:13', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (131, 14, 131, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 03:47:24', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (132, 14, 132, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 03:50:08', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (133, 14, 133, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 03:53:09', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (134, 14, 134, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 03:56:20', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (135, 14, 135, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 04:00:53', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (136, 14, 136, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 04:03:57', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (137, 14, 137, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 17:02:01', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (138, 14, 138, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 17:04:49', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (139, 14, 139, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 17:09:40', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (140, 14, 140, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 17:14:13', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (141, 14, 141, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 17:16:01', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (142, 14, 142, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 17:31:12', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (143, 14, 143, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 18:06:37', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (144, 14, 144, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 18:23:24', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (145, 14, 145, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 18:26:40', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (146, 14, 146, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 18:28:51', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (147, 14, 147, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 18:32:04', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (148, 14, 148, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 19:00:01', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (149, 14, 149, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 19:16:27', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (150, 14, 150, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 19:25:19', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (151, 14, 151, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 19:29:32', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (152, 14, 152, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 19:33:01', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (153, 14, 153, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 19:38:08', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (154, 14, 154, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 19:59:12', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (155, 14, 155, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 20:06:19', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (156, 14, 156, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 20:15:12', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (157, 14, 157, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 20:20:33', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (158, 14, 158, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 20:24:56', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (159, 14, 159, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 20:28:06', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (160, 14, 160, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 20:32:09', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (161, 14, 161, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 20:38:58', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (162, 14, 162, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 20:47:34', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (163, 14, 163, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 20:59:42', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (164, 14, 164, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 21:08:50', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (165, 14, 165, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 21:16:42', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (166, 14, 166, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-13 21:21:04', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (167, 14, 167, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 03:40:27', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (168, 14, 168, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 04:10:47', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (169, 14, 169, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 04:22:15', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (170, 14, 170, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 04:24:54', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (171, 14, 171, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 04:34:16', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (172, 14, 172, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 04:36:19', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (173, 14, 173, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 04:39:43', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (174, 14, 174, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 04:41:24', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (175, 14, 175, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 16:44:02', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (176, 14, 176, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 16:47:05', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (177, 14, 177, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 16:49:32', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (178, 14, 178, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 16:52:04', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (179, 14, 179, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 16:54:25', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (180, 14, 180, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 17:00:19', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (181, 14, 181, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 17:14:29', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (182, 14, 182, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 17:16:43', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (183, 14, 183, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 17:18:51', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (184, 14, 184, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 17:34:04', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (185, 14, 185, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 17:40:33', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (186, 14, 186, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 17:45:04', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (187, 14, 187, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 17:46:38', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (188, 14, 188, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 18:01:35', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (189, 14, 189, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 18:30:57', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (190, 14, 190, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 18:34:09', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (191, 14, 191, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 19:25:35', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (192, 14, 192, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 19:27:14', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (193, 14, 193, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 19:33:15', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (194, 14, 194, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 19:36:55', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (195, 14, 195, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-14 19:37:59', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (196, 14, 196, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 16:56:18', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (197, 14, 197, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 17:04:20', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (198, 14, 198, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 17:26:54', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (199, 14, 199, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 17:31:58', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (200, 14, 200, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 17:38:05', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (201, 14, 201, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 18:23:23', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (202, 14, 202, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 18:30:03', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (203, 14, 203, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 19:23:26', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (204, 14, 204, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 19:40:00', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (205, 14, 205, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:29:22', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (206, 14, 206, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 19:46:42', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (207, 14, 207, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 19:49:44', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (208, 14, 208, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 19:55:38', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (209, 14, 209, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:00:20', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (210, 14, 210, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:02:27', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (211, 14, 211, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:03:51', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (212, 14, 212, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:05:30', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (213, 14, 213, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:06:46', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (214, 14, 214, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:08:40', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (215, 14, 215, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:10:14', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (216, 14, 216, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:11:47', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (217, 14, 217, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:12:47', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (218, 14, 218, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:16:40', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (219, 14, 219, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:18:48', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (220, 14, 220, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:20:33', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (221, 14, 221, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:23:06', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (222, 14, 222, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:33:02', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (223, 14, 223, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:40:25', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (224, 14, 224, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-02-15 20:42:13', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (225, 14, 225, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-03-06 19:18:57', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (226, 14, 226, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2023-03-06 19:22:16', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (227, 14, 227, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-18 12:44:31', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (228, 14, 228, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-18 12:45:55', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (229, 14, 229, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-19 16:23:27', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (230, 14, 230, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-19 16:24:40', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (231, 14, 231, 25, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 12:33:50', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (232, 14, 232, 25, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 12:39:04', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (233, 14, 233, 25, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 12:41:28', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (234, 14, 234, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 12:44:57', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (235, 14, 235, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 12:47:17', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (236, 14, 236, 16, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 12:53:00', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (237, 14, 237, 17, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 12:57:07', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (238, 14, 238, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 13:02:06', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (239, 14, 239, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 13:04:50', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (240, 14, 240, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 13:08:41', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (241, 14, 241, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 13:12:47', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (242, 14, 242, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 13:18:29', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (243, 14, 243, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 13:21:15', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (244, 14, 244, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 13:31:53', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (245, 14, 245, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 14:08:21', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (246, 14, 246, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 14:18:23', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (247, 14, 247, 18, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 14:23:59', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (248, 14, 248, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 14:40:56', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (249, 14, 249, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 14:45:27', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (250, 14, 250, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 15:02:17', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (251, 14, 251, 19, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 15:07:42', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (252, 14, 252, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 15:17:26', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (253, 14, 253, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 15:22:02', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (254, 14, 254, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 15:25:12', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (255, 14, 255, 20, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 15:29:42', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (256, 14, 256, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 15:35:29', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (257, 14, 257, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 15:39:13', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (258, 14, 258, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 15:43:38', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (259, 14, 259, 21, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 15:48:29', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (260, 14, 260, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 15:52:53', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (261, 14, 261, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 15:57:55', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (262, 14, 262, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 16:06:06', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (263, 14, 263, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 16:10:32', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (264, 14, 264, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 16:19:22', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (265, 14, 265, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 16:24:56', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (266, 14, 266, 22, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 16:33:27', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (267, 14, 267, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 16:38:25', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (268, 14, 268, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 16:41:40', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (269, 14, 269, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 16:44:46', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (270, 14, 270, 23, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-01-31 16:47:08', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (271, 14, 271, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-02-08 22:10:19', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (272, 14, 272, 26, 16, 0, 0, NULL, '0.00', '0.00', 'no', '2024-03-05 12:39:32', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (273, 14, 273, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-03-15 11:46:00', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (274, 14, 274, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-03-15 11:51:14', '');
INSERT INTO `student_session` (`id`, `session_id`, `student_id`, `class_id`, `section_id`, `route_id`, `hostel_room_id`, `vehroute_id`, `transport_fees`, `fees_discount`, `is_active`, `created_at`, `updated_at`) VALUES (275, 14, 275, 24, 14, 0, 0, NULL, '0.00', '0.00', 'no', '2024-06-14 12:10:23', '');


#
# TABLE STRUCTURE FOR: student_sibling
#

DROP TABLE IF EXISTS `student_sibling`;

CREATE TABLE `student_sibling` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) DEFAULT NULL,
  `sibling_student_id` int(11) DEFAULT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: student_sport
#

DROP TABLE IF EXISTS `student_sport`;

CREATE TABLE `student_sport` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(100) NOT NULL,
  `sportcode` varchar(100) NOT NULL,
  `student_id` varchar(100) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: student_timeline
#

DROP TABLE IF EXISTS `student_timeline`;

CREATE TABLE `student_timeline` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) NOT NULL,
  `title` varchar(200) NOT NULL,
  `timeline_date` date NOT NULL,
  `description` varchar(200) NOT NULL,
  `document` varchar(200) NOT NULL,
  `status` varchar(200) NOT NULL,
  `date` date NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: student_transport_fees
#

DROP TABLE IF EXISTS `student_transport_fees`;

CREATE TABLE `student_transport_fees` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_session_id` int(11) DEFAULT NULL,
  `amount` float(10,2) DEFAULT NULL,
  `amount_discount` float(10,2) NOT NULL,
  `amount_fine` float(10,2) NOT NULL DEFAULT '0.00',
  `description` text,
  `date` varchar(50) NOT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `payment_mode` varchar(50) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: students
#

DROP TABLE IF EXISTS `students`;

CREATE TABLE `students` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `admission_no` varchar(100) DEFAULT NULL,
  `roll_no` varchar(100) DEFAULT NULL,
  `admission_date` varchar(100) DEFAULT NULL,
  `firstname` varchar(100) DEFAULT NULL,
  `lastname` varchar(100) DEFAULT NULL,
  `rte` varchar(20) NOT NULL DEFAULT 'No',
  `image` varchar(100) DEFAULT NULL,
  `mobileno` varchar(100) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `city` varchar(100) DEFAULT NULL,
  `pincode` varchar(100) DEFAULT NULL,
  `religion` varchar(100) DEFAULT NULL,
  `cast` varchar(50) NOT NULL,
  `dob` varchar(100) DEFAULT NULL,
  `gender` varchar(100) DEFAULT NULL,
  `current_address` text,
  `permanent_address` text,
  `category_id` varchar(100) DEFAULT NULL,
  `route_id` int(11) NOT NULL,
  `school_house_id` int(11) NOT NULL,
  `blood_group` varchar(200) NOT NULL,
  `vehroute_id` int(11) NOT NULL,
  `hostel_room_id` int(11) NOT NULL,
  `adhar_no` varchar(100) DEFAULT NULL,
  `samagra_id` varchar(100) DEFAULT NULL,
  `bank_account_no` varchar(100) DEFAULT NULL,
  `bank_name` varchar(100) DEFAULT NULL,
  `ifsc_code` varchar(100) DEFAULT NULL,
  `guardian_is` varchar(100) NOT NULL,
  `father_name` varchar(100) DEFAULT NULL,
  `father_phone` varchar(100) DEFAULT NULL,
  `father_occupation` varchar(100) DEFAULT NULL,
  `mother_name` varchar(100) DEFAULT NULL,
  `mother_phone` varchar(100) DEFAULT NULL,
  `mother_occupation` varchar(100) DEFAULT NULL,
  `guardian_name` varchar(100) DEFAULT NULL,
  `guardian_relation` varchar(100) DEFAULT NULL,
  `guardian_phone` varchar(100) DEFAULT NULL,
  `guardian_occupation` varchar(150) NOT NULL,
  `guardian_address` text,
  `guardian_email` varchar(100) NOT NULL,
  `father_pic` varchar(200) NOT NULL,
  `mother_pic` varchar(200) NOT NULL,
  `guardian_pic` varchar(200) NOT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `previous_school` text,
  `height` varchar(100) NOT NULL,
  `weight` varchar(100) NOT NULL,
  `measurement_date` date NOT NULL,
  `app_key` text,
  `parent_app_key` text,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  `disable_at` date NOT NULL,
  `note` varchar(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=276 DEFAULT CHARSET=utf8;

INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (231, 430, 'SM24TD001', '', '2024-01-31', 'Gianne Tawana', 'Matanda', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Chriastian', '', '2019-11-08', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'George Matanda', '0773213170', 'Buyer', 'Takudzwa Grace Masvikeni', '0784999809', '', 'George Matanda', 'Father', '0773213170', 'Buyer', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 12:33:50', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (232, 432, 'SM24TD002', '', '2024-01-31', 'Kiyane Tatenda', 'Mandaza', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2021-04-01', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Design Mandaza', '0772459561', 'IT Manager', 'Praise Mandaza', '0773603303', 'Agronomist', 'Design Mandaza', 'Father', '0772459561', 'IT Manager', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 12:39:04', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (233, 434, 'SM24TD003', '', '2024-01-31', 'Gianne', 'Bamu', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2021-04-11', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Jeremiah Bamu', '0773300921', 'Human Rights Lawyer', 'S Munyuki', '0772745456', 'Pharmacist', 'Jeremiah Bamu', 'Father', '0773300921', 'Human Rights Lawyer', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 12:41:28', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (234, 436, 'SM24ECDA001', '', '2024-01-31', 'Almor', 'Safeni', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2020-03-24', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Shepherd Safeni', '0773823095', 'Safeni Taxes', 'Happiness Amon ', '0774987749', '', 'Shepherd Safeni', 'Father', '0773823095', 'Safeni Taxes', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 12:44:57', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (235, 438, 'SM24ECDA002', '', '2024-01-31', 'Stanley Junior', 'Mateke', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2020-07-28', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Stanley Mateke', '0772683685', 'Director Ridgeview Car Rental', 'Lucy Mateke', '0773048083', '', 'Stanley Mateke', 'Father', '0772683685', 'Director Ridgeview Car Rental', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 12:47:17', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (236, 440, 'SM24ECDA003', '', '2024-01-31', 'Ameerah Atipaishe Refiwe', 'Mandivenga', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2020-05-20', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Godfrey Mandivenga', '0782637727', 'Stock Broker-Director(Assert-Wealth Management)', '', '', '', 'Godfrey Mandivenga', 'Father', '0782637727', 'Stock Broker-Director(Assert-Wealth Management)', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 12:53:00', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (237, 442, 'SM24ECDB001', '', '2024-01-31', 'Wayne', 'Mushore ', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2018-11-23', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Wellington Mushore', '0772919788', 'Electrician', 'Memory  Mupazviripo', '0772355698', 'Marketing Executive', 'Wellington Mushore', 'Father', '0772919788', 'Electrician', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 12:57:07', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (238, 444, 'SM24EG1001', '', '2024-01-31', 'Tanyaradzwa', 'Chivore', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2018-03-28', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Svinurai Dawn  Chivore', '0777141297', 'Lawyer', 'Memory Ngwaru', '0773652609', 'Accounts Clerk', 'Svinurai Dawn  Chivore', 'Father', '0777141297', 'Lawyer', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 13:02:06', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (239, 446, 'SM24G1002', '', '2024-01-31', 'Maitaishe', 'Dzumbunu Chifamba', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2017-09-02', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Owen Dzumbunu', '0773094003', 'Director', '', '', '', 'Owen Dzumbunu', 'Father', '0773094003', 'Director', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 13:04:50', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (240, 448, 'SM24G1004', '', '2024-01-31', 'Matipa  Mikah', 'Chitakune', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2018-02-01', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Ushe Chitakunye', '0772520909', 'Revenue Officer', 'Grace Chitakunye', '0772886290', 'PR Oficcer', 'Ushe Chitakunye', 'Father', '0772520909', 'Revenue Officer', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 13:10:05', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (241, 450, 'SM24G1003', '', '2024-01-31', 'Kuzivakwashe Taylor', 'Maturure', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2018-03-23', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'mother', '', '', '', 'Florence Mutembwa', '0772831117', 'Accountant', 'Florence Mutembwa', 'Mother', '0772831117', 'Accountant', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 13:12:47', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (242, 452, 'SM24G1005', '', '2024-01-31', 'Talia  Nissi', 'Jakata', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2018-09-05', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'T Jakata', '0772595236', 'RD Chief Chemistry', '', '', '', 'T Jakata', 'Father', '0772595236', 'RD Chief Chemistry', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 13:18:29', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (243, 454, 'SM24G1006', '', '2024-01-31', 'Macline', 'Karigona', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2017-12-07', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'S Karikoga', '0772481456', 'Mlambo', '', '', '', 'S Karikoga', 'Father', '0772481456', 'Mlambo', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 13:21:15', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (244, 456, 'SM24G1007', '', '2024-01-31', 'Presley A', 'Mafukidze', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2018-03-17', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Prince M  Mafukidze', '0772731671', 'IT Professional', 'Mellan  Zhakata', '0779193405', 'Admin Clerk', 'Prince M  Mafukidze', 'Father', '0772731671', 'IT Professional', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 13:31:53', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (245, 458, 'SM24G1008', '', '2024-01-31', 'Eleanor', 'Makowe', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2017-12-18', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'mother', '', '', '', 'Nomsa Makowe', '0775079097', 'Accountant', 'Nomsa Makowe', 'Mother', '0775079097', 'Accountant', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 14:08:21', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (246, 460, 'SM24G1009', '', '2024-01-31', 'Shammah N.M', 'Dzingira', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2018-11-30', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Samson Dzingira', '0776917850', 'Lawyer', 'Tembisiso  Moyo', '0783721178', '', 'Samson Dzingira', 'Father', '0776917850', 'Lawyer', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 14:18:23', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (247, 462, 'SM24G1010', '', '2024-01-31', 'Khloer J', 'Mateke', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2017-08-21', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Stanley Mateke', '0772683685', 'Director Ridgeview Car Rental', 'Lucy Mateke', '0773048083', '', 'Stanley Mateke', 'Father', '0772683685', 'Director Ridgeview Car Rental', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 14:23:59', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (248, 464, 'SM24G2001', '', '2024-01-31', 'Hannah', 'Ungeni', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2016-02-12', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Siyai Ungeni', '0774222902', 'IT Consultant', 'Sibongile S Chakabva', '0772366103', 'Nurse', 'Siyai Ungeni', 'Father', '0774222902', 'IT Consultant', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 14:40:56', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (249, 466, 'SM24G2002', '', '2024-01-31', 'Mclean A', 'Shindi', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2016-10-18', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Lloyd Shindi', '0774188298', 'Transport Business', 'Ellen Saungweme', '0773994209', 'Teacher', 'Lloyd Shindi', 'Father', '0774188298', 'Transport Business', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 14:45:27', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (250, 468, 'SM24G2003', '', '2024-01-31', 'Blessing', 'Katuka', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2017-09-03', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Blessing Katuka', '0771304138', 'Central Banker', '', '', '', 'Blessing Katuka', 'Father', '0771304138', 'Central Banker', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 15:02:17', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (251, 470, 'SM24G2004', '', '2024-01-31', 'Kundai Daniel', 'Rari', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2015-01-28', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'William Rari', '0772317489', 'Motor Spares', 'Shoorai Jinga ', '0775005836', 'Human Resource', 'William Rari', 'Father', '0772317489', 'Motor Spares', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 15:07:42', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (252, 472, 'SM24G3001', '', '2024-01-31', 'Jayde', 'Mupazviripo', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2015-10-30', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'mother', '', '', '', 'Memory Fainah Mupazviripo', '0772355698', 'Marketing Executive', 'Memory Fainah Mupazviripo', 'Mother', '0772355698', 'Marketing Executive', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 15:17:26', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (253, 474, 'SM24G3002', '', '2024-01-31', 'Alexis Petunia', 'Phiri', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2013-12-04', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'mother', '', '', '', 'Nomatter Koga Takawira', '0774389534', 'Legal Practitioner', 'Nomatter Koga Takawira', 'Mother', '0774389534', 'Legal Practitioner', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 15:22:02', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (254, 476, 'SM24G3003', '', '2024-01-31', 'Shield Kunashe', 'Masekesa', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2016-10-27', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'L.M Maseke', '0772993382', 'Self Employed', 'B.S Maseke', '0772563729', 'Self Employed', 'L.M Maseke', 'Father', '0772993382', 'Self Employed', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 15:25:12', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (255, 478, 'SM24G3004', '', '2024-01-31', 'Dwight Johnson', 'Jim', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2015-11-14', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Edmore Jim', '0772928728', 'Enterprenuer', 'Rosina Ndakaitei Muchenje', '0773555712', 'Plant Assistant', 'Edmore Jim', 'Father', '0772928728', 'Enterprenuer', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 15:29:42', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (256, 480, 'SM24G4001', '', '2024-01-31', 'Mutsa Eleanor', 'Chitakunye', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2015-06-26', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Ushe Chitakunye ', '0772520909', 'Revenue Officer', 'Grace Chitakunye', '0072886290', 'PR Officer', 'Ushe Chitakunye', 'Father', '0772520909', 'Revenue Officer', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 15:35:29', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (257, 482, 'SM24G4002', '', '2024-01-31', 'Kuzivakwashe', 'Rari', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2017-02-06', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'William Rari', '0772317489 / 07719317489', 'Motor Spares', 'Shoorai Jinga', '0775005836M / 0719005836', 'Human Resource Officer', 'William Rari', 'Father', '0772317489 / 07719317489', 'Motor Spares', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 15:39:13', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (258, 484, 'SM24G4003', '', '2024-01-31', 'Mufarowashe Joshua', 'Ngwerume', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2014-05-21', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Allen Ngwerume', '0773290132', 'Workshop Director', 'Tendai Bvuma ', '0773096912', '', 'Allen Ngwerume', 'Father', '0773290132', 'Workshop Director', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 15:43:38', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (259, 486, 'SM24G4004', '', '2024-01-31', 'Prince', 'Mafukidze', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2014-05-30', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Prince M Mafukidze', '0772731671', 'IT Professional', 'Millan Zhakata', '0779193404', 'Admin Clerk ', 'Prince M Mafukidze', 'Father', '0772731671', 'IT Professional', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 15:48:29', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (260, 488, 'SM24G5001', '', '2024-01-31', 'Daiwik', 'Nyamuchengwa', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2014-04-26', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Farai Nyamuchengwa', '0772368967', 'Finance Manager', 'Plaxedes', '0774040671', 'Accountant', 'Farai Nyamuchengwa', 'Father', '0772368967', 'Finance Manager', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 15:52:53', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (261, 490, 'SM24G5002', '', '2024-01-31', 'Deene M.A', 'Katuka', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2015-01-26', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Blessing Katuka', '0773681158', 'Central Banker', '', '', '', 'Blessing Katuka', 'Father', '0773681158', 'Central Banker', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 15:57:55', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (262, 492, 'SM24G5003', '', '2024-01-31', 'Micah  T', 'Kangwara', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2014-07-03', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Brian Kangawara', '0772331980', 'Compliance Officer', 'Eugene Farai Mutengezanwa', '0772444241', '', 'Brian Kangawara', 'Father', '0772331980', 'Compliance Officer', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 16:06:06', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (263, 494, 'SM24G5004', '', '2024-01-31', 'Makanaka', 'Karikoga', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2013-10-31', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'S Karikoga', '0772481456 / 07141000070', 'Plumber', '', '', '', 'S Karikoga', 'Father', '0772481456 / 07141000070', 'Plumber', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 16:10:32', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (264, 496, 'SM24G5005', '', '2024-01-31', 'Tatenda Juniour', 'Muzirwa', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2013-04-26', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Tatenda Muzirwa', '0779560264', 'SE', '', '', '', 'Tatenda Muzirwa', 'Father', '0779560264', 'SE', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 16:19:22', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (265, 498, 'SM24G5006', '', '2024-01-31', 'Bongani T', 'Mnyulwa', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2014-04-17', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'mother', '', '', '', 'Nomsa Makowe', '0771698668', 'Accountant', 'Nomsa Makowe', 'Mother', '0771698668', 'Accountant', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 16:24:56', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (266, 500, 'SM24G5007', '', '2024-01-31', 'Natalie', 'Matete', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2013-12-24', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Stanley Mateke', '0772683685', 'Director Ridgeview Car Rental', 'Lucy', '0773048083', '', 'Stanley Mateke', 'Father', '0772683685', 'Director Ridgeview Car Rental', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 16:33:27', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (267, 502, 'SM24G6001', '', '2024-01-31', 'Mclloyd Nenyasha', 'Shindi', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2013-05-03', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Lloyd Shindi', '0774188298', 'Transport Business', 'Ellen Saungweme', '0773994209', 'Transport Business', 'Lloyd Shindi', 'Father', '0774188298', 'Transport Business', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 16:38:25', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (268, 504, 'SM24G6002', '', '2024-01-31', 'Natalie', 'Zeshangwe', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2013-10-27', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Wellington Zeshangwe', '0774078354 / 0772 189 598', 'Insurance Underwrighter', '', '', '', 'Wellington Zeshangwe', 'Father', '0774078354 / 0772 189 598', 'Insurance Underwrighter', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 16:41:40', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (269, 506, 'SM24G6003', '', '2024-01-31', 'Tendai', 'Mutandwa', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2012-06-11', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'mother', '', '', '', 'Bridget Mutandwa', '0772822535', 'IT Consultant', 'Bridget Mutandwa', 'Mother', '0772822535', 'IT Consultant', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 16:44:46', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (270, 508, 'SM24G6004', '', '2024-01-31', 'Tavonga Nathan', 'Takaridzwa', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'Christian', '', '2013-04-10', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Mr Taradzikwa', '0772818111', 'Consultant', '', '', '', 'Mr Taradzikwa', 'Father', '0772818111', 'Consultant', '', '', '', '', '', 'yes', '', '', '', '2024-01-31', NULL, NULL, '2024-01-31 16:47:08', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (273, 514, 'SM24G70001', '', '2024-03-15', 'DANIEL SIMBARASHE', 'MUDHOMBOZI', 'No', 'uploads/student_images/no_image.png', '', '', NULL, NULL, NULL, 'MOSLAM', '', '2023-10-10', 'Male', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'father', 'Tawanda jUNIOR', '12345678', 'Teacher', '', '', '', 'Tawanda jUNIOR', 'Father', '12345678', 'Teacher', '', '', '', '', '', 'yes', '', '', '', '2024-03-15', NULL, NULL, '2024-03-15 11:46:00', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (274, 516, 'SM24G70002', '', '2024-03-15', 'TINOTENDA', 'JIM', 'No', 'uploads/student_images/no_image.png', '07854125487', '', NULL, NULL, NULL, 'CHRISTIAN', '', '2024-01-09', 'Female', '', '', '1', 0, 0, '', 0, 0, '', '', '', '', '', 'mother', 'LIAM WILLARD', '6510211445', 'FARMER', 'RUDO MLAMBO', '314563112', 'NURSE', 'RUDO MLAMBO', 'Mother', '314563112', 'NURSE', '', '', '', '', '', 'yes', '', '', '', '2024-03-15', NULL, NULL, '2024-03-15 11:51:14', '', '0000-00-00', '');
INSERT INTO `students` (`id`, `parent_id`, `admission_no`, `roll_no`, `admission_date`, `firstname`, `lastname`, `rte`, `image`, `mobileno`, `email`, `state`, `city`, `pincode`, `religion`, `cast`, `dob`, `gender`, `current_address`, `permanent_address`, `category_id`, `route_id`, `school_house_id`, `blood_group`, `vehroute_id`, `hostel_room_id`, `adhar_no`, `samagra_id`, `bank_account_no`, `bank_name`, `ifsc_code`, `guardian_is`, `father_name`, `father_phone`, `father_occupation`, `mother_name`, `mother_phone`, `mother_occupation`, `guardian_name`, `guardian_relation`, `guardian_phone`, `guardian_occupation`, `guardian_address`, `guardian_email`, `father_pic`, `mother_pic`, `guardian_pic`, `is_active`, `previous_school`, `height`, `weight`, `measurement_date`, `app_key`, `parent_app_key`, `created_at`, `updated_at`, `disable_at`, `note`) VALUES (275, 518, 'SM1507', '', '2024-06-14', 'Sapphire', 'Maps', 'No', 'uploads/student_images/no_image.png', '0774925614', 'sapphire@gmail.com', NULL, NULL, NULL, 'Islam', '', '2011-06-21', 'Female', '', '', '1', 0, 0, 'O+', 0, 0, '', '', '', '', '', 'mother', 'Ron', '0786275118', 'Computer Scientist', 'Letty', '0774925614', 'Novelist', 'Letty', 'Mother', '0774925614', 'Novelist', '27B Nirvana rd Hatfield', '', '', '', '', 'yes', '', '157cm', '45', '2024-06-14', NULL, NULL, '2024-06-14 12:10:23', '', '0000-00-00', '');


#
# TABLE STRUCTURE FOR: subjects
#

DROP TABLE IF EXISTS `subjects`;

CREATE TABLE `subjects` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `code` varchar(100) NOT NULL,
  `type` varchar(100) NOT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;

INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (8, 'ENGLISH ZIMSEC', 'ENGZ', 'Theory', 'no', '2024-02-01 09:35:05', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (9, 'MATHEMATICS ZIMSEC', 'MATHS', 'Theory', 'no', '2024-02-01 09:35:21', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (10, 'SHONA', 'SHN', 'Theory', 'no', '2023-02-06 22:22:22', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (11, 'PHYSICAL EDUCATION', 'PE', 'Theory', 'no', '2023-02-08 16:35:09', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (12, 'VISUAL PERFORMING ARTS', 'VPA', 'Practical', 'no', '2023-02-07 02:52:28', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (13, 'INFORMATION AND COMMUNICATION TECHNOLOGY', 'ICT', 'Practical', 'no', '2023-02-07 02:54:03', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (14, 'SCIENCE AND TECHNOLOGY ZIMSEC', 'ST', 'Theory', 'no', '2024-02-01 09:37:17', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (15, 'AGRICULTURE', 'AGR', 'Theory', 'no', '2024-02-01 09:34:10', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (16, 'HERITAGE SOCIAL STUDIES', 'HSS', 'Theory', 'no', '2023-02-07 02:59:30', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (17, 'MSMASS DISPLAY', 'MD', 'Theory', 'no', '2024-02-01 09:40:01', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (18, 'ENGLISH CAMBRIDGE', 'ENGC', 'Theory', 'no', '2024-02-01 09:35:59', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (19, 'MATHEMATICS CAMBRIDGE', 'MATHSC', 'Theory', 'no', '2024-02-01 09:36:49', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (20, 'FAREME', 'FRM', 'Theory', 'no', '2024-02-01 09:37:38', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (21, 'SCIENCE CAMBRIDGE', 'SC', 'Theory', 'no', '2024-02-01 09:38:07', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (22, 'FAMILY AND HERITAGE STUDIES', 'FHS', 'Theory', 'no', '2024-02-01 09:38:38', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (23, 'MATHS AND SCIENCE', 'MS', 'Theory', 'no', '2024-02-01 09:40:09', '');
INSERT INTO `subjects` (`id`, `name`, `code`, `type`, `is_active`, `created_at`, `updated_at`) VALUES (24, 'PHYSICAL EDUCATION AND MASS DISPLAY', 'PMD', 'Theory', 'no', '2024-02-01 09:41:28', '');


#
# TABLE STRUCTURE FOR: supplier
#

DROP TABLE IF EXISTS `supplier`;

CREATE TABLE `supplier` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(30) NOT NULL,
  `supplier_id` varchar(10) NOT NULL,
  `name` varchar(100) NOT NULL,
  `address` varchar(100) NOT NULL,
  `mobile` varchar(15) NOT NULL,
  `email` varchar(100) NOT NULL,
  `currency` varchar(20) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4;

INSERT INTO `supplier` (`id`, `date_captured`, `supplier_id`, `name`, `address`, `mobile`, `email`, `currency`, `active`) VALUES (4, '2024-02-01', 'MEL001', 'Melsoft (Private) Limited', '25 George Silundika Ave, Regal Star  House, 10th Floor, Harare', '+263 780407644', 'info@melsoftschoolessential.co.zw', 'USD', 1);


#
# TABLE STRUCTURE FOR: supplier_invoice
#

DROP TABLE IF EXISTS `supplier_invoice`;

CREATE TABLE `supplier_invoice` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `gl_account` varchar(100) NOT NULL,
  `date_created` varchar(30) NOT NULL,
  `name` varchar(200) NOT NULL,
  `inv_date` varchar(30) NOT NULL,
  `inv_number` varchar(100) NOT NULL,
  `currency` varchar(100) NOT NULL,
  `description` varchar(300) NOT NULL,
  `quantity` varchar(100) NOT NULL,
  `price` varchar(100) NOT NULL,
  `discount` varchar(100) NOT NULL,
  `total_amount` varchar(100) NOT NULL,
  `mv_expense` varchar(100) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

INSERT INTO `supplier_invoice` (`id`, `gl_account`, `date_created`, `name`, `inv_date`, `inv_number`, `currency`, `description`, `quantity`, `price`, `discount`, `total_amount`, `mv_expense`, `active`) VALUES (3, 'School Management Software', '2024-02-01', 'Melsoft (Private) Limited', '2024-01-29', 'INV0001', 'USD', 'ertyui', '1', '450', '0', '450', 'ADH000Q', 1);


#
# TABLE STRUCTURE FOR: supplier_receipt
#

DROP TABLE IF EXISTS `supplier_receipt`;

CREATE TABLE `supplier_receipt` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_created` varchar(30) NOT NULL,
  `gl_account` varchar(100) NOT NULL,
  `name` varchar(200) NOT NULL,
  `rec_date` varchar(30) NOT NULL,
  `rec_number` varchar(100) NOT NULL,
  `inv_number` varchar(100) NOT NULL,
  `currency` varchar(100) NOT NULL,
  `description` varchar(300) NOT NULL,
  `quantity` varchar(100) NOT NULL,
  `price` varchar(100) NOT NULL,
  `discount` varchar(100) NOT NULL,
  `total_amount` varchar(100) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: supplier_statement
#

DROP TABLE IF EXISTS `supplier_statement`;

CREATE TABLE `supplier_statement` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `gl_account` varchar(100) NOT NULL,
  `supplier` varchar(200) NOT NULL,
  `reference` varchar(200) NOT NULL,
  `description` varchar(200) NOT NULL,
  `currency` varchar(100) NOT NULL,
  `debit` varchar(100) NOT NULL,
  `credit` varchar(100) NOT NULL,
  `mv_expense` varchar(100) NOT NULL,
  `date` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

INSERT INTO `supplier_statement` (`id`, `gl_account`, `supplier`, `reference`, `description`, `currency`, `debit`, `credit`, `mv_expense`, `date`) VALUES (3, 'School Management Software', 'Melsoft (Private) Limited', 'INV0001', 'ertyui', 'USD', '0', '450', 'ADH000Q', '2024-01-29');


#
# TABLE STRUCTURE FOR: teacher_subjects
#

DROP TABLE IF EXISTS `teacher_subjects`;

CREATE TABLE `teacher_subjects` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `session_id` int(11) DEFAULT NULL,
  `class_section_id` int(11) DEFAULT NULL,
  `subject_id` int(11) DEFAULT NULL,
  `teacher_id` int(11) DEFAULT NULL,
  `description` varchar(100) DEFAULT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `class_section_id` (`class_section_id`),
  KEY `session_id` (`session_id`),
  KEY `subject_id` (`subject_id`),
  KEY `teacher_id` (`teacher_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

INSERT INTO `teacher_subjects` (`id`, `session_id`, `class_section_id`, `subject_id`, `teacher_id`, `description`, `is_active`, `created_at`, `updated_at`) VALUES (4, 14, 16, 8, 4, NULL, 'no', '2023-02-03 20:07:14', '');
INSERT INTO `teacher_subjects` (`id`, `session_id`, `class_section_id`, `subject_id`, `teacher_id`, `description`, `is_active`, `created_at`, `updated_at`) VALUES (5, 14, 16, 9, 5, NULL, 'no', '2023-02-03 20:07:40', '');
INSERT INTO `teacher_subjects` (`id`, `session_id`, `class_section_id`, `subject_id`, `teacher_id`, `description`, `is_active`, `created_at`, `updated_at`) VALUES (6, 14, 18, 8, 5, NULL, 'no', '2024-03-15 11:35:41', '');
INSERT INTO `teacher_subjects` (`id`, `session_id`, `class_section_id`, `subject_id`, `teacher_id`, `description`, `is_active`, `created_at`, `updated_at`) VALUES (7, 14, 18, 21, 5, NULL, 'no', '2024-03-15 11:36:51', '');
INSERT INTO `teacher_subjects` (`id`, `session_id`, `class_section_id`, `subject_id`, `teacher_id`, `description`, `is_active`, `created_at`, `updated_at`) VALUES (8, 14, 18, 22, 5, NULL, 'no', '2024-03-15 11:36:51', '');


#
# TABLE STRUCTURE FOR: teams
#

DROP TABLE IF EXISTS `teams`;

CREATE TABLE `teams` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(50) NOT NULL,
  `team_name` varchar(200) NOT NULL,
  `sportcode` varchar(200) NOT NULL,
  `coachname` varchar(200) NOT NULL,
  `venue` varchar(200) NOT NULL,
  `description` varchar(200) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: timetables
#

DROP TABLE IF EXISTS `timetables`;

CREATE TABLE `timetables` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `teacher_subject_id` int(20) DEFAULT NULL,
  `day_name` varchar(50) DEFAULT NULL,
  `start_time` varchar(50) DEFAULT NULL,
  `end_time` varchar(50) DEFAULT NULL,
  `room_no` varchar(50) DEFAULT NULL,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

INSERT INTO `timetables` (`id`, `teacher_subject_id`, `day_name`, `start_time`, `end_time`, `room_no`, `is_active`, `created_at`, `updated_at`) VALUES (1, 3, 'Monday', '08:00 AM', '08:30 AM', '', 'no', '2022-11-24 03:18:46', '');
INSERT INTO `timetables` (`id`, `teacher_subject_id`, `day_name`, `start_time`, `end_time`, `room_no`, `is_active`, `created_at`, `updated_at`) VALUES (2, 3, 'Tuesday', '10:00 AM', '10:30 PM', '', 'no', '2022-11-24 03:18:46', '');
INSERT INTO `timetables` (`id`, `teacher_subject_id`, `day_name`, `start_time`, `end_time`, `room_no`, `is_active`, `created_at`, `updated_at`) VALUES (3, 3, 'Wednesday', '02:00 PM', '02:30 AM', '', 'no', '2022-11-24 03:18:46', '');
INSERT INTO `timetables` (`id`, `teacher_subject_id`, `day_name`, `start_time`, `end_time`, `room_no`, `is_active`, `created_at`, `updated_at`) VALUES (4, 3, 'Thursday', '09:00 AM', '09:30 AM', '', 'no', '2022-11-24 03:18:46', '');
INSERT INTO `timetables` (`id`, `teacher_subject_id`, `day_name`, `start_time`, `end_time`, `room_no`, `is_active`, `created_at`, `updated_at`) VALUES (5, 3, 'Friday', '10:00 AM', '10:30 AM', '', 'no', '2022-11-24 03:18:46', '');
INSERT INTO `timetables` (`id`, `teacher_subject_id`, `day_name`, `start_time`, `end_time`, `room_no`, `is_active`, `created_at`, `updated_at`) VALUES (6, 3, 'Saturday', '', '', '', 'no', '2022-11-24 03:18:46', '');
INSERT INTO `timetables` (`id`, `teacher_subject_id`, `day_name`, `start_time`, `end_time`, `room_no`, `is_active`, `created_at`, `updated_at`) VALUES (7, 3, 'Sunday', '', '', '', 'no', '2022-11-24 03:18:46', '');


#
# TABLE STRUCTURE FOR: transfered_funds
#

DROP TABLE IF EXISTS `transfered_funds`;

CREATE TABLE `transfered_funds` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` varchar(200) NOT NULL,
  `cashbook` varchar(200) NOT NULL,
  `module` varchar(100) NOT NULL,
  `account` varchar(200) NOT NULL,
  `description` varchar(400) NOT NULL,
  `reference` varchar(100) NOT NULL,
  `deposits` varchar(200) NOT NULL,
  `udf_status` int(11) NOT NULL,
  `date_from` varchar(50) NOT NULL,
  `date_to` varchar(50) NOT NULL,
  `payment_mode` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4;

INSERT INTO `transfered_funds` (`id`, `date`, `cashbook`, `module`, `account`, `description`, `reference`, `deposits`, `udf_status`, `date_from`, `date_to`, `payment_mode`) VALUES (6, '2024-01-31', 'CASH ACCOUNT USD', 'GL', 'Undeposited Funds', 'Undeposited Funds History From 31-01-2024 To 31-01-2024', 'UDF0209', '150.00', 1, '2024-01-31', '2024-01-31', 'USD');
INSERT INTO `transfered_funds` (`id`, `date`, `cashbook`, `module`, `account`, `description`, `reference`, `deposits`, `udf_status`, `date_from`, `date_to`, `payment_mode`) VALUES (7, '2024-02-08', 'CASH ACCOUNT USD', 'GL', 'Undeposited Funds', 'Undeposited Funds History From 08-02-2024 To 08-02-2024', 'UDF0271', '350.00', 1, '2024-02-08', '2024-02-08', 'USD');
INSERT INTO `transfered_funds` (`id`, `date`, `cashbook`, `module`, `account`, `description`, `reference`, `deposits`, `udf_status`, `date_from`, `date_to`, `payment_mode`) VALUES (8, '2024-03-15', 'CABS RTGS', 'GL', 'Undeposited Funds', 'Undeposited Funds History From 15-03-2024 To 15-03-2024', 'UDF0273', '700.00', 1, '2024-03-15', '2024-03-15', 'USD');


#
# TABLE STRUCTURE FOR: transport_route
#

DROP TABLE IF EXISTS `transport_route`;

CREATE TABLE `transport_route` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `route_title` varchar(100) DEFAULT NULL,
  `no_of_vehicle` int(11) DEFAULT NULL,
  `fare` float(10,2) DEFAULT NULL,
  `note` text,
  `is_active` varchar(255) DEFAULT 'no',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;

INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (1, 'MAJURU 1', NULL, '34.00', NULL, 'no', '2023-02-10 19:31:52', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (2, 'MAJURU 2', NULL, '34.00', NULL, 'no', '2023-02-10 19:32:06', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (3, 'TAKADII', NULL, '34.00', NULL, 'no', '2023-02-10 19:32:22', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (4, 'PLOTS', NULL, '34.00', NULL, 'no', '2023-02-10 19:35:57', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (5, 'GOROMONZI HIGH', NULL, '34.00', NULL, 'no', '2023-02-10 19:36:10', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (6, 'GWAZE', NULL, '34.00', NULL, 'no', '2023-02-10 19:36:24', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (7, 'MASHONGANYIKA', NULL, '39.00', NULL, 'no', '2023-02-10 19:37:24', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (8, 'ST VINCENT', NULL, '39.00', NULL, 'no', '2023-02-10 19:37:43', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (9, 'DAMOFALLS 1', NULL, '49.00', NULL, 'no', '2023-02-10 19:37:56', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (10, 'DAMOFALLS 2', NULL, '49.00', NULL, 'no', '2023-02-10 19:38:07', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (11, 'RUWA', NULL, '44.00', NULL, 'no', '2023-02-10 19:38:20', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (12, 'BINDA', NULL, '39.00', NULL, 'no', '2023-02-10 19:38:37', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (13, 'CLOVERDALE', NULL, '39.00', NULL, 'no', '2023-02-10 19:39:00', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (14, 'YAFELE', NULL, '34.00', NULL, 'no', '2023-02-10 19:39:28', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (15, 'MATANK', NULL, '34.00', NULL, 'no', '2023-02-10 19:39:41', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (16, 'CHINYIKA CLINIC', NULL, '34.00', NULL, 'no', '2023-02-10 19:40:57', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (17, 'NYAKUDYA', NULL, '34.00', NULL, 'no', '2023-02-10 19:41:14', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (18, 'CHIBAMU', NULL, '39.00', NULL, 'no', '2023-02-10 19:41:23', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (19, 'CHINYIKA', NULL, '34.00', NULL, 'no', '2023-02-10 19:41:58', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (20, 'POST OFFICE', NULL, '34.00', NULL, 'no', '2023-02-10 19:43:05', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (21, 'TAFIRENYIKA', NULL, '34.00', NULL, 'no', '2023-02-10 19:43:24', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (22, 'MUDZUDZU', NULL, '34.00', NULL, 'no', '2023-02-10 19:43:34', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (23, 'PASSOVER', NULL, '34.00', NULL, 'no', '2023-02-10 19:44:09', '');
INSERT INTO `transport_route` (`id`, `route_title`, `no_of_vehicle`, `fare`, `note`, `is_active`, `created_at`, `updated_at`) VALUES (24, 'MES CAMP', NULL, '34.00', NULL, 'no', '2023-02-10 19:44:53', '');


#
# TABLE STRUCTURE FOR: types
#

DROP TABLE IF EXISTS `types`;

CREATE TABLE `types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `types` varchar(255) NOT NULL,
  `created_at` varchar(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

INSERT INTO `types` (`id`, `types`, `created_at`) VALUES (4, 'style', '2022-07-14');
INSERT INTO `types` (`id`, `types`, `created_at`) VALUES (5, 'gender', '2022-07-14');
INSERT INTO `types` (`id`, `types`, `created_at`) VALUES (6, 'size', '2022-07-14');
INSERT INTO `types` (`id`, `types`, `created_at`) VALUES (7, 'colour', '2022-07-14');


#
# TABLE STRUCTURE FOR: undeposited_funds
#

DROP TABLE IF EXISTS `undeposited_funds`;

CREATE TABLE `undeposited_funds` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_captured` varchar(100) NOT NULL,
  `cashbook` varchar(100) NOT NULL,
  `description` varchar(100) NOT NULL,
  `account` varchar(100) NOT NULL,
  `module` varchar(100) NOT NULL,
  `receipt` varchar(100) NOT NULL,
  `debit` varchar(100) NOT NULL,
  `date_from` varchar(100) NOT NULL,
  `date_to` varchar(100) NOT NULL,
  `payment_mode` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# TABLE STRUCTURE FOR: uniform_group
#

DROP TABLE IF EXISTS `uniform_group`;

CREATE TABLE `uniform_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `groups` varchar(200) NOT NULL,
  `group_type` varchar(400) NOT NULL,
  `is_active` varchar(200) NOT NULL,
  `created_at` varchar(200) NOT NULL,
  `uploaded_at` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=118 DEFAULT CHARSET=latin1;

INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (12, 'Shirt style', 'style-style', '', '2022-11-24', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (13, 'Shirt color', 'colour', '', '2022-11-24', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (14, 'Shirt gender', 'gender', '', '2022-11-24', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (15, 'Shirt size', 'size', '', '2022-11-24', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (21, 'Blazer style', 'style', '', '2023-02-24', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (22, 'Blazer gender', 'gender', '', '2023-02-24', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (23, 'Blazer size', 'size', '', '2023-02-24', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (24, 'Blazer colour', 'colour', '', '2023-02-24', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (25, 'Full jersey style', 'style', '', '2023-03-03', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (26, 'Full jersey  colour', 'colour', '', '2023-03-03', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (27, 'Full jersey size', 'size', '', '2023-03-03', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (28, 'Full jersey  gender', 'gender', '', '2023-03-03', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (29, 'Half jersey style', 'style', '', '2023-03-03', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (30, 'Half jersey gender', 'gender', '', '2023-03-03', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (31, 'Half jersey colour', 'colour', '', '2023-03-03', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (32, 'Half jersey size', 'size', '', '2023-03-03', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (34, 'Tunic dress style', 'style', '', '2023-03-03', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (35, 'Tunic dress gender', 'gender', '', '2023-03-03', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (36, 'Tunic dress size', 'size', '', '2023-03-03', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (37, 'Tunic dress colour', 'colour', '', '2023-03-03', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (41, 'shorts style', 'style', '', '2023-03-06', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (42, 'short gender', 'gender', '', '2023-03-06', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (43, 'short colour ', 'colour', '', '2023-03-06', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (44, 'short size', 'size', '', '2023-03-06', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (45, 'T-shirts size', 'size', '', '2023-03-06', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (46, 'T-shirt colour', 'colour', '', '2023-03-06', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (47, 'T-shirt gender', 'gender', '', '2023-03-06', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (48, 'T-shirt style', 'style', '', '2023-03-06', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (49, 'Tie', 'style', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (50, 'Tie gender', 'gender', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (51, 'Tie size', 'size', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (52, 'Tie colour', 'colour', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (57, 'Blouse style', 'style', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (58, 'Blouse gender', 'gender', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (59, 'Blouse size', 'size', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (60, 'Blouse colour', 'colour', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (61, 'Tracksuit  style', 'style', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (62, 'Tracksuit  gender', 'gender', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (63, 'Tracksuit  size', 'size', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (64, 'Tracksuit  colour', 'colour', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (65, 'Sunhat style', 'style', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (66, 'Sunhat gender', 'gender', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (67, 'Sunhat size', 'size', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (68, 'Sunhat colour', 'colour', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (69, 'Skirt style', 'style', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (70, 'Skirt gender', 'gender', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (71, 'Skirt size', 'size', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (72, 'Skirt colour', 'colour', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (73, ' Waistcoat style', 'style', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (74, 'Waistcoat gender', 'gender', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (75, 'Waistcoat size ', 'size', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (76, 'Waistcoat colour', 'colour', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (77, 'Bib Apron style', 'style', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (78, 'Bib Apron gender', 'gender', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (79, 'Bib Apron size', 'size', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (80, 'Bib Apron colour', 'colour', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (81, 'Bag style', 'style', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (82, 'Bag gender', 'gender', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (83, 'Bag size', 'size', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (84, 'Bag colour', 'colour', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (85, 'Satchel style', 'style', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (86, 'Satchel gender', 'gender', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (87, 'Satchel size', 'size', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (88, 'Satchel colour', 'colour', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (89, 'Socks style', 'style', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (90, 'Socks gender', 'gender', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (91, 'Socks size', 'size', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (92, 'Socks  colour', 'colour', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (93, 'Hat style', 'style', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (94, 'Hat gender', 'gender', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (95, 'Hat size', 'size', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (96, 'Hat colour', 'colour', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (97, 'Costume style', 'style', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (98, 'Costume gender', 'gender', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (99, 'Costume size', 'size', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (100, 'Costume colour', 'colour', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (101, 'Trunk style', 'style', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (102, 'Trunk gender', 'gender', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (103, 'Trunk size', 'size', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (104, 'Trunk colour', 'colour', '', '2024-02-01', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (105, 'Sweater style', 'style', '', '2024-02-02', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (106, 'Sweater gender', 'gender', '', '2024-02-02', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (107, 'Sweater size', 'size', '', '2024-02-02', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (108, 'Sweater colour', 'colour', '', '2024-02-02', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (109, 'Cap style', 'style', '', '2024-02-02', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (110, 'Cap gender', 'gender', '', '2024-02-02', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (111, 'Cap  size', 'size', '', '2024-02-02', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (112, 'Cap colour', 'colour', '', '2024-02-02', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (113, 'All', 'gender', '', '2024-02-02', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (114, 'Elmaz style', 'style', '', '2024-02-08', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (115, 'Elmaz gender', 'gender', '', '2024-02-08', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (116, 'Elmaz size', 'size', '', '2024-02-08', 0);
INSERT INTO `uniform_group` (`id`, `groups`, `group_type`, `is_active`, `created_at`, `uploaded_at`) VALUES (117, 'Elmaz colour', 'colour', '', '2024-02-08', 0);


#
# TABLE STRUCTURE FOR: uniform_values
#

DROP TABLE IF EXISTS `uniform_values`;

CREATE TABLE `uniform_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `values` varchar(200) NOT NULL,
  `description` varchar(200) NOT NULL,
  `groups` varchar(200) NOT NULL,
  `created_at` varchar(200) NOT NULL,
  `is_active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=216 DEFAULT CHARSET=latin1;

INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (41, 'White', 'White', 'T-shirt colour', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (42, 'Yellow', 'Yellow', 'T-shirt colour', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (43, 'Red', 'Red', 'T-shirt colour', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (44, '20', 'White T-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (45, '22', 'White T-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (46, '24', 'White T-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (47, '26', 'White T-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (48, '28', 'White T-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (49, '30', 'White T-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (50, '32', 'White T-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (51, '34', 'White T-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (52, '36', 'White T-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (53, '20', 'YellowT-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (54, '22', 'YellowT-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (55, '24', 'YellowT-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (56, '26', 'YellowT-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (57, '28', 'YellowT-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (58, '30', 'YellowT-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (59, '32', 'YellowT-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (60, '34', 'YellowT-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (61, '36', 'YellowT-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (62, '20', 'Red-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (63, '22', 'Red-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (64, '24', 'Red-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (65, '26', 'Red-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (66, '28', 'Red-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (67, '30', 'Red-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (68, '32', 'Red-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (69, '34', 'Red-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (70, '36', 'Red-shirts', 'T-shirts size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (71, 'White', 'white', 'Shirt color', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (72, 'Short Sleeved', 'Short Sleeved ', 'Shirt style', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (73, 'Long Sleeeved shirt', 'Long Sleeeved shirt', 'Shirt style', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (74, 'Blue', 'Blue', 'short colour ', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (75, 'Grey', 'Grey', 'short colour ', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (76, 'Navy Blue', 'Navy Blue', 'short colour ', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (77, 'Sports short', 'Sports short', 'shorts style', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (78, '18', 'Blue Sport short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (79, '20', 'Blue Sport short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (80, '22', 'Blue Sport short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (81, '24', 'Blue Sport short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (82, '26', 'Blue Sport short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (83, '28', 'Blue Sport short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (84, '30', 'Blue Sport short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (85, '32', 'Blue Sport short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (86, '34', 'Blue Sport short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (87, '36', 'Blue Sport short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (88, '38', 'Blue Sport short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (89, '18', 'Grey short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (90, '20', 'Grey short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (91, '22', 'Grey short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (92, '24', 'Grey short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (93, '26', 'Grey short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (94, '28', 'Grey short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (95, '30', 'Grey short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (96, '32', 'Grey short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (97, '34', 'Grey short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (98, '36', 'Grey short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (99, '38', 'Grey short', 'short size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (100, '24', 'White Long-sleeved shirts', 'Shirt size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (101, '26', 'White Long-sleeved shirts', 'Shirt size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (102, '28', 'White Long-sleeved shirts', 'Shirt size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (103, '30', 'White Long-sleeved shirts', 'Shirt size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (104, '32', 'White Long-sleeved shirts', 'Shirt size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (105, '34', 'White Long-sleeved shirts', 'Shirt size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (106, '36', 'White Long-sleeved shirts', 'Shirt size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (107, '38', 'White Long-sleeved shirts', 'Shirt size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (108, 'Tunic dress', 'Tunic dress', 'Tunic dress style', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (109, '18', 'Tunic dress', 'Tunic dress size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (110, '20', 'Tunic dress', 'Tunic dress size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (111, '22', 'Tunic dress', 'Tunic dress size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (112, '24', 'Tunic dress', 'Tunic dress size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (113, '26', 'Tunic dress', 'Tunic dress size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (114, '28', 'Tunic dress', 'Tunic dress size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (115, '30', 'Tunic dress', 'Tunic dress size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (116, 'White', 'White', 'Blouse colour', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (117, '18', 'White Blouse', 'Blouse size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (118, '20', 'White Blouse', 'Blouse size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (119, '22', 'White Blouse', 'Blouse size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (120, '24', 'White Blouse', 'Blouse size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (121, '26', 'White Blouse', 'Blouse size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (122, '28', 'White Blouse', 'Blouse size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (123, '30', 'White Blouse', 'Blouse size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (124, 'Navy Blue', 'Navy Blue', 'Half jersey colour', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (125, 'Navy Blue', 'Navy Blue', 'Full jersey  colour', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (126, 'Half Jersey', 'Half Jersey', 'Half jersey style', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (127, 'Full Jersey', 'Full Jersey', 'Full jersey style', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (128, '18', 'Half Jersey', 'Half jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (129, '20', 'Half Jersey', 'Half jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (130, '22', 'Half Jersey', 'Half jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (131, '24', 'Half Jersey', 'Half jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (132, '26', 'Half Jersey', 'Half jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (133, '28', 'Half Jersey', 'Half jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (134, '30', 'Half Jersey', 'Half jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (135, '32', 'Half Jersey', 'Half jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (136, '34', 'Half Jersey', 'Half jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (137, '36', 'Half Jersey', 'Half jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (138, '18', 'Full Jersey', 'Full jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (139, '20', 'Full Jersey', 'Full jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (140, '22', 'Full Jersey', 'Full jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (141, '24', 'Full Jersey', 'Full jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (142, '26', 'Full Jersey', 'Full jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (143, '28', 'Full Jersey', 'Full jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (144, '30', 'Full Jersey', 'Full jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (145, '32', 'Full Jersey', 'Full jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (146, '34', 'Full Jersey', 'Full jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (147, '36', 'Full Jersey', 'Half jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (148, '38', 'Full Jersey', 'Full jersey size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (149, 'Navy Blue', 'Navy Blue', 'Tracksuit  colour', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (150, '18', 'Navy Blue Tracksuit', 'Tracksuit  size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (151, '20', 'Navy Blue Tracksuit', 'Tracksuit  size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (152, '22', 'Navy Blue Tracksuit', 'Tracksuit  size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (153, '24', 'Navy Blue Tracksuit', 'Tracksuit  size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (154, '26', 'Navy Blue Tracksuit', 'Tracksuit  size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (155, '28', 'Navy Blue Tracksuit', 'Tracksuit  size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (156, '30', 'Navy Blue Tracksuit', 'Tracksuit  size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (157, '32', 'Navy Blue Tracksuit', 'Tracksuit  size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (158, '34', 'Navy Blue Tracksuit', 'Tracksuit  size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (159, '36', 'Navy Blue Tracksuit', 'Tracksuit  size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (160, '38', 'Navy Blue Tracksuit', 'Tracksuit  size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (161, 'English', 'Sunhat', 'Sunhat style', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (162, 'Khakhi', 'English Khakhi sunhat', 'Sunhat colour', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (163, 'Grey', 'Grey', 'Skirt colour', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (164, '24', 'Grey Skirt', 'Skirt size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (165, '26', 'Grey Skirt', 'Skirt size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (166, '28', 'Grey Skirt', 'Skirt size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (167, '30', 'Grey Skirt', 'Skirt size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (168, '32', 'Grey Skirt', 'Skirt size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (169, '34', 'Grey Skirt', 'Skirt size', '2024-02-01', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (170, 'English ', 'English', ' Waistcoat style', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (171, 'Khakhi', 'English waistcoat', 'Waistcoat colour', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (172, 'Bib ', 'Apron', 'Bib Apron style', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (173, 'Book Bag', 'Book Bag', 'Bag style', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (174, 'Sports Bag', 'Sports Bag', 'Bag style', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (175, 'Navy Blue', 'Navy Blue', 'Bag colour', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (176, 'School Satchel', 'School Satchel', 'Satchel style', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (177, 'Navy Blue', 'Navy Blue School Satchel', 'Satchel colour', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (178, 'White Socks', 'White Socks', 'Socks  colour', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (179, 'Grey Socks', 'Grey Socks', 'Socks  colour', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (180, 'Navy Blue', 'Navy Blue Blazer', 'Blazer colour', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (181, '20', 'Navy Blue Blazer', 'Blazer size', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (182, '22', 'Navy Blue Blazer', 'Blazer size', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (183, '24', 'Navy Blue Blazer', 'Blazer size', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (184, '26', 'Navy Blue Blazer', 'Blazer size', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (185, '28', 'Navy Blue Blazer', 'Blazer size', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (186, '30', 'Navy Blue Blazer', 'Blazer size', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (187, '32', 'Navy Blue Blazer', 'Blazer size', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (188, '34', 'Navy Blue Blazer', 'Blazer size', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (189, 'Tie', 'Tie', 'Tie', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (190, 'Khakhi', 'Khakhi Hat', 'Hat colour', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (191, 'Swimming Costume', 'Swimming Costume', 'Costume style', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (192, 'Swimming Trunk', 'Swimming Trunk', 'Trunk style', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (193, 'Navy Blue', 'Navy Blue Sweater', 'Sweater colour', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (194, 'Blue ', 'Blue School Lunch Box Bag', 'Bag colour', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (195, 'Luch Box Bag', 'Blue School Lunch Box Bag', 'Bag style', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (196, 'Swimming Cap', 'Swimming Cap', 'Cap style', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (197, 'V-Neck ', 'Navy Blue Jersey', 'Half jersey style', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (198, 'Navy Blue ', 'V-Neck Navy Blue Jersey', 'Half jersey colour', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (199, 'All', 'All', 'All', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (201, 'Golf T-shirt', 'Golf T-shirt', 'T-shirt style', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (202, 'Short', 'short', 'shorts style', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (203, 'Girls Tunic Dress', 'Girls Tunic Dress', 'Tunic dress gender', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (204, 'Girls Blouse', 'Girls Blouse', 'Blouse gender', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (205, 'Boys Waistcoat', 'Boys Waistcoat', 'Waistcoat gender', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (206, 'Boys Costume', 'Boys Costume', 'Costume gender', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (207, 'Boys Trunk', 'Boys Trunk', 'Trunk gender', '2024-02-02', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (208, 'Complete Tracksuit', 'Complete Tracksuit', 'Tracksuit  style', '2024-02-05', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (209, 'Skirt ', 'Skirt', 'Skirt gender', '2024-02-05', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (210, 'Girls', 'Girls', 'Skirt gender', '2024-02-05', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (211, 'Blazer', 'Blazer', 'Blazer style', '2024-02-05', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (212, 'Blue Elmaz  logo', 'Blue Elmaz  logo', 'Elmaz colour', '2024-02-08', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (213, 'long Course Elmaz ', 'long Course Elmaz ', 'Elmaz style', '2024-02-08', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (214, '30 Courses Elmaz ', '30 Courses Elmaz ', 'Elmaz size', '2024-02-08', 0);
INSERT INTO `uniform_values` (`id`, `values`, `description`, `groups`, `created_at`, `is_active`) VALUES (215, 'All Elmaz', 'All Elmaz', 'Elmaz gender', '2024-02-08', 0);


#
# TABLE STRUCTURE FOR: uniformitem
#

DROP TABLE IF EXISTS `uniformitem`;

CREATE TABLE `uniformitem` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studentid` varchar(200) NOT NULL,
  `itemcode` varchar(200) NOT NULL,
  `itemdescript` varchar(200) NOT NULL,
  `itemgroups` varchar(200) NOT NULL,
  `warehouse` varchar(255) NOT NULL,
  `costprice` varchar(200) NOT NULL,
  `sellingprice` varchar(200) NOT NULL,
  `quantity` varchar(200) NOT NULL,
  `originalqnty` varchar(100) NOT NULL,
  `groupsize` varchar(200) NOT NULL,
  `valuesize` varchar(200) NOT NULL,
  `groupstyle` varchar(200) NOT NULL,
  `stylevalue` varchar(200) NOT NULL,
  `colourgroup` varchar(200) NOT NULL,
  `colourvalue` varchar(200) NOT NULL,
  `gendergroup` varchar(200) NOT NULL,
  `gendervalue` varchar(200) NOT NULL,
  `created_at` varchar(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=161 DEFAULT CHARSET=latin1;

INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (35, '', 'WT20', 'White T-shirt', 'none', 'Storeroom', '$6', '$10', '20', '20', 'T-shirts size', '20', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'White', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (36, '', 'WT24', 'White T-shirt', 'none', 'Storeroom', '$6', '$10', '19', '19', 'T-shirts size', '24', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'White', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (37, '', 'WT26', 'White T-shirt', '', 'Storeroom', '$6', '$10', '20', '20', 'T-shirts size', '26', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'White', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (38, '', 'WT22', 'White T-shirt', 'none', 'Storeroom', '$6', '$10', '20', '20', 'T-shirts size', '22', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'White', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (39, '', 'WT28', 'White T-shirt', 'none', 'Storeroom', '$6', '$10', '20', '20', 'T-shirts size', '28', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'White', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (40, '', 'WT30', 'White T-shirt', 'none', 'Storeroom', '$6', '$10', '12', '12', 'T-shirts size', '30', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'White', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (41, '', 'WT32', 'White T-shirt', 'none', 'Storeroom', '$6', '$10', '4', '4', 'T-shirts size', '32', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'White', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (42, '', 'WT34', 'White T-shirt', 'none', 'Storeroom', '$6', '$10', '3', '3', 'T-shirts size', '34', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'White', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (43, '', 'WT36', 'White T-shirt', 'none', 'Storeroom', '$6', '$10', '3', '3', 'T-shirts size', '36', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'White', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (44, '', 'YT20', 'Yellow T-shirt', 'none', 'Storeroom', '$6', '$10', '20', '20', 'T-shirts size', '20', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Yellow', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (45, '', 'YT24', 'Yellow T-shirt', 'none', 'Storeroom', '$6', '$10', '20', '20', 'T-shirts size', '24', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Yellow', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (46, '', 'YT22', 'Yellow T-shirt', 'none', 'Storeroom', '$6', '$10', '20', '20', 'T-shirts size', '22', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Yellow', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (47, '', 'YT26', 'Yellow T-shirt', 'none', 'Storeroom', '$6', '$10', '21', '21', 'T-shirts size', '26', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Yellow', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (48, '', 'YT28', 'Yellow T-shirt', 'none', 'Storeroom', '$6', '$10', '19', '19', 'T-shirts size', '28', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Yellow', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (49, '', 'YT30', 'Yellow T-shirt', 'none', 'Storeroom', '$6', '$10', '10', '10', 'T-shirts size', '30', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Yellow', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (50, '', 'YT32', 'Yellow T-shirt', 'none', 'Storeroom', '$6', '$10', '4', '4', 'T-shirts size', '32', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Yellow', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (51, '', 'YT34', 'Yellow T-shirt', 'none', 'Storeroom', '$6', '$10', '3', '3', 'T-shirts size', '34', 'T-shirt style', 'select', 'select', 'Golf T-shirt', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (52, '', 'YT36', 'Yellow T-shirt', 'none', 'Storeroom', '$6', '$10', '3', '3', 'T-shirts size', '36', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Yellow', 'T-shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (53, '', 'WLSS24', 'White Long Sleeved-Shirts', 'none', 'Storeroom', '$10', '$20', '20', '20', 'Shirt size', '24', 'Shirt style', 'Long Sleeeved shirt', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (54, '', 'WLSS26', 'White Long Sleeved-Shirts', 'none', 'Storeroom', '$10', '$20', '20', '20', 'Shirt size', '26', 'Shirt style', 'Long Sleeeved shirt', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (55, '', 'WLSS28', 'White Long Sleeved-Shirts', 'none', 'Storeroom', '$10', '$20', '20', '20', 'Shirt size', '28', 'Shirt style', 'Long Sleeeved shirt', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (56, '', 'WLSS30', 'White Long Sleeved-Shirts', 'none', 'Storeroom', '$10', '$20', '20', '20', 'Shirt size', '30', 'Shirt style', 'Long Sleeeved shirt', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (57, '', 'WLSS32', 'White Long Sleeved-Shirts', 'none', 'Storeroom', '$10', '$20', '20', '20', 'Shirt size', '32', 'Shirt style', 'Long Sleeeved shirt', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (58, '', 'WLSS34', 'White Long Sleeved-Shirts', 'none', 'Storeroom', '$10', '$20', '14', '14', 'Shirt style', '34', 'Shirt style', 'Long Sleeeved shirt', 'Shirt color', 'White', 'Blazer gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (59, '', 'WLSS36', 'White Long Sleeved-Shirts', '', 'Storeroom', '$10', '$20', '4', '4', 'Shirt size', '36', 'Shirt style', 'Long Sleeeved shirt', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (60, '', 'WLSS38', 'White Long Sleeved-Shirts', 'none', 'Storeroom', '$10', '$220', '2', '2', 'Shirt size', '38', 'Shirt style', 'Long Sleeeved shirt', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (61, '', 'BSS18', 'Blue Sport Short', 'none', 'Storeroom', '$5.50', '$12', '10', '10', 'short size', '18', 'shorts style', 'Sports short', 'short colour ', 'Blue', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (62, '', 'BSS20', 'Blue Sport Short', 'none', 'Storeroom', '$5.50', '$12', '10', '10', 'short size', '20', 'shorts style', 'Sports short', 'short colour ', 'Blue', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (63, '', 'BSS22', 'Blue Sport Short', 'none', 'Storeroom', '$5.50', '$12', '12', '12', 'short size', '22', 'shorts style', 'Sports short', 'short colour ', 'Blue', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (64, '', 'BSS24', 'Blue Sport Short', 'none', 'Storeroom', '$5.50', '$12', '11', '11', 'short size', '24', 'shorts style', 'Sports short', 'short colour ', 'Blue', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (65, '', 'BSS26', 'Blue Sport Short', 'none', 'Storeroom', '$5.50', '$12', '11', '11', 'short size', '26', 'shorts style', 'Sports short', 'short colour ', 'Blue', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (66, '', 'BSS28', 'Blue Sport Short', 'none', 'Storeroom', '$5.50', '$12', '22', '22', 'short size', '28', 'shorts style', 'Sports short', 'short colour ', 'Blue', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (67, '', 'BSS30', 'Blue Sport Short', 'none', 'Storeroom', '$5.50', '$12', '22', '22', 'short size', 'Blue', 'shorts style', 'Sports short', 'short colour ', 'Blue', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (68, '', 'BSS32', 'Blue Sport Short', 'none', 'Storeroom', '$5.50', '$12', '17', '17', 'short size', '32', 'shorts style', 'Sports short', 'short colour ', 'Blue', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (69, '', 'BSS34', 'Blue Sport Short', 'none', 'Storeroom', '$5.50', '$12', '2', '2', 'short size', '34', 'shorts style', 'Sports short', 'short colour ', 'Blue', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (70, '', 'BSS36', 'Blue Sport Short', 'none', 'Storeroom', '$5.50', '$12', '2', '2', 'short size', '36', 'shorts style', 'Sports short', 'short colour ', 'Blue', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (71, '', 'BSS38', 'Blue Sport Short', 'none', 'Storeroom', '$5.50', '$12', '2', '2', 'short size', '38', 'shorts style', 'Sports short', 'short colour ', 'Blue', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (72, '', 'GSHT18', 'Grey Short', 'none', 'Storeroom', '$10', '$15', '15', '15', 'short size', '18', 'shorts style', 'Short', 'short colour ', 'Grey', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (73, '', 'GSHT20', 'Grey Short', 'none', 'Storeroom', '$10', '$15', '20', '20', 'short size', '20', 'shorts style', 'Short', 'short colour ', 'Grey', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (74, '', 'GSHT22', 'Grey Short', 'none', 'Storeroom', '$10', '$15', '20', '20', 'short size', '22', 'shorts style', 'Short', 'short colour ', 'Grey', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (75, '', 'GSHT24', 'Grey Short', 'none', 'Storeroom', '$10', '$15', '18', '18', 'short size', '24', 'shorts style', 'Short', 'short colour ', 'Grey', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (76, '', 'GSHT26', 'Grey Short', 'none', 'Storeroom', '$10', '$15', '15', '15', 'short size', 'Grey', 'shorts style', 'Short', 'short colour ', 'Grey', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (77, '', 'GSHT28', 'Grey Short', 'none', 'Storeroom', '$10', '$15', '10', '10', 'short size', '28', 'shorts style', 'Short', 'short colour ', 'Grey', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (78, '', 'GSHT30', 'Grey Short', 'none', 'Storeroom', '$10', '$15', '11', '11', 'short size', '30', 'shorts style', 'Short', 'short colour ', 'Grey', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (79, '', 'GSHT32', 'Grey Short', 'none', 'Storeroom', '$10', '$15', '4', '4', 'short size', '32', 'shorts style', 'Short', 'short colour ', 'Grey', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (80, '', 'GSHT34', 'Grey Short', 'none', 'Storeroom', '$10', '$15', '3', '3', 'short size', '34', 'shorts style', 'Short', 'short colour ', 'Grey', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (81, '', 'GSHT36', 'Grey Short', 'none', 'Storeroom', '$10', '$15', '2', '2', 'short size', '36', 'shorts style', 'Short', 'short colour ', 'Grey', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (82, '', 'GSHT38', 'Grey Short', 'none', 'Storeroom', '$10', '$15', '2', '2', 'short size', '38', 'shorts style', 'Short', 'short colour ', 'Grey', 'short gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (83, '', 'WSSS', 'White Short Sleeved shirts', 'none', 'Storeroom', '$10', '$15', '20', '20', 'Shirt size', '24', 'Shirt style', 'Short Sleeved', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (84, '', 'WSSS26', 'White Short Sleeved shirts', 'none', 'Storeroom', '$10', '$15', '20', '20', 'Shirt size', '26', 'Shirt style', 'Short Sleeved', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (85, '', 'WSSS28', 'White Short Sleeved shirts', 'none', 'Storeroom', '$10', '$15', '20', '20', 'Shirt size', '28', 'Shirt style', 'Short Sleeved', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (86, '', 'WSSS30', 'White Short Sleeved shirts', 'none', 'Storeroom', '$10', '$15', '20', '20', 'Shirt size', '30', 'Shirt style', 'Short Sleeved', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (87, '', 'WSSS32', 'White Short Sleeved shirts', 'none', 'Storeroom', '$10', '$15', '20', '20', 'Shirt size', '32', 'Shirt style', 'Short Sleeved', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (88, '', 'WSSS34', 'White Short Sleeved shirt', 'none', 'Storeroom', '$10', '$15', '20', '20', 'Shirt size', '34', 'Shirt style', 'Short Sleeved', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (89, '', 'WSSS36', 'White Short Sleeved shirt', 'none', 'Storeroom', '$10', '$15', '3', '3', 'Shirt size', '36', 'Shirt style', 'Short Sleeved', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (90, '', 'WSSS38', 'White Short Sleeved shirt', 'none', 'Storeroom', '$10', '$15', '2', '2', 'Shirt size', '38', 'Shirt style', 'Short Sleeved', 'Shirt color', 'White', 'Shirt gender', 'All', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (91, '', 'TD18', 'Tunic Dress', '', 'Storeroom', '$15', '$20', '20', '20', 'Tunic dress size', '18', 'Tunic dress style', 'Tunic dress', 'Tunic dress colour', 'Tunic dress', 'Tunic dress gender', 'Girls Tunic Dress', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (92, '', 'TD20', 'Tunic Dress', 'none', 'Storeroom', '$10', '$20', '15', '15', 'Tunic dress size', '20', 'Tunic dress style', 'Tunic dress', 'Tunic dress colour', 'Tunic dress', 'Tunic dress gender', 'Girls Tunic Dress', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (93, '', 'TD22', 'Tunic Dress', 'none', 'Storeroom', '$15', '$20', '15', '15', 'Tunic dress size', '22', 'Tunic dress style', 'Tunic dress', 'Tunic dress colour', 'Tunic dress', 'Tunic dress gender', 'Girls Tunic Dress', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (94, '', 'TD24', 'Tunic Dress', 'none', 'Storeroom', '$15', '$20', '15', '15', 'Tunic dress size', '24', 'Tunic dress style', 'Tunic dress', 'Tunic dress colour', 'Tunic dress', 'Tunic dress gender', 'Girls Tunic Dress', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (95, '', 'TD26', 'Tunic Dress', 'none', 'Storeroom', '$15', '$20', '5', '5', 'Tunic dress size', '26', 'Tunic dress gender', 'Tunic dress', 'Tunic dress colour', 'Tunic dress', 'Tunic dress gender', 'Girls Tunic Dress', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (96, '', 'TD28', 'Tunic Dress', 'none', 'Storeroom', '$15', '$20', '5', '5', 'Tunic dress size', '28', 'Tunic dress style', 'Tunic dress', 'Tunic dress colour', 'Tunic dress', 'Tunic dress gender', 'Girls Tunic Dress', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (97, '', 'TD30', 'Tunic Dress', 'none', 'Storeroom', '$15', '$20', '0', '0', 'Tunic dress size', '30', 'Tunic dress style', 'Tunic dress', 'Tunic dress colour', 'Tunic dress', 'Tunic dress gender', 'Girls Tunic Dress', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (98, '', 'WB18', 'White Blouse', 'none', 'Storeroom', '$10', '$15', '20', '20', 'Blouse size', '18', 'Blouse style', 'Girls Blouse', 'Blouse colour', 'White', 'Blouse gender', 'Girls Blouse', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (99, '', 'WB20', 'White Blouse', 'none', 'Storeroom', '$10', '$15', '15', '15', 'Blouse size', '20', 'Blouse style', 'Girls Blouse', 'Blouse colour', 'White', 'Blouse gender', 'Girls Blouse', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (100, '', 'WB22', 'White Blouse', 'none', 'Storeroom', '$10', '$15', '15', '15', 'Blouse size', '22', 'Blouse style', 'Girls Blouse', 'Blouse colour', 'White', 'Blouse gender', 'Girls Blouse', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (101, '', 'WB24', 'White Blouse', 'none', 'Storeroom', '$10', '$15', '15', '15', 'Blouse size', 'select', 'Blouse style', 'Girls Blouse', 'Blouse colour', 'White', 'Blouse gender', 'Girls Blouse', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (102, '', 'WB26', 'White Blouse', 'none', 'Storeroom', '$10', '$15', '5', '5', 'Blouse size', '24', 'Blouse style', 'Girls Blouse', 'Blouse colour', 'White', 'Blouse gender', 'Girls Blouse', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (103, '', 'WB28', 'White Blouse', 'none', 'Storeroom', '$10', '$15', '5', '5', 'Blouse size', '28', 'Blouse style', 'Girls Blouse', 'Blouse colour', 'Girls Blouse', 'Blouse gender', 'Girls Blouse', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (104, '', 'WB30', 'White Blouse', 'none', 'Storeroom', '$10', '$15', '0', '0', 'Blouse size', '30', 'Blouse style', 'Girls Blouse', 'Blouse colour', 'White', 'Blouse gender', 'Girls Blouse', '2024-02-02');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (105, '', 'HJ18', 'Half Jersey', 'none', 'Storeroom', '$30', '$50', '1', '1', 'Full jersey size', '18', 'Half jersey style', 'Half Jersey', 'Half jersey colour', 'Navy Blue', 'Half jersey gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (106, '', 'HJ20', 'Half Jersey', 'none', 'Storeroom', '$30', '$50', '14', '14', 'Half jersey size', '20', 'Half jersey style', 'Half Jersey', 'Half jersey colour', 'Navy Blue', 'Half jersey gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (107, '', 'HJ22', 'Half Jersey', 'none', 'Storeroom', '$30', '$50', '15', '15', 'Half jersey size', '22', 'Half jersey style', 'Half Jersey', 'Half jersey colour', 'Navy Blue', 'Half jersey gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (108, '', 'HJ24', 'Half Jersey', 'none', 'Storeroom', '$30', '$50', '29', '29', 'Half jersey size', '24', 'Half jersey style', 'Half Jersey', 'Half jersey colour', 'Navy Blue', 'Half jersey gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (109, '', 'HJ26', 'Half Jersey', 'none', 'Storeroom', '$30', '$50', '19', '19', 'Half jersey size', '26', 'Half jersey style', 'Half Jersey', 'Half jersey colour', 'Navy Blue', 'Half jersey gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (110, '', 'HJ28', 'Half Jersey', 'none', 'Storeroom', '$30', '$50', '15', '15', 'Half jersey size', '28', 'Half jersey style', 'Half Jersey', 'Half jersey colour', 'Navy Blue', 'Half jersey gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (111, '', 'HJ30', 'Half Jersey', 'none', 'Storeroom', '$30', '$50', '10', '10', 'Half jersey size', '30', 'Half jersey style', 'Half Jersey', 'Half jersey colour', 'Navy Blue', 'Half jersey gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (112, '', 'HJ32', 'Half Jersey', 'none', 'Storeroom', '$30', '$50', '11', '11', 'Half jersey size', '32', 'Half jersey style', 'Half Jersey', 'Half jersey colour', 'Navy Blue', 'Half jersey gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (113, '', 'HJ34', 'Half Jersey', 'none', 'Storeroom', '$30', '$50', '4', '4', 'Half jersey size', '34', 'Half jersey style', 'Half Jersey', 'Half jersey colour', 'Navy Blue', 'Half jersey gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (114, '', 'HJ36', 'Half Jersey', 'none', 'Storeroom', '$30', '$50', '3', '3', 'Half jersey size', '36', 'Half jersey style', 'Half Jersey', 'Half jersey colour', 'Navy Blue', 'Half jersey gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (115, '', 'FJ18', 'Full Jersey', 'none', 'Storeroom', '$30', '$50', '1', '1', 'Full jersey size', '18', 'Full jersey style', 'Full Jersey', 'Half jersey colour', 'Navy Blue', 'Full jersey  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (116, '', 'FJ20', 'Full Jersey', 'none', 'Storeroom', '$30', '$50', '18', '18', 'Full jersey size', '20', 'Full jersey style', 'Full Jersey', 'Full jersey  colour', 'Navy Blue', 'Full jersey  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (117, '', 'FJ22', 'Full Jersey', 'none', 'Storeroom', '$30', '$50', '15', '15', 'Full jersey size', '22', 'Full jersey style', 'Full Jersey', 'Full jersey  colour', 'Navy Blue', 'Full jersey  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (118, '', 'FJ24', 'Full Jersey', 'none', 'Storeroom', '$30', '$50', '25', '25', 'Full jersey size', '24', 'Full jersey style', 'Half Jersey', 'Full jersey  colour', 'Navy Blue', 'Full jersey  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (119, '', 'FJ26', 'Full Jersey', 'none', 'Storeroom', '$30', '$50', '20', '20', 'Full jersey size', '26', 'Full jersey style', 'Full Jersey', 'Full jersey  colour', 'Navy Blue', 'Full jersey  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (120, '', 'FJ28', 'Full Jersey', 'none', 'Storeroom', '$30', '$50', '16', '16', 'Full jersey size', '28', 'Full jersey style', 'Full Jersey', 'Full jersey  colour', 'Navy Blue', 'Full jersey  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (121, '', 'FJ30', 'Full Jersey', 'none', 'Storeroom', '$30', '$50', '11', '11', 'Full jersey size', '30', 'Full jersey style', 'Full Jersey', 'Full jersey  colour', 'Navy Blue', 'Full jersey  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (122, '', 'FJ32', 'Full Jersey', 'none', 'Storeroom', '$30', '$50', '10', '10', 'Full jersey size', '32', 'Full jersey style', 'Full Jersey', 'Full jersey  colour', 'Navy Blue', 'Full jersey  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (123, '', 'FJ34', 'Full Jersey', 'none', 'Storeroom', '$30', '$50', '4', '4', 'Full jersey size', '34', 'Full jersey style', 'Full Jersey', 'Full jersey  colour', 'Navy Blue', 'Full jersey  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (124, '', 'FJ36', 'Full Jersey', 'none', 'Storeroom', '$30', '$50', '3', '3', 'Full jersey size', '36', 'Full jersey style', 'Full Jersey', 'Full jersey  colour', 'Navy Blue', 'Full jersey  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (125, '', 'FJ38', 'Full Jersey', 'none', 'Storeroom', '$30', '$50', '0', '0', 'Full jersey size', '38', 'Full jersey style', 'Full Jersey', 'Full jersey  colour', 'Navy Blue', 'Full jersey  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (126, '', 'RTS20', 'Red T-shirts', 'none', 'Storeroom', '$6', '$10', '20', '20', 'T-shirts size', '20', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Red', 'T-shirt gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (127, '', 'TRS22', 'Red T-shirts', 'none', 'Storeroom', '$6', '$10', '19', '19', 'T-shirts size', '22', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Red', 'T-shirt gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (128, '', 'RTS24', 'Red T-shirts', 'none', 'Storeroom', '$6', '$10', '20', '20', 'T-shirts size', '24', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Navy Blue', 'T-shirt gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (129, '', 'RTS26', 'Red T-shirts', 'none', 'Storeroom', '$6', '$10', '26', '26', 'T-shirts size', '26', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', '26', 'T-shirt gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (130, '', 'RTS28', 'Red T-shirts', 'none', 'select', '$6', '$10', '21', '21', 'T-shirts size', '28', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Red', 'T-shirt gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (131, '', 'RTS30', 'Red T-shirts', 'none', 'Storeroom', '$6', '$10', '10', '10', 'T-shirts size', '30', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Red', 'T-shirt gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (132, '', 'RTS32', 'Red T-shirts', 'none', 'Storeroom', '$6', '$10', '4', '4', 'T-shirts size', '32', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Red', 'T-shirt gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (133, '', 'RTS34', 'Red T-shirts', 'none', 'Storeroom', '$6', '$10', '3', '3', 'T-shirts size', '34', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Red', 'T-shirt gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (134, '', 'RTS36', 'Red T-shirts', 'none', 'Storeroom', '$6', '$10', '3', '3', 'T-shirts size', '36', 'T-shirt style', 'Golf T-shirt', 'T-shirt colour', 'Red', 'T-shirt gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (135, '', 'TRS18', 'Tracksuit', 'none', 'Storeroom', '$30', '$50', '15', '15', 'Tracksuit  size', '18', 'Tracksuit  style', 'Complete Tracksuit', 'Tracksuit  colour', 'Navy Blue', 'Tracksuit  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (136, '', 'TRS20', 'Tracksuit', 'none', 'Storeroom', '$30', '$50', '16', '16', 'Tracksuit  size', '20', 'Tracksuit  style', 'Complete Tracksuit', 'Tracksuit  colour', 'Navy Blue', 'Tracksuit  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (137, '', 'TRS22', 'Tracksuit', 'none', 'Storeroom', '$30', '$50', '21', '21', 'Tracksuit  size', '22', 'Tracksuit  style', 'Complete Tracksuit', 'Tracksuit  colour', 'Navy Blue', 'Tracksuit  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (138, '', 'TRS24', 'Tracksuit', 'none', 'Storeroom', '$30', '$50', '26', '26', 'Tracksuit  size', '24', 'Tracksuit  style', 'Complete Tracksuit', 'Tracksuit  colour', 'Navy Blue', 'Tracksuit  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (139, '', 'TRS26', 'Tracksuit', 'none', 'Storeroom', '$30', '$50', '15', '15', 'Tracksuit  size', '26', 'Tracksuit  style', 'Complete Tracksuit', 'Tracksuit  colour', 'Navy Blue', 'Tracksuit  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (140, '', 'TRS28', 'Tracksuit', 'none', 'Storeroom', '$30', '$50', '16', '16', 'Tracksuit  size', '28', 'Tracksuit  style', 'Complete Tracksuit', 'Tracksuit  colour', 'Navy Blue', 'Tracksuit  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (141, '', 'TRS30', 'Tracksuit', 'none', 'Storeroom', '$30', '$50', '7', '7', 'Tracksuit  size', '30', 'Tracksuit  style', 'Complete Tracksuit', 'Tracksuit  colour', 'Navy Blue', 'Tracksuit  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (142, '', 'TRS32', 'Tracksuit', 'none', 'Storeroom', '$30', '$50', '5', '5', 'Tracksuit  size', '32', 'Tracksuit  style', 'Complete Tracksuit', 'Tracksuit  colour', 'Navy Blue', 'Tracksuit  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (143, '', 'TRS34', 'Tracksuit', 'none', 'Storeroom', '$30', '$50', '4', '4', 'Tracksuit  size', '34', 'Tracksuit  style', 'Complete Tracksuit', 'Tracksuit  colour', 'Navy Blue', 'Tracksuit  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (144, '', 'TRS36', 'Tracksuit', 'none', 'Storeroom', '$30', '$50', '3', '3', 'Tracksuit  size', '36', 'Tracksuit  style', 'Complete Tracksuit', 'Tracksuit  colour', 'Navy Blue', 'Tracksuit  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (145, '', 'TRS38', 'Tracksuit', 'none', 'Storeroom', '$30', '$50', '1', '1', 'Tracksuit  size', '38', 'Tracksuit  style', 'Complete Tracksuit', 'Tracksuit  colour', 'Navy Blue', 'Tracksuit  gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (146, '', 'GRS24', 'Grey Skirt', '', 'Storeroom', '$15', '$20', '10', '10', 'Skirt size', '24', 'Skirt style', 'Skirt ', 'Skirt colour', 'Grey', 'Skirt gender', 'Girls', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (147, '', 'GRS26', 'Grey Skirt', 'none', 'Storeroom', '$15', '$20', '10', '10', 'Skirt size', '26', 'Skirt style', 'Girls', 'Skirt colour', 'Grey', 'Skirt gender', 'Girls', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (148, '', 'GRS28', 'Grey Skirt', 'none', 'Storeroom', '$15', '$20', '10', '10', 'Skirt size', '28', 'Skirt style', 'Girls', 'Skirt colour', 'Grey', 'Skirt gender', 'Girls', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (149, '', 'GRS30', 'Grey Skirt', 'none', 'Storeroom', '$15', '$20', '5', '5', 'Skirt size', '30', 'Skirt style', 'Girls', 'Skirt colour', 'Grey', 'Skirt gender', 'Girls', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (150, '', 'GRS32', 'Grey Skirt', 'none', 'Storeroom', '$15', '$20', '4', '4', 'Skirt size', '32', 'Skirt style', 'Skirt ', 'Skirt colour', 'Grey', 'Skirt gender', 'Girls', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (151, '', 'GRS34', 'Grey Skirt', 'none', 'Storeroom', '$15', '$20', '4', '4', 'Skirt size', '34', 'Skirt style', 'Skirt ', 'Skirt colour', 'Grey', 'Skirt gender', 'Girls', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (152, '', 'BLZ20', 'Blazer', 'none', 'Storeroom', '$30', '$50', '2', '2', 'Blazer size', '20', 'Blazer style', 'Blazer', 'Blazer colour', 'Navy Blue', 'Blazer gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (153, '', 'BLZ22', 'Blazer', 'none', 'Storeroom', '$30', '$50', '2', '2', 'Blazer size', '22', 'Blazer style', 'Blazer', 'Blazer colour', 'Navy Blue', 'Blazer gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (154, '', 'BLZ24', 'Blazer', 'none', 'Storeroom', '$30', '$50', '10', '10', 'Blazer size', '24', 'Blazer style', 'Blazer', 'Blazer colour', 'Navy Blue', 'Blazer gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (155, '', 'BLZ26', 'Blazer', 'none', 'Storeroom', '$30', '$50', '7', '7', 'Blazer size', '26', 'Blazer style', 'Blazer', 'Blazer colour', 'Navy Blue', 'Blazer gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (156, '', 'BLZ28', 'Blazer', 'none', 'Storeroom', '$30', '$50', '3', '3', 'Blazer size', '28', 'Blazer style', 'Blazer', 'Blazer colour', 'Navy Blue ', 'Blazer gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (157, '', 'BLZ30', 'Blazer', 'none', 'Storeroom', '$30', '$50', '2', '2', 'Blazer size', '30', 'Blazer style', 'Blazer', 'Blazer colour', 'Navy Blue', 'Blazer gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (158, '', 'BLZ32', 'Blazer', 'none', 'Storeroom', '$30', '$50', '1', '1', 'Blazer size', '32', 'Blazer style', 'Blazer', 'Blazer colour', 'Navy Blue', 'Blazer gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (159, '', 'BLZ34', 'Blazer', 'none', 'Storeroom', '$30', '$50', '1', '1', 'Blazer size', '34', 'Blazer style', 'Blazer', 'Blazer colour', 'Navy Blue', 'Blazer gender', 'All', '2024-02-05');
INSERT INTO `uniformitem` (`id`, `studentid`, `itemcode`, `itemdescript`, `itemgroups`, `warehouse`, `costprice`, `sellingprice`, `quantity`, `originalqnty`, `groupsize`, `valuesize`, `groupstyle`, `stylevalue`, `colourgroup`, `colourvalue`, `gendergroup`, `gendervalue`, `created_at`) VALUES (160, '', 'ELMAZ001', 'ELMAZ BUSINESS', 'none', 'Storeroom', '$10', '$20', '10', '10', 'Elmaz size', '30 Courses Elmaz ', 'Elmaz style', 'long Course Elmaz ', 'Elmaz colour', 'Blue Elmaz  logo', 'Elmaz gender', 'All Elmaz', '2024-02-08');


#
# TABLE STRUCTURE FOR: uniformpos
#

DROP TABLE IF EXISTS `uniformpos`;

CREATE TABLE `uniformpos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` varchar(255) NOT NULL,
  `itemcode` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `quantity` int(255) NOT NULL,
  `amount` varchar(255) NOT NULL,
  `payment` varchar(255) NOT NULL,
  `created_date` varchar(255) NOT NULL,
  `balance` varchar(255) NOT NULL,
  `negativequantity` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

INSERT INTO `uniformpos` (`id`, `student_id`, `itemcode`, `description`, `quantity`, `amount`, `payment`, `created_date`, `balance`, `negativequantity`) VALUES (1, 'SM005', 'WT20', 'WHITE T-SHIRT SIZE 20', 5, '12', 'USD', '12/03/24', '20', 0);


#
# TABLE STRUCTURE FOR: userlog
#

DROP TABLE IF EXISTS `userlog`;

CREATE TABLE `userlog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(100) DEFAULT NULL,
  `role` varchar(100) DEFAULT NULL,
  `ipaddress` varchar(100) DEFAULT NULL,
  `user_agent` varchar(500) DEFAULT NULL,
  `login_datetime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=410 DEFAULT CHARSET=utf8;

INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (0, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-06 15:30:02');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (1, 'superadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 108.0, Windows 10', '2023-01-10 07:17:20');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (258, 'superadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 109.0, Windows 10', '2023-02-02 09:56:20');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (259, 'superadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 109.0, Windows 10', '2023-02-02 14:00:15');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (260, 'superadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 109.0, Windows 10', '2023-02-03 06:27:12');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (261, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-03 19:03:41');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (262, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-03 22:08:40');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (263, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-06 19:38:07');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (264, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-07 02:49:30');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (265, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-07 05:11:54');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (266, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-07 16:49:06');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (267, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-07 21:21:49');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (268, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-08 15:42:36');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (269, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-09 18:12:51');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (270, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-10 16:59:20');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (271, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-12 05:10:13');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (272, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-12 20:44:10');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (273, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-13 15:49:17');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (274, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-14 01:21:25');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (275, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-14 03:30:15');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (276, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-14 16:29:38');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (277, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-02-14 20:21:17');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (278, 'superadmin@gmail.com', 'Super Admin', '172.20.10.3', 'Chrome 107.0.0.0, Windows 10', '2023-02-14 20:26:55');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (279, 'superadmin@gmail.com', 'Super Admin', '172.20.10.10', 'Chrome 109.0.0.0, Windows 10', '2023-02-14 20:52:34');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (280, 'superadmin@gmail.com', 'Super Admin', '172.20.10.10', 'Chrome 109.0.0.0, Windows 10', '2023-02-15 16:36:42');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (281, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 92.0.4515.131, Windows 10', '2023-02-24 19:48:17');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (282, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-03-02 19:46:16');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (283, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-03-02 23:00:02');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (284, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 109.0.0.0, Windows 10', '2023-03-03 17:55:09');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (285, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 110.0.0.0, Windows 10', '2023-03-06 16:44:48');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (288, 'superadmin@gmail.com', 'Super Admin', '::1', 'Chrome 110.0.0.0, Windows 10', '2023-03-10 10:46:10');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (289, 'superadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 110.0, Windows 10', '2023-03-13 09:10:15');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (290, 'pjssuperadmin@gmail.com', 'Admin', '127.0.0.1', 'Firefox 110.0, Windows 10', '2023-03-13 10:53:43');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (291, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 110.0, Windows 10', '2023-03-13 10:53:55');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (292, 'pjssuperadmin@gmail.com', 'Admin', '127.0.0.1', 'Firefox 110.0, Windows 10', '2023-03-13 11:19:49');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (293, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 110.0, Windows 10', '2023-03-13 16:19:48');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (294, 'pjssuperadmin@gmail.com', 'Admin', '127.0.0.1', 'Firefox 110.0, Windows 10', '2023-03-14 08:05:49');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (295, 'pjssuperadmin@gmail.com', 'Admin', '127.0.0.1', 'Firefox 110.0, Windows 10', '2023-03-14 10:21:48');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (296, 'pjssuperadmin@gmail.com', 'Admin', '127.0.0.1', 'Firefox 110.0, Windows 10', '2023-03-14 12:40:17');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (297, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 110.0, Windows 10', '2023-03-16 10:00:25');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (298, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 110.0, Windows 10', '2023-03-17 10:55:54');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (299, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 110.0, Windows 10', '2023-03-17 14:57:34');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (300, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-22 11:24:41');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (301, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-22 12:08:04');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (302, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-22 12:47:58');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (303, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-22 12:48:32');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (304, 'mssuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 111.0.0.0, Windows 10', '2023-03-22 12:49:33');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (305, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-22 13:05:58');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (306, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-22 13:17:28');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (307, 'mssuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 110.0.0.0, Windows 10', '2023-03-22 13:18:27');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (308, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-22 13:36:36');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (309, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-23 12:21:51');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (310, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-24 08:34:00');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (311, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-24 10:43:01');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (312, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-24 14:23:50');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (313, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-24 14:26:02');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (314, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-24 14:33:58');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (315, 'pjssuperadmin@gmail.com', 'Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-25 09:29:32');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (316, 'pjssuperadmin@gmail.com', 'Admin', '172.22.208.1', 'Firefox 111.0, Windows 10', '2023-03-25 09:35:47');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (317, 'pjssuperadmin@gmail.com', 'Admin', '192.168.1.3', 'Firefox 111.0, Windows 10', '2023-03-25 10:53:45');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (318, 'mssuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 110.0.0.0, Windows 10', '2023-03-27 09:17:16');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (319, 'mssuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 110.0.0.0, Windows 10', '2023-03-27 09:42:17');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (320, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-27 09:47:40');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (321, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-27 10:37:41');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (322, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-27 14:27:46');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (323, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-28 07:50:43');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (324, 'pjssuperadmin@gmail.com', 'Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-28 16:20:25');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (325, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-29 08:40:23');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (326, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-30 09:13:23');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (327, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-30 16:08:14');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (328, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-31 07:35:05');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (329, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-31 08:39:56');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (330, 'pjssuperadmin@gmail.com', 'Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-31 08:57:49');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (331, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-03-31 08:58:18');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (332, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-01 09:10:43');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (333, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-03 08:31:29');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (334, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-03 12:05:59');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (335, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-03 12:31:37');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (336, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-03 12:38:56');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (337, 'mssuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 111.0.0.0, Windows 10', '2023-04-03 12:39:39');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (338, 'mssuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 111.0.0.0, Windows 10', '2023-04-03 12:40:04');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (339, 'mssuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 111.0.0.0, Windows 10', '2023-04-03 12:46:03');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (340, 'mssuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 111.0.0.0, Windows 10', '2023-04-04 07:54:38');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (341, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-04 07:54:59');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (342, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-04 08:48:27');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (343, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-04 09:14:23');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (344, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-04 13:53:21');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (345, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-04 16:11:14');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (346, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-04 16:12:53');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (347, 'mssuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 111.0.0.0, Windows 10', '2023-04-04 16:25:21');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (348, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-05 07:55:13');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (349, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-06 08:01:27');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (350, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-06 15:40:04');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (351, 'pjssuperadmin@gmail.com', 'Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-07 09:56:48');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (352, 'pjssuperadmin@gmail.com', 'Admin', '::1', 'Chrome 68.0.3440.75, Windows 10', '2023-04-11 13:51:42');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (353, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-12 07:53:21');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (354, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-13 07:34:48');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (355, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 111.0, Windows 10', '2023-04-13 14:10:09');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (356, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 112.0, Windows 10', '2023-04-17 09:19:17');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (357, 'mssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 112.0, Windows 10', '2023-04-17 13:27:29');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (358, 'pjssuperadmin@gmail.com', 'Super Admin', '127.0.0.1', 'Firefox 112.0, Windows 10', '2023-04-19 08:15:34');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (359, 'pjssuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 120.0.0.0, Windows 10', '2024-01-18 08:55:43');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (360, 'pjssuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 120.0.0.0, Windows 10', '2024-01-18 12:40:08');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (361, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 120.0.0.0, Windows 10', '2024-01-18 12:58:39');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (362, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 120.0.0.0, Windows 10', '2024-01-18 13:00:51');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (363, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 120.0.0.0, Windows 10', '2024-01-18 13:02:24');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (364, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 120.0.0.0, Windows 10', '2024-01-18 13:04:39');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (365, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 120.0.0.0, Windows 10', '2024-01-18 13:13:17');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (366, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 120.0.0.0, Windows 10', '2024-01-18 13:18:26');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (367, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 120.0.0.0, Windows 10', '2024-01-19 16:21:36');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (368, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 120.0.0.0, Windows 10', '2024-01-23 10:52:00');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (369, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 120.0.0.0, Windows 10', '2024-01-25 10:40:42');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (370, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 120.0.0.0, Windows 10', '2024-01-30 13:18:32');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (371, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 120.0.0.0, Windows 10', '2024-01-30 16:17:55');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (372, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-01-31 23:31:13');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (373, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-01 08:17:07');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (374, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-02 08:16:29');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (375, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-02 15:09:15');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (376, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-05 08:06:35');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (377, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-05 11:51:58');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (378, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-06 08:41:59');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (379, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-06 08:45:08');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (380, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-06 09:11:57');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (381, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-06 09:12:18');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (382, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-06 11:24:56');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (383, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-07 09:41:45');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (384, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-07 12:12:39');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (385, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-08 08:28:33');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (386, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-08 21:53:42');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (387, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 121.0.0.0, Windows 10', '2024-02-09 08:17:27');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (388, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 122.0.0.0, Windows 10', '2024-03-05 12:31:55');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (389, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 122.0.0.0, Windows 10', '2024-03-08 16:24:58');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (390, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 122.0.0.0, Windows 10', '2024-03-11 09:00:55');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (391, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 122.0.0.0, Windows 10', '2024-03-12 07:29:06');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (392, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 122.0.0.0, Windows 10', '2024-03-14 08:52:21');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (393, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 122.0.0.0, Windows 10', '2024-03-15 07:47:35');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (394, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 122.0.0.0, Windows 10', '2024-03-15 11:24:48');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (395, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 122.0.0.0, Windows 10', '2024-03-18 10:47:53');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (396, 'mesuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 122.0.0.0, Windows 10', '2024-03-18 13:06:47');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (397, 'smsuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 122.0.0.0, Windows 10', '2024-03-18 15:05:16');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (398, 'smsuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 122.0.0.0, Windows 10', '2024-03-18 15:07:12');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (399, 'smsuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 122.0.0.0, Windows 10', '2024-03-18 15:07:58');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (400, 'smsuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 122.0.0.0, Windows 10', '2024-03-18 15:40:04');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (401, 'smsuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 126.0.0.0, Windows 10', '2024-06-14 12:05:51');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (402, 'smsuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 126.0.0.0, Windows 10', '2024-06-17 09:03:35');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (403, 'smsuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 126.0.0.0, Windows 10', '2024-06-19 12:12:45');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (404, 'smsuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 126.0.0.0, Windows 10', '2024-07-08 12:10:10');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (405, 'smsuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 126.0.0.0, Windows 10', '2024-07-08 15:59:35');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (406, 'smsuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 126.0.0.0, Windows 10', '2024-07-09 09:24:57');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (407, 'smsuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 126.0.0.0, Windows 10', '2024-07-10 09:47:32');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (408, 'smsuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 126.0.0.0, Windows 10', '2024-07-11 11:44:21');
INSERT INTO `userlog` (`id`, `user`, `role`, `ipaddress`, `user_agent`, `login_datetime`) VALUES (409, 'smsuperadmin@gmail.com', 'Super Admin', '::1', 'Chrome 126.0.0.0, Windows 10', '2024-07-11 14:35:38');


#
# TABLE STRUCTURE FOR: users
#

DROP TABLE IF EXISTS `users`;

CREATE TABLE `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(10) NOT NULL,
  `username` varchar(50) DEFAULT NULL,
  `password` varchar(50) DEFAULT NULL,
  `childs` text NOT NULL,
  `role` varchar(30) NOT NULL,
  `verification_code` varchar(200) NOT NULL,
  `is_active` varchar(255) DEFAULT 'yes',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=519 DEFAULT CHARSET=utf8;

INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (10, 6, 'std6', 'zgsqfy', '', 'student', '', 'yes', '2023-02-03 20:19:23', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (11, 0, 'parent6', 'o0aqi7', '6', 'parent', '', 'yes', '2023-02-03 20:19:23', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (12, 7, 'std7', '54w03k', '', 'student', '', 'yes', '2023-02-06 19:50:58', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (13, 0, 'parent7', '0shjcj', '7', 'parent', '', 'yes', '2023-02-06 19:50:58', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (14, 8, 'std8', 'w2ov7z', '', 'student', '', 'yes', '2023-02-06 20:08:53', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (15, 0, 'parent8', '04d3et', '8', 'parent', '', 'yes', '2023-02-06 20:08:53', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (16, 9, 'std9', 'etov9l', '', 'student', '', 'yes', '2023-02-06 20:14:51', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (17, 0, 'parent9', 'fn6lnd', '9', 'parent', '', 'yes', '2023-02-06 20:14:51', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (18, 10, 'std10', 'w5yibq', '', 'student', '', 'yes', '2023-02-06 20:25:16', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (19, 0, 'parent10', 'is7w61', '10', 'parent', '', 'yes', '2023-02-06 20:25:16', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (20, 11, 'std11', 'w3eens', '', 'student', '', 'yes', '2023-02-06 20:27:32', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (21, 0, 'parent11', 'btc8vb', '11', 'parent', '', 'yes', '2023-02-06 20:27:32', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (22, 12, 'std12', 'jo6r0e', '', 'student', '', 'yes', '2023-02-06 20:31:12', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (23, 0, 'parent12', 'evlcoy', '12', 'parent', '', 'yes', '2023-02-06 20:31:12', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (24, 13, 'std13', '9rrgyg', '', 'student', '', 'yes', '2023-02-06 20:33:44', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (25, 0, 'parent13', 'y011a3', '13', 'parent', '', 'yes', '2023-02-06 20:33:44', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (26, 14, 'std14', 'kc7d8r', '', 'student', '', 'yes', '2023-02-06 20:37:25', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (27, 0, 'parent14', '9exfg6', '14', 'parent', '', 'yes', '2023-02-06 20:37:25', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (28, 15, 'std15', 'hktyps', '', 'student', '', 'yes', '2023-02-06 20:40:23', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (29, 0, 'parent15', 'e28vbs', '15', 'parent', '', 'yes', '2023-02-06 20:40:23', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (30, 16, 'std16', 'p177cw', '', 'student', '', 'yes', '2023-02-06 21:52:15', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (31, 0, 'parent16', '4qhkkm', '16', 'parent', '', 'yes', '2023-02-06 21:52:15', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (32, 17, 'std17', 'svnuk5', '', 'student', '', 'yes', '2023-02-06 21:57:02', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (33, 0, 'parent17', 'dq5w4a', '17', 'parent', '', 'yes', '2023-02-06 21:57:02', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (34, 18, 'std18', '0cf9au', '', 'student', '', 'yes', '2023-02-06 22:00:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (35, 0, 'parent18', 'vrdw7b', '18', 'parent', '', 'yes', '2023-02-06 22:00:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (36, 19, 'std19', 'nhpiq6', '', 'student', '', 'yes', '2023-02-06 22:04:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (37, 0, 'parent19', 'hp9v6b', '19', 'parent', '', 'yes', '2023-02-06 22:04:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (38, 20, 'std20', 'qbpdq5', '', 'student', '', 'yes', '2023-02-06 22:07:05', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (39, 0, 'parent20', '5c1ymw', '20', 'parent', '', 'yes', '2023-02-06 22:07:05', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (40, 21, 'std21', '5qggpt', '', 'student', '', 'yes', '2023-02-06 22:08:52', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (41, 0, 'parent21', 'hrrni3', '21', 'parent', '', 'yes', '2023-02-06 22:08:52', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (42, 22, 'std22', 'ehts8g', '', 'student', '', 'yes', '2023-02-06 22:18:34', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (43, 0, 'parent22', 'sjz6lc', '22', 'parent', '', 'yes', '2023-02-06 22:18:34', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (44, 23, 'std23', 'jy123i', '', 'student', '', 'yes', '2023-02-06 22:30:24', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (45, 0, 'parent23', 'op5ria', '23', 'parent', '', 'yes', '2023-02-06 22:30:24', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (46, 24, 'std24', 't1hiuc', '', 'student', '', 'yes', '2023-02-06 22:33:14', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (47, 0, 'parent24', 'b9no7s', '24', 'parent', '', 'yes', '2023-02-06 22:33:14', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (48, 25, 'std25', '2bcz7i', '', 'student', '', 'yes', '2023-02-06 22:35:46', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (49, 0, 'parent25', '382bxl', '25', 'parent', '', 'yes', '2023-02-06 22:35:46', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (50, 26, 'std26', '7ss5ja', '', 'student', '', 'yes', '2023-02-06 22:37:43', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (51, 0, 'parent26', '6ppq5q', '26', 'parent', '', 'yes', '2023-02-06 22:37:43', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (52, 27, 'std27', 'kvldaf', '', 'student', '', 'yes', '2023-02-07 17:01:21', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (53, 0, 'parent27', 'hpo28t', '27', 'parent', '', 'yes', '2023-02-07 17:01:21', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (54, 28, 'std28', 'qkwhy5', '', 'student', '', 'yes', '2023-02-07 17:06:07', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (55, 0, 'parent28', 'fia93j', '28', 'parent', '', 'yes', '2023-02-07 17:06:07', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (56, 29, 'std29', 'w449x9', '', 'student', '', 'yes', '2023-02-07 17:10:14', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (57, 0, 'parent29', 'u3e51v', '29', 'parent', '', 'yes', '2023-02-07 17:10:14', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (58, 30, 'std30', 'wftbg3', '', 'student', '', 'yes', '2023-02-07 17:14:01', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (59, 0, 'parent30', 'jdleoj', '30', 'parent', '', 'yes', '2023-02-07 17:14:01', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (60, 31, 'std31', '6mcsfj', '', 'student', '', 'yes', '2023-02-07 17:20:17', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (61, 0, 'parent31', '1v8z0x', '31', 'parent', '', 'yes', '2023-02-07 17:20:17', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (62, 32, 'std32', 'oq9z02', '', 'student', '', 'yes', '2023-02-07 21:34:02', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (63, 0, 'parent32', '0aonab', '32', 'parent', '', 'yes', '2023-02-07 21:34:02', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (64, 33, 'std33', 'loyo9l', '', 'student', '', 'yes', '2023-02-08 15:55:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (65, 0, 'parent33', '0egxdj', '33', 'parent', '', 'yes', '2023-02-08 15:55:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (66, 34, 'std34', '6tibxp', '', 'student', '', 'yes', '2023-02-08 16:15:28', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (67, 0, 'parent34', 'dzlph6', '34', 'parent', '', 'yes', '2023-02-08 16:15:28', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (68, 35, 'std35', 'cgpeip', '', 'student', '', 'yes', '2023-02-08 16:20:05', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (69, 0, 'parent35', 'r4v9qs', '35', 'parent', '', 'yes', '2023-02-08 16:20:05', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (70, 36, 'std36', 'oakvoz', '', 'student', '', 'yes', '2023-02-08 16:32:38', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (71, 0, 'parent36', '8vqj1p', '36', 'parent', '', 'yes', '2023-02-08 16:32:38', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (72, 37, 'std37', 'sbgoa8', '', 'student', '', 'yes', '2023-02-08 16:45:43', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (73, 0, 'parent37', '7z5q4o', '37', 'parent', '', 'yes', '2023-02-08 16:45:43', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (74, 38, 'std38', '1sq5fe', '', 'student', '', 'yes', '2023-02-08 16:50:49', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (75, 0, 'parent38', 'a7egqx', '38', 'parent', '', 'yes', '2023-02-08 16:50:49', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (76, 39, 'std39', '3vd0js', '', 'student', '', 'yes', '2023-02-08 17:16:00', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (77, 0, 'parent39', 'juxho7', '39', 'parent', '', 'yes', '2023-02-08 17:16:00', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (78, 40, 'std40', '3i797h', '', 'student', '', 'yes', '2023-02-08 17:25:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (79, 0, 'parent40', 'jqe1j8', '40', 'parent', '', 'yes', '2023-02-08 17:25:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (80, 41, 'std41', 'e48xvp', '', 'student', '', 'yes', '2023-02-08 17:32:10', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (81, 0, 'parent41', '52l2iz', '41', 'parent', '', 'yes', '2023-02-08 17:32:10', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (82, 42, 'std42', 'rjpzxq', '', 'student', '', 'yes', '2023-02-08 17:52:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (83, 0, 'parent42', 'ft8e6o', '42', 'parent', '', 'yes', '2023-02-08 17:52:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (84, 43, 'std43', 'ex49om', '', 'student', '', 'yes', '2023-02-09 18:57:09', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (85, 0, 'parent43', '96pn1s', '43', 'parent', '', 'yes', '2023-02-09 18:57:09', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (86, 44, 'std44', 'pl634b', '', 'student', '', 'yes', '2023-02-09 19:00:05', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (87, 0, 'parent44', 'vvsoj7', '44', 'parent', '', 'yes', '2023-02-09 19:00:05', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (88, 45, 'std45', 'vrap1p', '', 'student', '', 'yes', '2023-02-09 19:01:48', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (89, 0, 'parent45', 'yqxwiz', '45', 'parent', '', 'yes', '2023-02-09 19:01:48', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (90, 46, 'std46', '3f75vq', '', 'student', '', 'yes', '2023-02-09 19:08:49', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (91, 0, 'parent46', 'gp3o45', '46', 'parent', '', 'yes', '2023-02-09 19:08:49', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (92, 47, 'std47', 'e546l1', '', 'student', '', 'yes', '2023-02-09 19:10:28', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (93, 0, 'parent47', 'gzxyog', '47', 'parent', '', 'yes', '2023-02-09 19:10:28', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (94, 48, 'std48', 'n5vktj', '', 'student', '', 'yes', '2023-02-09 19:13:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (95, 0, 'parent48', '8gn1sb', '48', 'parent', '', 'yes', '2023-02-09 19:13:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (96, 49, 'std49', 'veu23y', '', 'student', '', 'yes', '2023-02-09 19:39:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (97, 0, 'parent49', 'd7elvh', '49', 'parent', '', 'yes', '2023-02-09 19:39:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (98, 50, 'std50', 'jftrcu', '', 'student', '', 'yes', '2023-02-09 19:41:56', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (99, 0, 'parent50', 'd1fno6', '50', 'parent', '', 'yes', '2023-02-09 19:41:56', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (100, 51, 'std51', 'n5u6vz', '', 'student', '', 'yes', '2023-02-09 19:44:08', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (101, 0, 'parent51', 'v2bc23', '51', 'parent', '', 'yes', '2023-02-09 19:44:09', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (102, 52, 'std52', 'd3ck87', '', 'student', '', 'yes', '2023-02-09 19:47:55', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (103, 0, 'parent52', 'zkd6tk', '52', 'parent', '', 'yes', '2023-02-09 19:47:55', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (104, 53, 'std53', '7rrb2v', '', 'student', '', 'yes', '2023-02-09 19:52:42', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (105, 0, 'parent53', '28kjfz', '53', 'parent', '', 'yes', '2023-02-09 19:52:42', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (106, 54, 'std54', '2oe5qy', '', 'student', '', 'yes', '2023-02-09 20:02:59', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (107, 0, 'parent54', '99w59d', '54', 'parent', '', 'yes', '2023-02-09 20:02:59', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (108, 55, 'std55', 'ntidfc', '', 'student', '', 'yes', '2023-02-10 17:08:29', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (109, 0, 'parent55', 'lpqin3', '55', 'parent', '', 'yes', '2023-02-10 17:08:29', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (110, 56, 'std56', 'mqoy4b', '', 'student', '', 'yes', '2023-02-10 17:12:23', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (111, 0, 'parent56', 'brj0ku', '56', 'parent', '', 'yes', '2023-02-10 17:12:23', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (112, 57, 'std57', '8wrpvc', '', 'student', '', 'yes', '2023-02-10 17:19:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (113, 0, 'parent57', 'ad6oco', '57', 'parent', '', 'yes', '2023-02-10 17:19:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (114, 58, 'std58', 'dyr0rl', '', 'student', '', 'yes', '2023-02-10 17:21:23', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (115, 0, 'parent58', 'qnozei', '58', 'parent', '', 'yes', '2023-02-10 17:21:23', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (116, 59, 'std59', 'nj9vn7', '', 'student', '', 'yes', '2023-02-10 17:22:59', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (117, 0, 'parent59', 'pjn6pf', '59', 'parent', '', 'yes', '2023-02-10 17:22:59', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (118, 60, 'std60', 'sa6byi', '', 'student', '', 'yes', '2023-02-12 05:36:07', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (119, 0, 'parent60', 'k0m3gn', '60', 'parent', '', 'yes', '2023-02-12 05:36:07', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (120, 61, 'std61', 'fbjt08', '', 'student', '', 'yes', '2023-02-12 05:49:51', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (121, 0, 'parent61', 'vft2g0', '61', 'parent', '', 'yes', '2023-02-12 05:49:51', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (122, 62, 'std62', 'xkttdd', '', 'student', '', 'yes', '2023-02-12 05:59:30', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (123, 0, 'parent62', 'okqqji', '62', 'parent', '', 'yes', '2023-02-12 05:59:30', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (124, 63, 'std63', 'kd0wri', '', 'student', '', 'yes', '2023-02-12 06:09:54', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (125, 64, 'std64', 'khhius', '', 'student', '', 'yes', '2023-02-12 06:16:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (126, 0, 'parent64', 'jgyjlp', '64', 'parent', '', 'yes', '2023-02-12 06:16:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (127, 65, 'std65', 'p9rjch', '', 'student', '', 'yes', '2023-02-12 06:23:35', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (128, 0, 'parent65', 'xpyh4e', '65', 'parent', '', 'yes', '2023-02-12 06:23:35', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (129, 66, 'std66', 'vh6a4r', '', 'student', '', 'yes', '2023-02-12 06:30:18', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (130, 67, 'std67', '3cl2ii', '', 'student', '', 'yes', '2023-02-12 06:36:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (131, 68, 'std68', 'v747ql', '', 'student', '', 'yes', '2023-02-12 06:45:10', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (132, 0, 'parent68', 'mqyoa3', '68', 'parent', '', 'yes', '2023-02-12 06:45:10', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (133, 69, 'std69', 'hv2hnp', '', 'student', '', 'yes', '2023-02-12 06:51:07', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (134, 0, 'parent69', 'si9dd7', '69', 'parent', '', 'yes', '2023-02-12 06:51:07', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (135, 70, 'std70', 'sukr49', '', 'student', '', 'yes', '2023-02-12 06:57:48', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (136, 0, 'parent70', '0har65', '70', 'parent', '', 'yes', '2023-02-12 06:57:48', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (137, 71, 'std71', '6i70qd', '', 'student', '', 'yes', '2023-02-12 07:06:34', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (138, 0, 'parent71', 'pnvv3m', '71', 'parent', '', 'yes', '2023-02-12 07:06:34', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (139, 72, 'std72', 'vqsn15', '', 'student', '', 'yes', '2023-02-12 07:23:18', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (140, 0, 'parent72', 'i6p6f2', '72', 'parent', '', 'yes', '2023-02-12 07:23:18', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (141, 73, 'std73', '5hzk9k', '', 'student', '', 'yes', '2023-02-12 07:27:09', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (142, 0, 'parent73', 'aqqmvf', '73', 'parent', '', 'yes', '2023-02-12 07:27:09', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (143, 74, 'std74', 'keim59', '', 'student', '', 'yes', '2023-02-12 07:32:08', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (144, 0, 'parent74', 'ob5spa', '74', 'parent', '', 'yes', '2023-02-12 07:32:08', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (145, 75, 'std75', '2yyxe1', '', 'student', '', 'yes', '2023-02-12 07:39:59', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (146, 0, 'parent75', 'jsvxu9', '75', 'parent', '', 'yes', '2023-02-12 07:39:59', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (147, 76, 'std76', 'qs2zzq', '', 'student', '', 'yes', '2023-02-12 07:45:01', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (148, 0, 'parent76', 'vheuuk', '76', 'parent', '', 'yes', '2023-02-12 07:45:01', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (149, 77, 'std77', 'eugron', '', 'student', '', 'yes', '2023-02-12 07:49:54', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (150, 0, 'parent77', 'zb831i', '77', 'parent', '', 'yes', '2023-02-12 07:49:54', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (151, 78, 'std78', 'xxewy1', '', 'student', '', 'yes', '2023-02-12 07:53:55', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (152, 0, 'parent78', 'wtxafr', '78', 'parent', '', 'yes', '2023-02-12 07:53:55', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (153, 79, 'std79', 'wpns16', '', 'student', '', 'yes', '2023-02-12 07:57:35', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (154, 0, 'parent79', '3549dx', '79', 'parent', '', 'yes', '2023-02-12 07:57:35', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (155, 80, 'std80', 'jn3kje', '', 'student', '', 'yes', '2023-02-12 20:49:32', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (156, 81, 'std81', 'srb02a', '', 'student', '', 'yes', '2023-02-12 20:53:41', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (157, 0, 'parent81', '2o2sqe', '81', 'parent', '', 'yes', '2023-02-12 20:53:41', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (158, 82, 'std82', 's5go3s', '', 'student', '', 'yes', '2023-02-12 20:57:36', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (159, 0, 'parent82', 'fw5ouo', '82', 'parent', '', 'yes', '2023-02-12 20:57:36', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (160, 83, 'std83', 'rffwk7', '', 'student', '', 'yes', '2023-02-12 20:58:15', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (161, 0, 'parent83', '209aen', '83', 'parent', '', 'yes', '2023-02-12 20:58:15', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (162, 84, 'std84', 'qhd1z1', '', 'student', '', 'yes', '2023-02-12 21:06:35', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (163, 0, 'parent84', 'hocz7b', '84', 'parent', '', 'yes', '2023-02-12 21:06:35', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (164, 85, 'std85', 'xk2r8x', '', 'student', '', 'yes', '2023-02-12 21:11:17', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (165, 0, 'parent85', 'cw7js7', '85', 'parent', '', 'yes', '2023-02-12 21:11:17', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (166, 86, 'std86', '86hltb', '', 'student', '', 'yes', '2023-02-12 21:16:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (167, 0, 'parent86', 'hic84r', '86', 'parent', '', 'yes', '2023-02-12 21:16:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (168, 87, 'std87', 'edh0cw', '', 'student', '', 'yes', '2023-02-12 21:22:02', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (169, 0, 'parent87', '2f3i50', '87', 'parent', '', 'yes', '2023-02-12 21:22:02', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (170, 88, 'std88', 'fmhpt6', '', 'student', '', 'yes', '2023-02-12 21:26:39', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (171, 0, 'parent88', 'c3f1op', '88', 'parent', '', 'yes', '2023-02-12 21:26:39', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (172, 89, 'std89', 'm9gwko', '', 'student', '', 'yes', '2023-02-12 21:47:18', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (173, 0, 'parent89', 'ggiwfk', '89', 'parent', '', 'yes', '2023-02-12 21:47:18', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (174, 90, 'std90', 'c01m1b', '', 'student', '', 'yes', '2023-02-12 21:50:29', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (175, 0, 'parent90', 'cbmd4f', '90', 'parent', '', 'yes', '2023-02-12 21:50:29', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (176, 91, 'std91', '7hpk0q', '', 'student', '', 'yes', '2023-02-12 21:55:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (177, 0, 'parent91', 'h9uxxs', '91', 'parent', '', 'yes', '2023-02-12 21:55:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (178, 92, 'std92', '8r6k8o', '', 'student', '', 'yes', '2023-02-12 22:00:06', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (179, 0, 'parent92', '6sg8l5', '92', 'parent', '', 'yes', '2023-02-12 22:00:06', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (180, 93, 'std93', '6vu1kh', '', 'student', '', 'yes', '2023-02-12 22:03:18', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (181, 0, 'parent93', 'xsdg9w', '93', 'parent', '', 'yes', '2023-02-12 22:03:18', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (182, 94, 'std94', 'rtj8sv', '', 'student', '', 'yes', '2023-02-12 22:07:09', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (183, 0, 'parent94', 'kuswz1', '94', 'parent', '', 'yes', '2023-02-12 22:07:09', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (184, 95, 'std95', 'swaj39', '', 'student', '', 'yes', '2023-02-12 22:15:34', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (185, 0, 'parent95', '6393ep', '95', 'parent', '', 'yes', '2023-02-12 22:15:34', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (186, 96, 'std96', 'hj92as', '', 'student', '', 'yes', '2023-02-12 22:19:41', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (187, 97, 'std97', 'hqcwmu', '', 'student', '', 'yes', '2023-02-12 22:25:30', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (188, 98, 'std98', 'c21hst', '', 'student', '', 'yes', '2023-02-12 22:34:12', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (189, 0, 'parent98', '8l010u', '98', 'parent', '', 'yes', '2023-02-12 22:34:12', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (190, 99, 'std99', '3i2kas', '', 'student', '', 'yes', '2023-02-12 22:43:35', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (191, 0, 'parent99', '89crdp', '99', 'parent', '', 'yes', '2023-02-12 22:43:35', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (192, 100, 'std100', 't0mj3d', '', 'student', '', 'yes', '2023-02-12 22:49:32', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (193, 0, 'parent100', 'shrco3', '100', 'parent', '', 'yes', '2023-02-12 22:49:32', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (194, 101, 'std101', 're9uk4', '', 'student', '', 'yes', '2023-02-12 22:54:06', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (195, 0, 'parent101', 'yseq90', '101', 'parent', '', 'yes', '2023-02-12 22:54:06', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (196, 102, 'std102', '6x2gb3', '', 'student', '', 'yes', '2023-02-12 22:56:52', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (197, 0, 'parent102', 'kh0wn0', '102', 'parent', '', 'yes', '2023-02-12 22:56:52', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (198, 103, 'std103', 'v20tb2', '', 'student', '', 'yes', '2023-02-12 23:00:56', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (199, 0, 'parent103', '8up9jb', '103', 'parent', '', 'yes', '2023-02-12 23:00:56', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (200, 104, 'std104', 'ljov3z', '', 'student', '', 'yes', '2023-02-12 23:04:21', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (201, 0, 'parent104', 'nna7jv', '104', 'parent', '', 'yes', '2023-02-12 23:04:21', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (202, 105, 'std105', 'ih55or', '', 'student', '', 'yes', '2023-02-12 23:11:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (203, 0, 'parent105', 'avzwxf', '105', 'parent', '', 'yes', '2023-02-12 23:11:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (204, 106, 'std106', 'cq9du8', '', 'student', '', 'yes', '2023-02-12 23:17:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (205, 0, 'parent106', 'zy5eyf', '106', 'parent', '', 'yes', '2023-02-12 23:17:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (206, 107, 'std107', '1yk1v9', '', 'student', '', 'yes', '2023-02-12 23:23:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (207, 108, 'std108', 'f7vute', '', 'student', '', 'yes', '2023-02-12 23:27:39', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (208, 0, 'parent108', 'tmobbd', '108', 'parent', '', 'yes', '2023-02-12 23:27:39', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (209, 109, 'std109', '3fy81p', '', 'student', '', 'yes', '2023-02-12 23:30:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (210, 0, 'parent109', 'jbkkii', '109', 'parent', '', 'yes', '2023-02-12 23:30:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (211, 110, 'std110', 'mvxmi5', '', 'student', '', 'yes', '2023-02-12 23:46:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (212, 0, 'parent110', 'izj61e', '110', 'parent', '', 'yes', '2023-02-12 23:46:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (213, 111, 'std111', 'd5u8w0', '', 'student', '', 'yes', '2023-02-12 23:54:05', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (214, 0, 'parent111', '9sb1ml', '111', 'parent', '', 'yes', '2023-02-12 23:54:05', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (215, 112, 'std112', 'qut93q', '', 'student', '', 'yes', '2023-02-12 23:57:35', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (216, 0, 'parent112', 'opefql', '112', 'parent', '', 'yes', '2023-02-12 23:57:35', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (217, 113, 'std113', 'yqu8yt', '', 'student', '', 'yes', '2023-02-13 00:02:32', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (218, 114, 'std114', '48x37g', '', 'student', '', 'yes', '2023-02-13 00:08:10', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (219, 0, 'parent114', '6sa8w6', '114', 'parent', '', 'yes', '2023-02-13 00:08:10', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (220, 115, 'std115', 'wdhe8c', '', 'student', '', 'yes', '2023-02-13 00:19:59', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (221, 0, 'parent115', '1uozvh', '115', 'parent', '', 'yes', '2023-02-13 00:19:59', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (222, 116, 'std116', 'c6i81v', '', 'student', '', 'yes', '2023-02-13 00:25:34', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (223, 0, 'parent116', 'iwrl8m', '116', 'parent', '', 'yes', '2023-02-13 00:25:34', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (224, 117, 'std117', 'ebhpot', '', 'student', '', 'yes', '2023-02-13 00:29:29', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (225, 0, 'parent117', 'mzqn3w', '117', 'parent', '', 'yes', '2023-02-13 00:29:29', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (226, 118, 'std118', '92gqfj', '', 'student', '', 'yes', '2023-02-13 00:33:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (227, 0, 'parent118', 'x9c7k3', '118', 'parent', '', 'yes', '2023-02-13 00:33:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (228, 119, 'std119', 'dn9m12', '', 'student', '', 'yes', '2023-02-13 00:35:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (229, 0, 'parent119', 'q8q1sa', '119', 'parent', '', 'yes', '2023-02-13 00:35:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (230, 120, 'std120', '9otwat', '', 'student', '', 'yes', '2023-02-13 00:39:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (231, 0, 'parent120', '9lt9nx', '120', 'parent', '', 'yes', '2023-02-13 00:39:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (232, 121, 'std121', 'e1hwgr', '', 'student', '', 'yes', '2023-02-13 00:43:06', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (233, 0, 'parent121', 'mcj81u', '121', 'parent', '', 'yes', '2023-02-13 00:43:06', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (234, 122, 'std122', 'zvc2b3', '', 'student', '', 'yes', '2023-02-13 00:57:13', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (235, 0, 'parent122', 'qoerl9', '122', 'parent', '', 'yes', '2023-02-13 00:57:13', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (236, 123, 'std123', '7d8zo5', '', 'student', '', 'yes', '2023-02-13 01:15:18', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (237, 0, 'parent123', 'a0bpuu', '123', 'parent', '', 'yes', '2023-02-13 01:15:18', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (238, 124, 'std124', 'bf3trs', '', 'student', '', 'yes', '2023-02-13 01:37:48', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (239, 0, 'parent124', '9fkmif', '124', 'parent', '', 'yes', '2023-02-13 01:37:48', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (240, 125, 'std125', 'nlfpv6', '', 'student', '', 'yes', '2023-02-13 01:41:22', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (241, 126, 'std126', '48b63n', '', 'student', '', 'yes', '2023-02-13 01:58:24', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (242, 0, 'parent126', 'rpo851', '126', 'parent', '', 'yes', '2023-02-13 01:58:24', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (243, 127, 'std127', 'tpgoj0', '', 'student', '', 'yes', '2023-02-13 02:13:45', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (244, 0, 'parent127', 'muwk9m', '127', 'parent', '', 'yes', '2023-02-13 02:13:45', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (245, 128, 'std128', 'a8btz7', '', 'student', '', 'yes', '2023-02-13 02:25:52', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (246, 0, 'parent128', '71hll4', '128', 'parent', '', 'yes', '2023-02-13 02:25:52', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (247, 129, 'std129', '034r9c', '', 'student', '', 'yes', '2023-02-13 03:41:34', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (248, 0, 'parent129', 'rk1k5t', '129', 'parent', '', 'yes', '2023-02-13 03:41:34', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (249, 130, 'std130', 't8ia62', '', 'student', '', 'yes', '2023-02-13 03:44:13', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (250, 0, 'parent130', 'l3enph', '130', 'parent', '', 'yes', '2023-02-13 03:44:13', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (251, 131, 'std131', 'i2qbr5', '', 'student', '', 'yes', '2023-02-13 03:47:24', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (252, 0, 'parent131', 'qkayc1', '131', 'parent', '', 'yes', '2023-02-13 03:47:25', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (253, 132, 'std132', 'cyuzv4', '', 'student', '', 'yes', '2023-02-13 03:50:08', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (254, 0, 'parent132', '0j558h', '132', 'parent', '', 'yes', '2023-02-13 03:50:08', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (255, 133, 'std133', 'wx0xz9', '', 'student', '', 'yes', '2023-02-13 03:53:09', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (256, 0, 'parent133', 'zwipc8', '133', 'parent', '', 'yes', '2023-02-13 03:53:09', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (257, 134, 'std134', 'x08cas', '', 'student', '', 'yes', '2023-02-13 03:56:20', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (258, 0, 'parent134', 'qd1lqm', '134', 'parent', '', 'yes', '2023-02-13 03:56:20', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (259, 135, 'std135', 'fz4vzh', '', 'student', '', 'yes', '2023-02-13 04:00:53', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (260, 0, 'parent135', 'p5pi0a', '135', 'parent', '', 'yes', '2023-02-13 04:00:53', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (261, 136, 'std136', '8tjjog', '', 'student', '', 'yes', '2023-02-13 04:03:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (262, 0, 'parent136', 'xlxbh2', '136', 'parent', '', 'yes', '2023-02-13 04:03:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (263, 137, 'std137', 'j67ikw', '', 'student', '', 'yes', '2023-02-13 17:02:01', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (264, 0, 'parent137', '1hjr1e', '137', 'parent', '', 'yes', '2023-02-13 17:02:01', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (265, 138, 'std138', 'kagoew', '', 'student', '', 'yes', '2023-02-13 17:04:49', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (266, 0, 'parent138', 'jcxd1f', '138', 'parent', '', 'yes', '2023-02-13 17:04:49', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (267, 139, 'std139', 'jcz8yq', '', 'student', '', 'yes', '2023-02-13 17:09:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (268, 0, 'parent139', 'ofu9cl', '139', 'parent', '', 'yes', '2023-02-13 17:09:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (269, 140, 'std140', 'uf6mxc', '', 'student', '', 'yes', '2023-02-13 17:14:13', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (270, 0, 'parent140', 'yryogl', '140', 'parent', '', 'yes', '2023-02-13 17:14:13', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (271, 141, 'std141', 'oz4lyg', '', 'student', '', 'yes', '2023-02-13 17:16:01', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (272, 142, 'std142', '4bog0d', '', 'student', '', 'yes', '2023-02-13 17:31:12', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (273, 0, 'parent142', '56oe4y', '142', 'parent', '', 'yes', '2023-02-13 17:31:12', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (274, 143, 'std143', 'zq7w24', '', 'student', '', 'yes', '2023-02-13 18:06:37', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (275, 0, 'parent143', '6ifacu', '143', 'parent', '', 'yes', '2023-02-13 18:06:37', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (276, 144, 'std144', 'ykp4y3', '', 'student', '', 'yes', '2023-02-13 18:23:24', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (277, 0, 'parent144', 'pjik4t', '144', 'parent', '', 'yes', '2023-02-13 18:23:24', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (278, 145, 'std145', '42ct1d', '', 'student', '', 'yes', '2023-02-13 18:26:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (279, 0, 'parent145', '422u62', '145', 'parent', '', 'yes', '2023-02-13 18:26:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (280, 146, 'std146', '0gw16i', '', 'student', '', 'yes', '2023-02-13 18:28:51', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (281, 0, 'parent146', '03v50b', '146', 'parent', '', 'yes', '2023-02-13 18:28:51', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (282, 147, 'std147', 'z8f03l', '', 'student', '', 'yes', '2023-02-13 18:32:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (283, 0, 'parent147', 'typwmf', '147', 'parent', '', 'yes', '2023-02-13 18:32:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (284, 148, 'std148', 'xy4lbc', '', 'student', '', 'yes', '2023-02-13 19:00:01', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (285, 0, 'parent148', 'si3uzs', '148', 'parent', '', 'yes', '2023-02-13 19:00:01', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (286, 149, 'std149', 'a3294n', '', 'student', '', 'yes', '2023-02-13 19:16:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (287, 0, 'parent149', '9kk22f', '149', 'parent', '', 'yes', '2023-02-13 19:16:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (288, 150, 'std150', 'g6yrzy', '', 'student', '', 'yes', '2023-02-13 19:25:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (289, 0, 'parent150', 'mg166b', '150', 'parent', '', 'yes', '2023-02-13 19:25:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (290, 151, 'std151', 'uibc3b', '', 'student', '', 'yes', '2023-02-13 19:29:32', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (291, 0, 'parent151', 'taaq9e', '151', 'parent', '', 'yes', '2023-02-13 19:29:32', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (292, 152, 'std152', 'd9ljv0', '', 'student', '', 'yes', '2023-02-13 19:33:01', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (293, 0, 'parent152', 'x2lgu5', '152', 'parent', '', 'yes', '2023-02-13 19:33:01', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (294, 153, 'std153', 'qx26ux', '', 'student', '', 'yes', '2023-02-13 19:38:08', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (295, 0, 'parent153', '36urvt', '153', 'parent', '', 'yes', '2023-02-13 19:38:08', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (296, 154, 'std154', '0be7fa', '', 'student', '', 'yes', '2023-02-13 19:59:12', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (297, 0, 'parent154', 'cpltjg', '154', 'parent', '', 'yes', '2023-02-13 19:59:12', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (298, 155, 'std155', '0zq5mj', '', 'student', '', 'yes', '2023-02-13 20:06:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (299, 0, 'parent155', 'ivryju', '155', 'parent', '', 'yes', '2023-02-13 20:06:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (300, 156, 'std156', 'g0lxba', '', 'student', '', 'yes', '2023-02-13 20:15:12', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (301, 0, 'parent156', 'v60tou', '156', 'parent', '', 'yes', '2023-02-13 20:15:12', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (302, 157, 'std157', '8i1xms', '', 'student', '', 'yes', '2023-02-13 20:20:33', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (303, 0, 'parent157', 'og0bkr', '157', 'parent', '', 'yes', '2023-02-13 20:20:33', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (304, 158, 'std158', 'jrt365', '', 'student', '', 'yes', '2023-02-13 20:24:56', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (305, 0, 'parent158', '83o1ic', '158', 'parent', '', 'yes', '2023-02-13 20:24:56', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (306, 159, 'std159', '456fwo', '', 'student', '', 'yes', '2023-02-13 20:28:06', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (307, 0, 'parent159', '8yby6j', '159', 'parent', '', 'yes', '2023-02-13 20:28:06', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (308, 160, 'std160', '46iwvh', '', 'student', '', 'yes', '2023-02-13 20:32:09', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (309, 0, 'parent160', '7ggnhj', '160', 'parent', '', 'yes', '2023-02-13 20:32:09', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (310, 161, 'std161', 'im7lk9', '', 'student', '', 'yes', '2023-02-13 20:38:58', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (311, 0, 'parent161', '3b7nnn', '161', 'parent', '', 'yes', '2023-02-13 20:38:58', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (312, 162, 'std162', 'rzntgm', '', 'student', '', 'yes', '2023-02-13 20:47:34', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (313, 0, 'parent162', 'mszn39', '162', 'parent', '', 'yes', '2023-02-13 20:47:34', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (314, 163, 'std163', 'xzfmgv', '', 'student', '', 'yes', '2023-02-13 20:59:42', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (315, 0, 'parent163', 't5k6np', '163', 'parent', '', 'yes', '2023-02-13 20:59:42', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (316, 164, 'std164', '9eipwt', '', 'student', '', 'yes', '2023-02-13 21:08:50', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (317, 0, 'parent164', 'cyf9gs', '164', 'parent', '', 'yes', '2023-02-13 21:08:50', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (318, 165, 'std165', 'nq4yu3', '', 'student', '', 'yes', '2023-02-13 21:16:42', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (319, 166, 'std166', 'lybfwg', '', 'student', '', 'yes', '2023-02-13 21:21:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (320, 0, 'parent166', 'josns5', '166', 'parent', '', 'yes', '2023-02-13 21:21:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (321, 167, 'std167', 'hh5dt9', '', 'student', '', 'yes', '2023-02-14 03:40:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (322, 0, 'parent167', 'ht5lvg', '167', 'parent', '', 'yes', '2023-02-14 03:40:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (323, 168, 'std168', 'f16llz', '', 'student', '', 'yes', '2023-02-14 04:10:47', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (324, 0, 'parent168', 'hcw4gq', '168', 'parent', '', 'yes', '2023-02-14 04:10:47', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (325, 169, 'std169', 'qv1oo6', '', 'student', '', 'yes', '2023-02-14 04:22:15', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (326, 0, 'parent169', '3upxv1', '169', 'parent', '', 'yes', '2023-02-14 04:22:15', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (327, 170, 'std170', 'uiwoqb', '', 'student', '', 'yes', '2023-02-14 04:24:54', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (328, 0, 'parent170', 'lhmifj', '170', 'parent', '', 'yes', '2023-02-14 04:24:54', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (329, 171, 'std171', '1wpeqt', '', 'student', '', 'yes', '2023-02-14 04:34:16', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (330, 0, 'parent171', 'zf5p9b', '171', 'parent', '', 'yes', '2023-02-14 04:34:16', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (331, 172, 'std172', 'ee4wcb', '', 'student', '', 'yes', '2023-02-14 04:36:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (332, 0, 'parent172', '4bnoa6', '172', 'parent', '', 'yes', '2023-02-14 04:36:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (333, 173, 'std173', 'p155d2', '', 'student', '', 'yes', '2023-02-14 04:39:43', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (334, 0, 'parent173', 'ykjlp4', '173', 'parent', '', 'yes', '2023-02-14 04:39:43', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (335, 174, 'std174', 'qbf14t', '', 'student', '', 'yes', '2023-02-14 04:41:24', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (336, 0, 'parent174', 'k4qpb1', '174', 'parent', '', 'yes', '2023-02-14 04:41:24', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (337, 175, 'std175', 'oz7rju', '', 'student', '', 'yes', '2023-02-14 16:34:08', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (338, 0, 'parent175', '2qx0es', '175', 'parent', '', 'yes', '2023-02-14 04:41:42', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (339, 176, 'std176', 'kbsv36', '', 'student', '', 'yes', '2023-02-14 16:47:05', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (340, 0, 'parent176', '3ixy52', '176', 'parent', '', 'yes', '2023-02-14 16:47:05', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (341, 177, 'std177', 'vlu0ln', '', 'student', '', 'yes', '2023-02-14 16:49:32', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (342, 0, 'parent177', 'm4sonw', '177', 'parent', '', 'yes', '2023-02-14 16:49:32', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (343, 178, 'std178', 's8k33p', '', 'student', '', 'yes', '2023-02-14 16:52:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (344, 0, 'parent178', 'd261u5', '178', 'parent', '', 'yes', '2023-02-14 16:52:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (345, 179, 'std179', '8vijze', '', 'student', '', 'yes', '2023-02-14 16:54:25', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (346, 180, 'std180', 'i1cew5', '', 'student', '', 'yes', '2023-02-14 17:00:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (347, 181, 'std181', '7dbkro', '', 'student', '', 'yes', '2023-02-14 17:14:29', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (348, 0, 'parent181', 'sg6dfu', '181', 'parent', '', 'yes', '2023-02-14 17:14:29', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (349, 182, 'std182', 'ppvuw5', '', 'student', '', 'yes', '2023-02-14 17:16:43', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (350, 183, 'std183', 'gdsaaw', '', 'student', '', 'yes', '2023-02-14 17:18:51', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (351, 184, 'std184', 'a2664s', '', 'student', '', 'yes', '2023-02-14 17:34:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (352, 0, 'parent184', 'cxr3x4', '184', 'parent', '', 'yes', '2023-02-14 17:34:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (353, 185, 'std185', 'ecmisn', '', 'student', '', 'yes', '2023-02-14 17:40:33', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (354, 186, 'std186', 'iaokmm', '', 'student', '', 'yes', '2023-02-14 17:45:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (355, 0, 'parent186', 'hrvm5w', '186', 'parent', '', 'yes', '2023-02-14 17:45:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (356, 187, 'std187', 'eerfbl', '', 'student', '', 'yes', '2023-02-14 17:46:38', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (357, 188, 'std188', '3d047s', '', 'student', '', 'yes', '2023-02-14 18:01:35', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (358, 0, 'parent188', 'iv47kg', '188', 'parent', '', 'yes', '2023-02-14 18:01:35', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (359, 189, 'std189', 'v43j7z', '', 'student', '', 'yes', '2023-02-14 18:30:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (360, 190, 'std190', 'qg27zu', '', 'student', '', 'yes', '2023-02-14 18:34:09', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (361, 0, 'parent190', 'vjkzk1', '190', 'parent', '', 'yes', '2023-02-14 18:34:09', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (362, 191, 'std191', 'svoe6z', '', 'student', '', 'yes', '2023-02-14 19:25:35', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (363, 0, 'parent191', 'j9syva', '191', 'parent', '', 'yes', '2023-02-14 19:25:35', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (364, 192, 'std192', 'k1loz8', '', 'student', '', 'yes', '2023-02-14 19:27:14', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (365, 0, 'parent192', 'en9ygv', '192', 'parent', '', 'yes', '2023-02-14 19:27:14', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (366, 193, 'std193', 'bli67a', '', 'student', '', 'yes', '2023-02-14 19:33:15', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (367, 0, 'parent193', '2gisow', '193', 'parent', '', 'yes', '2023-02-14 19:33:15', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (368, 194, 'std194', '49z2gz', '', 'student', '', 'yes', '2023-02-14 19:36:55', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (369, 0, 'parent194', 'rfet43', '194', 'parent', '', 'yes', '2023-02-14 19:36:55', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (370, 195, 'std195', 'z85n9u', '', 'student', '', 'yes', '2023-02-14 19:37:59', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (371, 0, 'parent195', 'geo5jm', '195', 'parent', '', 'yes', '2023-02-14 19:37:59', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (372, 196, 'std196', 'c27hjo', '', 'student', '', 'yes', '2023-02-15 16:56:18', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (373, 0, 'parent196', 'wmzhaf', '196', 'parent', '', 'yes', '2023-02-15 16:56:18', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (374, 197, 'std197', 'w3py86', '', 'student', '', 'yes', '2023-02-15 17:04:20', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (375, 198, 'std198', 'r19cdi', '', 'student', '', 'yes', '2023-02-15 17:26:54', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (376, 0, 'parent198', '052urd', '198', 'parent', '', 'yes', '2023-02-15 17:26:54', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (377, 199, 'std199', 'k31pf2', '', 'student', '', 'yes', '2023-02-15 17:31:58', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (378, 200, 'std200', 'o7af0k', '', 'student', '', 'yes', '2023-02-15 17:38:05', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (379, 201, 'std201', 'gg9r4v', '', 'student', '', 'yes', '2023-02-15 18:23:23', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (380, 0, 'parent201', 'etnj67', '201', 'parent', '', 'yes', '2023-02-15 18:23:23', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (381, 202, 'std202', 'ol6k97', '', 'student', '', 'yes', '2023-02-15 18:30:03', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (382, 0, 'parent202', 'xazcho', '202', 'parent', '', 'yes', '2023-02-15 18:30:03', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (383, 203, 'std203', 'vu5f6v', '', 'student', '', 'yes', '2023-02-15 19:23:26', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (384, 0, 'parent203', 'ud11u3', '203', 'parent', '', 'yes', '2023-02-15 19:23:26', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (385, 204, 'std204', 'j83d7m', '', 'student', '', 'yes', '2023-02-15 19:40:00', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (386, 205, 'std205', '60myrx', '', 'student', '', 'yes', '2023-02-15 19:44:18', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (387, 0, 'parent205', 'fvdr2g', '205', 'parent', '', 'yes', '2023-02-15 19:44:18', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (388, 206, 'std206', 'qcfxkf', '', 'student', '', 'yes', '2023-02-15 19:46:42', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (389, 207, 'std207', 'ob7b8r', '', 'student', '', 'yes', '2023-02-15 19:49:44', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (390, 0, 'parent207', 'y25auc', '207', 'parent', '', 'yes', '2023-02-15 19:49:44', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (391, 208, 'std208', '8slqnd', '', 'student', '', 'yes', '2023-02-15 19:55:38', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (392, 0, 'parent208', '5cqqk9', '208', 'parent', '', 'yes', '2023-02-15 19:55:38', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (393, 209, 'std209', 'n6i9rz', '', 'student', '', 'yes', '2023-02-15 20:00:20', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (394, 0, 'parent209', '26w2ph', '209', 'parent', '', 'yes', '2023-02-15 20:00:20', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (395, 210, 'std210', '4cpgu8', '', 'student', '', 'yes', '2023-02-15 20:02:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (396, 211, 'std211', 'g03vtz', '', 'student', '', 'yes', '2023-02-15 20:03:51', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (397, 0, 'parent211', 'ywhdg3', '211', 'parent', '', 'yes', '2023-02-15 20:03:51', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (398, 212, 'std212', 'wi11si', '', 'student', '', 'yes', '2023-02-15 20:05:30', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (399, 0, 'parent212', 't0uern', '212', 'parent', '', 'yes', '2023-02-15 20:05:30', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (400, 213, 'std213', 'snfhlk', '', 'student', '', 'yes', '2023-02-15 20:06:46', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (401, 214, 'std214', '3iyeql', '', 'student', '', 'yes', '2023-02-15 20:08:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (402, 0, 'parent214', '61nkur', '214', 'parent', '', 'yes', '2023-02-15 20:08:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (403, 215, 'std215', 'eckaas', '', 'student', '', 'yes', '2023-02-15 20:10:14', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (404, 216, 'std216', 'y92pw2', '', 'student', '', 'yes', '2023-02-15 20:11:47', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (405, 217, 'std217', 'vqntp1', '', 'student', '', 'yes', '2023-02-15 20:12:47', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (406, 218, 'std218', 'hppwvu', '', 'student', '', 'yes', '2023-02-15 20:16:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (407, 0, 'parent218', 'n44oli', '218', 'parent', '', 'yes', '2023-02-15 20:16:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (408, 219, 'std219', 'tj4phv', '', 'student', '', 'yes', '2023-02-15 20:18:48', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (409, 0, 'parent219', 'yd5mah', '219', 'parent', '', 'yes', '2023-02-15 20:18:48', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (410, 220, 'std220', 'rfigjz', '', 'student', '', 'yes', '2023-02-15 20:20:33', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (411, 0, 'parent220', 'zz471t', '220', 'parent', '', 'yes', '2023-02-15 20:20:33', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (412, 221, 'std221', 'pcxyzn', '', 'student', '', 'yes', '2023-02-15 20:23:06', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (413, 222, 'std222', '8csiqu', '', 'student', '', 'yes', '2023-02-15 20:33:02', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (414, 0, 'parent222', 'x7rbi9', '222', 'parent', '', 'yes', '2023-02-15 20:33:02', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (415, 223, 'std223', 'wxhbzm', '', 'student', '', 'yes', '2023-02-15 20:40:25', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (416, 224, 'std224', 'ndzn24', '', 'student', '', 'yes', '2023-02-15 20:42:13', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (417, 0, 'parent224', 'idefqd', '224', 'parent', '', 'yes', '2023-02-15 20:42:13', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (418, 225, 'std225', 'kt3qb1', '', 'student', '', 'yes', '2023-03-06 19:18:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (419, 0, 'parent225', 'vm7h0b', '225', 'parent', '', 'yes', '2023-03-06 19:18:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (420, 226, 'std226', 'hcdw92', '', 'student', '', 'yes', '2023-03-06 19:22:16', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (421, 227, 'std227', 'eg1502', '', 'student', '', 'yes', '2024-01-18 12:44:31', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (422, 0, 'parent227', '84kmc9', '227', 'parent', '', 'yes', '2024-01-18 12:44:31', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (423, 228, 'std228', 'yietwc', '', 'student', '', 'yes', '2024-01-18 12:45:55', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (424, 0, 'parent228', 'rrmutz', '228', 'parent', '', 'yes', '2024-01-18 12:45:55', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (425, 229, 'std229', 'htozdr', '', 'student', '', 'yes', '2024-01-19 16:23:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (426, 0, 'parent229', 'oic68b', '229', 'parent', '', 'yes', '2024-01-19 16:23:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (427, 230, 'std230', 'gbxptm', '', 'student', '', 'yes', '2024-02-08 21:59:50', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (428, 0, 'parent230', 'tpgsvy', '230', 'parent', '', 'yes', '2024-01-19 16:24:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (429, 231, 'std231', 'yckq93', '', 'student', '', 'yes', '2024-03-15 11:56:07', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (430, 0, 'parent231', '76ik2x', '231', 'parent', '', 'yes', '2024-01-31 12:33:50', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (431, 232, 'std232', 'yngtnv', '', 'student', '', 'yes', '2024-01-31 12:39:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (432, 0, 'parent232', 'r7u0wt', '232', 'parent', '', 'yes', '2024-01-31 12:39:04', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (433, 233, 'std233', 'sf5a65', '', 'student', '', 'yes', '2024-01-31 12:41:28', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (434, 0, 'parent233', 'ysol5x', '233', 'parent', '', 'yes', '2024-01-31 12:41:28', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (435, 234, 'std234', 'ri5f94', '', 'student', '', 'yes', '2024-01-31 12:44:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (436, 0, 'parent234', 'xmnlor', '234', 'parent', '', 'yes', '2024-01-31 12:44:57', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (437, 235, 'std235', 'ootygz', '', 'student', '', 'yes', '2024-01-31 12:47:17', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (438, 0, 'parent235', '8r323u', '235', 'parent', '', 'yes', '2024-01-31 12:47:17', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (439, 236, 'std236', '3pjabi', '', 'student', '', 'yes', '2024-01-31 12:53:00', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (440, 0, 'parent236', '9kb7v2', '236', 'parent', '', 'yes', '2024-01-31 12:53:00', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (441, 237, 'std237', 'jm5eho', '', 'student', '', 'yes', '2024-01-31 12:57:07', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (442, 0, 'parent237', 'wldxnd', '237', 'parent', '', 'yes', '2024-01-31 12:57:07', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (443, 238, 'std238', 'cjdyqz', '', 'student', '', 'yes', '2024-01-31 13:02:06', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (444, 0, 'parent238', 'qzhakq', '238', 'parent', '', 'yes', '2024-01-31 13:02:06', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (445, 239, 'std239', 'yg8zez', '', 'student', '', 'yes', '2024-01-31 13:04:50', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (446, 0, 'parent239', 'xyk5s7', '239', 'parent', '', 'yes', '2024-01-31 13:04:50', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (447, 240, 'std240', '141d1h', '', 'student', '', 'yes', '2024-01-31 13:08:41', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (448, 0, 'parent240', 'rjonzf', '240', 'parent', '', 'yes', '2024-01-31 13:08:41', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (449, 241, 'std241', '9c270g', '', 'student', '', 'yes', '2024-01-31 13:12:47', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (450, 0, 'parent241', '8jo6af', '241', 'parent', '', 'yes', '2024-01-31 13:12:47', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (451, 242, 'std242', 'f0qsjq', '', 'student', '', 'yes', '2024-01-31 13:18:29', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (452, 0, 'parent242', 'jic6gs', '242', 'parent', '', 'yes', '2024-01-31 13:18:29', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (453, 243, 'std243', '45ggu8', '', 'student', '', 'yes', '2024-01-31 13:21:15', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (454, 0, 'parent243', '70427u', '243', 'parent', '', 'yes', '2024-01-31 13:21:15', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (455, 244, 'std244', '9uvtsi', '', 'student', '', 'yes', '2024-01-31 13:31:53', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (456, 0, 'parent244', 'a9v3c3', '244', 'parent', '', 'yes', '2024-01-31 13:31:53', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (457, 245, 'std245', 'wqdjjg', '', 'student', '', 'yes', '2024-01-31 14:08:21', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (458, 0, 'parent245', 'a7w80r', '245', 'parent', '', 'yes', '2024-01-31 14:08:21', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (459, 246, 'std246', 'jkvdva', '', 'student', '', 'yes', '2024-01-31 14:18:23', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (460, 0, 'parent246', 'yfaier', '246', 'parent', '', 'yes', '2024-01-31 14:18:23', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (461, 247, 'std247', 't3vb58', '', 'student', '', 'yes', '2024-01-31 14:23:59', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (462, 0, 'parent247', 'xz3l5h', '247', 'parent', '', 'yes', '2024-01-31 14:23:59', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (463, 248, 'std248', 'jfhlph', '', 'student', '', 'yes', '2024-01-31 14:40:56', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (464, 0, 'parent248', '6k69gg', '248', 'parent', '', 'yes', '2024-01-31 14:40:56', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (465, 249, 'std249', 'k6p9yt', '', 'student', '', 'yes', '2024-01-31 14:45:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (466, 0, 'parent249', 'mx1sd8', '249', 'parent', '', 'yes', '2024-01-31 14:45:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (467, 250, 'std250', 'e3zkmy', '', 'student', '', 'yes', '2024-01-31 15:02:17', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (468, 0, 'parent250', 'ur4cdr', '250', 'parent', '', 'yes', '2024-01-31 15:02:17', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (469, 251, 'std251', 'inx097', '', 'student', '', 'yes', '2024-01-31 15:07:42', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (470, 0, 'parent251', '4taw6s', '251', 'parent', '', 'yes', '2024-01-31 15:07:42', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (471, 252, 'std252', 'rx1x1t', '', 'student', '', 'yes', '2024-01-31 15:17:26', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (472, 0, 'parent252', 'ouvt97', '252', 'parent', '', 'yes', '2024-01-31 15:17:26', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (473, 253, 'std253', 't9ld17', '', 'student', '', 'yes', '2024-01-31 15:22:02', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (474, 0, 'parent253', 'wpd0sb', '253', 'parent', '', 'yes', '2024-01-31 15:22:02', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (475, 254, 'std254', '8c5sp5', '', 'student', '', 'yes', '2024-01-31 15:25:12', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (476, 0, 'parent254', 'ylhu3s', '254', 'parent', '', 'yes', '2024-01-31 15:25:12', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (477, 255, 'std255', 'd9qjuf', '', 'student', '', 'yes', '2024-01-31 15:29:42', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (478, 0, 'parent255', '93ye9c', '255', 'parent', '', 'yes', '2024-01-31 15:29:42', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (479, 256, 'std256', 'by1i8v', '', 'student', '', 'yes', '2024-01-31 15:35:29', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (480, 0, 'parent256', 'zy98f4', '256', 'parent', '', 'yes', '2024-01-31 15:35:29', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (481, 257, 'std257', 'cfpiav', '', 'student', '', 'yes', '2024-01-31 15:39:13', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (482, 0, 'parent257', 'mniiba', '257', 'parent', '', 'yes', '2024-01-31 15:39:13', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (483, 258, 'std258', 'zfb730', '', 'student', '', 'yes', '2024-01-31 15:43:38', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (484, 0, 'parent258', '25tnj2', '258', 'parent', '', 'yes', '2024-01-31 15:43:38', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (485, 259, 'std259', '7pahl0', '', 'student', '', 'yes', '2024-01-31 15:48:29', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (486, 0, 'parent259', '6ntbuz', '259', 'parent', '', 'yes', '2024-01-31 15:48:29', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (487, 260, 'std260', 'kdn39m', '', 'student', '', 'yes', '2024-01-31 15:52:53', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (488, 0, 'parent260', 'hniokb', '260', 'parent', '', 'yes', '2024-01-31 15:52:53', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (489, 261, 'std261', 'djdhjb', '', 'student', '', 'yes', '2024-01-31 15:57:55', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (490, 0, 'parent261', 'fu3qtz', '261', 'parent', '', 'yes', '2024-01-31 15:57:55', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (491, 262, 'std262', 'zv1zer', '', 'student', '', 'yes', '2024-01-31 16:06:06', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (492, 0, 'parent262', 'h4lbcy', '262', 'parent', '', 'yes', '2024-01-31 16:06:06', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (493, 263, 'std263', '7p0at5', '', 'student', '', 'yes', '2024-01-31 16:10:32', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (494, 0, 'parent263', 'ff9ssa', '263', 'parent', '', 'yes', '2024-01-31 16:10:32', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (495, 264, 'std264', 'z4rpno', '', 'student', '', 'yes', '2024-01-31 16:19:22', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (496, 0, 'parent264', '246z0l', '264', 'parent', '', 'yes', '2024-01-31 16:19:22', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (497, 265, 'std265', 'avezd1', '', 'student', '', 'yes', '2024-01-31 16:24:56', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (498, 0, 'parent265', 'wtmt1x', '265', 'parent', '', 'yes', '2024-01-31 16:24:56', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (499, 266, 'std266', 'r15xgk', '', 'student', '', 'yes', '2024-01-31 16:33:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (500, 0, 'parent266', 'ssb8uk', '266', 'parent', '', 'yes', '2024-01-31 16:33:27', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (501, 267, 'std267', 'ybm7t0', '', 'student', '', 'yes', '2024-01-31 16:38:25', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (502, 0, 'parent267', 'wkw8bm', '267', 'parent', '', 'yes', '2024-01-31 16:38:25', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (503, 268, 'std268', 'r7t5b6', '', 'student', '', 'yes', '2024-01-31 16:41:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (504, 0, 'parent268', 'y5v8jf', '268', 'parent', '', 'yes', '2024-01-31 16:41:40', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (505, 269, 'std269', 'caeu5u', '', 'student', '', 'yes', '2024-01-31 16:44:46', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (506, 0, 'parent269', 'kk6np8', '269', 'parent', '', 'yes', '2024-01-31 16:44:46', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (507, 270, 'std270', 'up0ere', '', 'student', '', 'yes', '2024-01-31 16:47:08', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (508, 0, 'parent270', 'axvghn', '270', 'parent', '', 'yes', '2024-01-31 16:47:08', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (509, 271, 'std271', '79zffc', '', 'student', '', 'yes', '2024-02-08 22:10:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (510, 0, 'parent271', 'z66fm4', '271', 'parent', '', 'yes', '2024-02-08 22:10:19', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (511, 272, 'std272', 'povvhl', '', 'student', '', 'yes', '2024-03-05 12:39:32', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (512, 0, 'parent272', 'kr52et', '272', 'parent', '', 'yes', '2024-03-05 12:39:32', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (513, 273, 'std273', 'ekzeqa', '', 'student', '', 'yes', '2024-03-15 11:46:00', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (514, 0, 'parent273', 'k2chhr', '273', 'parent', '', 'yes', '2024-03-15 11:46:00', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (515, 274, 'std274', 'fessm1', '', 'student', '', 'yes', '2024-03-15 11:51:14', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (516, 0, 'parent274', 'f3ddbr', '274', 'parent', '', 'yes', '2024-03-15 11:51:14', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (517, 275, 'std275', 'k4iyta', '', 'student', '', 'yes', '2024-06-14 12:10:23', '');
INSERT INTO `users` (`id`, `user_id`, `username`, `password`, `childs`, `role`, `verification_code`, `is_active`, `created_at`, `updated_at`) VALUES (518, 0, 'parent275', 'bo1y7v', '275', 'parent', '', 'yes', '2024-06-14 12:10:23', '');


#
# TABLE STRUCTURE FOR: users_authentication
#

DROP TABLE IF EXISTS `users_authentication`;

CREATE TABLE `users_authentication` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `users_id` int(11) NOT NULL,
  `token` varchar(255) NOT NULL,
  `expired_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: vehicle_routes
#

DROP TABLE IF EXISTS `vehicle_routes`;

CREATE TABLE `vehicle_routes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `route_id` int(11) DEFAULT NULL,
  `vehicle_id` int(11) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `vehicle_routes` (`id`, `route_id`, `vehicle_id`, `created_at`) VALUES (2, 2, 1, '2023-02-10 19:55:18');
INSERT INTO `vehicle_routes` (`id`, `route_id`, `vehicle_id`, `created_at`) VALUES (3, 1, 2, '2023-02-10 19:59:49');
INSERT INTO `vehicle_routes` (`id`, `route_id`, `vehicle_id`, `created_at`) VALUES (4, 6, 1, '2024-02-08 22:29:22');


#
# TABLE STRUCTURE FOR: vehicles
#

DROP TABLE IF EXISTS `vehicles`;

CREATE TABLE `vehicles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `vehicle_no` varchar(20) DEFAULT NULL,
  `vehicle_model` varchar(100) NOT NULL DEFAULT 'None',
  `manufacture_year` varchar(4) DEFAULT NULL,
  `driver_name` varchar(50) DEFAULT NULL,
  `driver_licence` varchar(50) NOT NULL DEFAULT 'None',
  `driver_contact` varchar(20) DEFAULT NULL,
  `note` text,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `vehicles` (`id`, `vehicle_no`, `vehicle_model`, `manufacture_year`, `driver_name`, `driver_licence`, `driver_contact`, `note`, `created_at`) VALUES (1, 'ADH000Q', 'TOYOTA', '1999', 'DAMBA', '6768JHKSP', '', '', '2023-02-10 19:58:56');
INSERT INTO `vehicles` (`id`, `vehicle_no`, `vehicle_model`, `manufacture_year`, `driver_name`, `driver_licence`, `driver_contact`, `note`, `created_at`) VALUES (2, 'AFK', 'TOYOTA', '2005', 'KATENDERE', 'YT6779GG', '', '', '2023-02-10 19:57:48');


#
# TABLE STRUCTURE FOR: visitors_book
#

DROP TABLE IF EXISTS `visitors_book`;

CREATE TABLE `visitors_book` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `source` varchar(100) DEFAULT NULL,
  `purpose` varchar(20) NOT NULL,
  `name` varchar(100) NOT NULL,
  `email` varchar(100) DEFAULT NULL,
  `contact` varchar(12) NOT NULL,
  `id_proof` varchar(50) NOT NULL,
  `no_of_pepple` int(11) NOT NULL,
  `date` date NOT NULL,
  `in_time` varchar(20) NOT NULL,
  `out_time` varchar(20) NOT NULL,
  `note` mediumtext NOT NULL,
  `image` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: visitors_purpose
#

DROP TABLE IF EXISTS `visitors_purpose`;

CREATE TABLE `visitors_purpose` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `visitors_purpose` varchar(100) NOT NULL,
  `description` mediumtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# TABLE STRUCTURE FOR: warehouse
#

DROP TABLE IF EXISTS `warehouse`;

CREATE TABLE `warehouse` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `warehouse` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `created_date` varchar(25) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;

INSERT INTO `warehouse` (`id`, `warehouse`, `description`, `created_date`) VALUES (8, 'Tuckshop', 'Tuckshop', '2024-02-02');
INSERT INTO `warehouse` (`id`, `warehouse`, `description`, `created_date`) VALUES (9, 'Storeroom', 'Storeroom', '2024-02-02');


